------------------------------------------------------------------------------

2012-09-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, configure.in, doc/vice.chm, doc/vice.hlp, doc/vice.pdf,
	po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po, po/ko.po,
	po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	src/arch/win32/vice-version.bat, src/monitor/mon_assemble6502.c,
	src/monitor/mon_assembleR65C02.c, src/monitor/mon_parse.c,
	src/monitor/mon_parse.h, src/platform/platform_windows_runtime_os.c,
	src/version.h: VICE 2.3.22

2012-09-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/translate_text.c: Did a 'make trans-update'.

2012-09-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2012-09-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_windows_runtime_os.c: Platform detection
	improvements.

2012-09-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2012-09-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/Makefile.am,
	src/platform/platform_windows_runtime_os.c: Platform detection
	improvements.

2012-09-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/drive.tgt, src/arch/os2/watcom/monitor.tgt,
	src/arch/os2/watcom/petcat-specific.tgt,
	src/arch/os2/watcom/petcat.tgt, src/arch/os2/watcom/platform.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/os2/watcom/vsid.tgt,
	src/arch/os2/watcom/x128.tgt, src/arch/os2/watcom/x1541-specific.tgt,
	src/arch/os2/watcom/x1541.tgt, src/arch/os2/watcom/x64.tgt,
	src/arch/os2/watcom/x64dtv.tgt, src/arch/os2/watcom/x64sc.tgt,
	src/arch/os2/watcom/xall-specific.tgt, src/arch/os2/watcom/xcbm2.tgt,
	src/arch/os2/watcom/xcbm5x0.tgt, src/arch/os2/watcom/xpet.tgt,
	src/arch/os2/watcom/xplus4.tgt, src/arch/os2/watcom/xvic.tgt: Fixed
	the os/2 ow project files for the 65c02 changes.

2012-09-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win64-msvc/drive.vcproj,
	src/arch/sdl/win64-msvc/monitor.vcproj: Fixed the win64 msvc project
	files for the 65c02 changes.

2012-09-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/drive.vcproj, src/arch/win64/monitor.vcproj: Fixed
	the sdl win64 msvc project files for the 65c02 changes.

2012-09-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/winmips-msvc/drive.mak,
	src/arch/sdl/winmips-msvc/monitor.mak: Fixed the sdl winmips msvc
	project files for the 65c02 changes.

2012-09-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/drive.tgt,
	src/arch/sdl/win32-watcom/monitor.tgt,
	src/arch/sdl/win32-watcom/vice.wpj: Fixed the sdl win32 ow project
	files for the 65c02 changes.

2012-09-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc/c1541.dsp,
	src/arch/sdl/win32-msvc/drive.dsp,
	src/arch/sdl/win32-msvc/monitor.dsp: Fixed the sdl win32 msvc project
	files for the 65c02 changes.

2012-09-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/drive/drivecpu65c02.c: Don't inline when called from a different
	file.

2012-09-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/drive.tgt, src/arch/win32/watcom/monitor.tgt,
	src/arch/win32/watcom/vice.wpj: Fixed the win32 ow project files for
	the 65c02 changes.

2012-09-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/c1541.dsp, src/arch/win32/drive.dsp,
	src/arch/win32/monitor.dsp: Fixed the win32 msvc project files for the
	65c02 changes.

2012-09-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/drive/drivecpu65c02.c: Don't inline when called from a different
	file.

2012-09-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/65c02core.c, src/drive/drivecpu65c02.c,
	src/drive/drivecpu65c02.h: Comment cleanup.

2012-09-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_windows_runtime_os.c: Platform detection
	improvements.

2012-09-01  Kajtar Zsolt <soci@c64.rulez.org>

	* src/65c02core.c: Fix comment

2012-09-01  Kajtar Zsolt <soci@c64.rulez.org>

	* src/monitor/asm.h, src/monitor/asm6809.c, src/monitor/asmR65C02.c,
	src/monitor/mon_assembleR65C02.c, src/monitor/mon_disassemble.c,
	src/monitor/mon_parse.c, src/monitor/mon_parse.y: Simplify R65C02 bit
	instruction syntax (remove #), inspired by Z80: RMB <bit>,<address>
	SMB <bit>,<address>  BBR <bit>,<zp>,<address>
	BBS <bit>,<zp>,<address>   Parsing is still compatible with future MVN
	and MVP move addressing mode by using a double argument address mode
	and converting it to zero page relative later as necessary.

2012-09-01  Kajtar Zsolt <soci@c64.rulez.org>

	* doc/html/Makefile.am, doc/html/plain/65C02.txt, src/65c02core.c,
	src/Makefile.am, src/c128/c128.c, src/c64/c64.c, src/c64dtv/c64dtv.c,
	src/drive/Makefile.am, src/drive/drive-resources.c,
	src/drive/drive-snapshot.c, src/drive/drive.c, src/drive/drivecpu.c,
	src/drive/drivecpu.h, src/drive/drivecpu65c02.c,
	src/drive/drivecpu65c02.h, src/drive/drivetypes.h, src/mainc64cpu.c,
	src/maincpu.c, src/mainviccpu.c, src/monitor/Makefile.am,
	src/monitor/asm.h, src/monitor/asmR65C02.c,
	src/monitor/mon_assemble.h, src/monitor/mon_assembleR65C02.c,
	src/monitor/mon_disassemble.c, src/monitor/mon_parse.c,
	src/monitor/mon_parse.h, src/monitor/mon_parse.y,
	src/monitor/mon_register.h, src/monitor/mon_registerR65C02.c,
	src/monitor/monitor.c, src/monitor.h, src/plus4/plus4.c, src/r65c02.h,
	src/vic20/vic20.c: Take over Marco's R65C02 CPU core, and use it for
	the 2000/4000 drives, as this is the CPU used in them.

2012-09-01  Kajtar Zsolt <soci@c64.rulez.org>

	* src/monitor/mon_register6502.c: Tidy up

2012-08-31  Kajtar Zsolt <soci@c64.rulez.org>

	* src/core/ata.c, src/core/mc6821core.c, src/drive/iec/pc8477.c:
	Remove CR

2012-08-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_windows_runtime_os.c: Platform detection
	improvements.

2012-08-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_windows_runtime_os.c: Platform detection
	improvements.

2012-08-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32, src/platform/platform_windows_runtime_os.c: Platform
	detection improvements.

2012-08-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_windows_runtime_os.c: Platform detection
	improvements.

2012-08-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/ui.cc, src/arch/sdl/archdep_beos.c,
	src/platform/Makefile.am, src/platform/platform_beos_runtime_os.c,
	src/platform/platform_windows_runtime_os.c: Moved common beos runtime
	os code to the platform lib.

2012-08-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/catweaselmkiii.c,
	src/arch/amigaos/cw.h, src/arch/amigaos/cw_device.c,
	src/arch/amigaos/cw_openpci.c, src/arch/amigaos/cw_os4.c,
	src/catweaselmkiii.h: Added support for catweasel device for the amiga
	platforms.

2012-08-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/archdep.c: Style fix.

2012-08-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_windows_runtime_os.c: Platform detection
	improvements.

2012-08-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/x128.vcproj, src/arch/win64/x64.vcproj,
	src/arch/win64/x64dtv.vcproj, src/arch/win64/x64sc.vcproj,
	src/arch/win64/xcbm2.vcproj, src/arch/win64/xcbm5x0.vcproj,
	src/arch/win64/xpet.vcproj, src/arch/win64/xplus4.vcproj,
	* src/arch/win64/xvic.vcproj: Fixed for ia64.

2012-08-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/archdep.c: Include dos.h for _dos_flavor.

2012-08-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/msvc/ide-config.h: Fixed.

2012-08-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/c64c64dtv.vcproj: Fixed.

2012-08-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/sid.vcproj: Really fixed.

2012-08-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/sid.vcproj: Fixed.

2012-08-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/x128.vcproj, src/arch/win64/x64.vcproj,
	src/arch/win64/x64dtv.vcproj, src/arch/win64/x64sc.vcproj,
	src/arch/win64/xcbm2.vcproj, src/arch/win64/xcbm5x0.vcproj,
	src/arch/win64/xpet.vcproj, src/arch/win64/xplus4.vcproj,
	src/arch/win64/xvic.vcproj: Finished the ia64 fixes for the win64
	project files.

2012-08-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/vicii.vcproj, src/arch/win64/viciidtv.vcproj,
	src/arch/win64/viciinew.vcproj, src/arch/win64/video.vcproj,
	src/arch/win64/vsid.vcproj, src/arch/win64/vsidlib.vcproj: More ia64
	fixes for the win64 project files.

2012-08-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/tape.vcproj, src/arch/win64/tcbm.vcproj,
	src/arch/win64/userport.vcproj, src/arch/win64/vdc.vcproj,
	src/arch/win64/vdrive.vcproj, src/arch/win64/vic20.vcproj,
	src/arch/win64/vic20cart.vcproj: More ia64 fixes for the win64 project
	files.

2012-08-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/printerdrv.vcproj, src/arch/win64/raster.vcproj,
	src/arch/win64/resid.vcproj, src/arch/win64/residdtv.vcproj,
	src/arch/win64/residfp.vcproj, src/arch/win64/rs232drv.vcproj,
	src/arch/win64/rtc.vcproj, src/arch/win64/serial.vcproj,
	src/arch/win64/sid.vcproj, src/arch/win64/sounddrv.vcproj: More ia64
	fixes for the win64 project files.

2012-08-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/parallel.vcproj, src/arch/win64/pet.vcproj,
	src/arch/win64/petcat.vcproj, src/arch/win64/platform.vcproj,
	src/arch/win64/plus4.vcproj, src/arch/win64/plus4exp.vcproj: More ia64
	fixes for the win64 project files.

2012-08-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/fileio.vcproj, src/arch/win64/fsdevice.vcproj,
	src/arch/win64/gfxoutputdrv.vcproj, src/arch/win64/iec.vcproj,
	src/arch/win64/iec128dcr.vcproj, src/arch/win64/iecbus.vcproj,
	src/arch/win64/iecieee.vcproj, src/arch/win64/ieee.vcproj,
	src/arch/win64/imagecontents.vcproj, src/arch/win64/monitor.vcproj,
	src/arch/win64/p64.vcproj: More ia64 fixes for the win64 project
	files.

2012-08-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/cbm2.vcproj, src/arch/win64/cbm2common.vcproj,
	src/arch/win64/cbm5x0.vcproj, src/arch/win64/core.vcproj,
	src/arch/win64/crtc.vcproj, src/arch/win64/diskimage.vcproj,
	src/arch/win64/drive.vcproj: More ia64 fixes for the win64 project
	files.

2012-08-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/arch.vcproj, src/arch/win64/base.vcproj,
	src/arch/win64/c128.vcproj, src/arch/win64/c1541.vcproj,
	src/arch/win64/c64.vcproj, src/arch/win64/c64c128.vcproj,
	src/arch/win64/c64c64dtv.vcproj, src/arch/win64/c64cart.vcproj,
	src/arch/win64/c64cartsystem.vcproj,
	src/arch/win64/c64commoncart.vcproj, src/arch/win64/c64dtv.vcproj,
	src/arch/win64/c64dtvstubs.vcproj, src/arch/win64/c64exp.vcproj,
	src/arch/win64/c64sc.vcproj, src/arch/win64/cartconv.vcproj: Started
	on adding a 'no directx' config for ia64 in the win64 msvc project
	files.

2012-08-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_win32.c, src/arch/win32/archdep.c: Get cpu
	detection working for amd64/x86_64.

2012-08-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64: Added an svn ignore.

2012-08-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/arch.vcproj: Fixed.

2012-08-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win64-msvc/ide-config.h,
	src/arch/win32/msvc/ide-config.h: Fixed for 64bit msvc compile.

2012-08-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/make-msvc-bindist.bat: Fixed better.

2012-08-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/make-msvc-bindist.bat: Fixed.

2012-08-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/arch.tgt,
	src/arch/sdl/win32-watcom/c1541.tgt,
	src/arch/sdl/win32-watcom/petcat.tgt,
	src/arch/sdl/win32-watcom/platform.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/vsid.tgt,
	src/arch/sdl/win32-watcom/x128.tgt, src/arch/sdl/win32-watcom/x64.tgt,
	src/arch/sdl/win32-watcom/x64dtv.tgt,
	src/arch/sdl/win32-watcom/x64sc.tgt,
	src/arch/sdl/win32-watcom/xcbm2.tgt,
	src/arch/sdl/win32-watcom/xcbm5x0.tgt,
	src/arch/sdl/win32-watcom/xpet.tgt,
	src/arch/sdl/win32-watcom/xplus4.tgt,
	src/arch/sdl/win32-watcom/xvic.tgt: Fixed sdl win32 ow project files.

2012-08-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win64-msvc/platform.vcproj: Fixed sdl win64 msvc
	project files.

2012-08-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win64-msvc/Makefile.am,
	src/arch/sdl/win64-msvc/arch.vcproj,
	src/arch/sdl/win64-msvc/platform.vcproj,
	src/arch/sdl/win64-msvc/vice.sln, src/arch/sdl/win64-msvc/vsid.vcproj,
	src/arch/sdl/win64-msvc/x128.vcproj,
	src/arch/sdl/win64-msvc/x64.vcproj,
	src/arch/sdl/win64-msvc/x64dtv.vcproj,
	src/arch/sdl/win64-msvc/x64sc.vcproj,
	src/arch/sdl/win64-msvc/xcbm2.vcproj,
	src/arch/sdl/win64-msvc/xcbm5x0.vcproj,
	src/arch/sdl/win64-msvc/xpet.vcproj,
	src/arch/sdl/win64-msvc/xplus4.vcproj,
	src/arch/sdl/win64-msvc/xvic.vcproj: Fixed sdl win64 msvc project
	files.

2012-08-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/winmips-msvc/Makefile.am,
	src/arch/sdl/winmips-msvc/arch.mak,
	src/arch/sdl/winmips-msvc/c1541.mak,
	src/arch/sdl/winmips-msvc/petcat.mak,
	src/arch/sdl/winmips-msvc/platform.mak,
	src/arch/sdl/winmips-msvc/vsid.mak,
	src/arch/sdl/winmips-msvc/x128.mak, src/arch/sdl/winmips-msvc/x64.mak,
	src/arch/sdl/winmips-msvc/x64dtv.mak,
	src/arch/sdl/winmips-msvc/x64sc.mak,
	src/arch/sdl/winmips-msvc/xcbm2.mak,
	src/arch/sdl/winmips-msvc/xcbm5x0.mak,
	src/arch/sdl/winmips-msvc/xpet.mak,
	src/arch/sdl/winmips-msvc/xplus4.mak,
	src/arch/sdl/winmips-msvc/xvic.mak: Fixed winmips msvc project files.

2012-08-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_discovery.h,
	src/platform/platform_x86_runtime_cpu.c: Platform detection
	improvements.

2012-08-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/platform.vcproj: More win64 msvc project files fixes.

2012-08-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/vsid.vcproj, src/arch/win64/x128.vcproj,
	src/arch/win64/x64.vcproj, src/arch/win64/x64dtv.vcproj,
	src/arch/win64/x64sc.vcproj, src/arch/win64/xcbm2.vcproj,
	src/arch/win64/xcbm5x0.vcproj, src/arch/win64/xpet.vcproj,
	src/arch/win64/xplus4.vcproj, src/arch/win64/xvic.vcproj: More win64
	msvc project files fixes.

2012-08-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc/Makefile.am,
	src/arch/sdl/win32-msvc/arch.dsp,
	src/arch/sdl/win32-msvc/platform.dsp,
	src/arch/sdl/win32-msvc/vice.dsw, src/arch/sdl/win32-msvc/vsid.dsp,
	src/arch/sdl/win32-msvc/x128.dsp, src/arch/sdl/win32-msvc/x64.dsp,
	src/arch/sdl/win32-msvc/x64dtv.dsp, src/arch/sdl/win32-msvc/x64sc.dsp,
	src/arch/sdl/win32-msvc/xcbm2.dsp,
	src/arch/sdl/win32-msvc/xcbm5x0.dsp, src/arch/sdl/win32-msvc/xpet.dsp,
	src/arch/sdl/win32-msvc/xplus4.dsp, src/arch/sdl/win32-msvc/xvic.dsp:
	Fixed the sdl win32 msvc project files.

2012-08-21  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/sdl/make-bindist_beos.sh: Fix the BeOS SDL bindist script
	so that it actually works (for the first time in 26 months!)

2012-08-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/Makefile.am, src/arch/win64/platform.vcproj,
	src/arch/win64/vice.sln: Some win64 msvc project files fixes.

2012-08-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_amigaos3_runtime_os.c: Platform detection
	improvements.

2012-08-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_aros_runtime_os.c: Platform detection
	improvements.

2012-08-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_amigaos3_runtime_os.c,
	src/platform/platform_aros_runtime_os.c,
	src/platform/platform_windows_runtime_os.c: Platform detection
	improvements.

2012-08-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* Makefile.am, configure.in, src/arch/amigaos/make-bindist.sh,
	src/arch/beos/make-bindist.sh, src/arch/msdos/make-bindist.sh,
	src/arch/sdl/make-bindist_amiga.sh, src/arch/sdl/make-bindist_beos.sh,
	src/arch/sdl/make-bindist_dingoo.sh,
	src/arch/sdl/make-bindist_dingoo_native.sh,
	src/arch/sdl/make-bindist_gp2x.sh, src/arch/sdl/make-bindist_qnx6.sh,
	src/arch/sdl/make-bindist_scosol.sh,
	src/arch/sdl/make-bindist_skyos.sh,
	src/arch/sdl/make-bindist_syllable.sh,
	src/arch/sdl/make-bindist_win32.sh,
	src/arch/unix/gp2x/make-bindist.sh,
	src/arch/unix/hpux/make-bindist.sh,
	src/arch/unix/macosx/make-bindist.sh,
	src/arch/unix/next_open_rhap/make-bindist.sh,
	src/arch/unix/qnx4/make-bindist.sh,
	src/arch/unix/qnx6/make-bindist.sh,
	src/arch/unix/sco_sol/make-bindist.sh,
	src/arch/unix/skyos/make-bindist.sh, src/arch/win32/make-bindist.sh:
	Optimize code by default, but warn about it when generating a binary
	distribution.

2012-08-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform.h, src/platform/platform_aros_runtime_os.c:
	Platform detection improvements.

2012-08-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/archdep.c, src/platform/Makefile.am,
	src/platform/platform_aros_runtime_os.c: Platform detection
	improvements.

2012-08-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/c1541.tgt, src/arch/win32/watcom/petcat.tgt,
	src/arch/win32/watcom/platform.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/watcom/vsid.tgt, src/arch/win32/watcom/x128.tgt,
	src/arch/win32/watcom/x64.tgt, src/arch/win32/watcom/x64dtv.tgt,
	src/arch/win32/watcom/x64sc.tgt, src/arch/win32/watcom/xcbm2.tgt,
	src/arch/win32/watcom/xcbm5x0.tgt, src/arch/win32/watcom/xpet.tgt,
	src/arch/win32/watcom/xplus4.tgt, src/arch/win32/watcom/xvic.tgt,
	src/platform/platform_cpu_type.h, src/platform/platform_discovery.h,
	src/platform/platform_x86_runtime_cpu.c: Fixed win32 ow project files.

2012-08-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/archdep.c: Platform detection improvements.

2012-08-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/Makefile.am, src/platform/platform.h,
	src/platform/platform_amigaos4_runtime_os.c,
	src/platform/platform_x86_runtime_cpu.c: Platform detection
	improvements.

2012-08-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/arch.dsp,
	src/arch/win32/platform.dsp, src/arch/win32/vice.dsw,
	src/arch/win32/vsid.dsp, src/arch/win32/x128.dsp,
	src/arch/win32/x64.dsp, src/arch/win32/x64dtv.dsp,
	src/arch/win32/x64sc.dsp, src/arch/win32/xcbm2.dsp,
	src/arch/win32/xcbm5x0.dsp, src/arch/win32/xpet.dsp,
	src/arch/win32/xplus4.dsp, src/arch/win32/xvic.dsp: Fixed the win32
	msvc project files.

2012-08-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_amigaos3_runtime_os.c: Platform detection
	improvements.

2012-08-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/Makefile.am, src/arch/Makefile.am,
	src/arch/amigaos/Makefile.am, src/arch/amigaos/archdep.c,
	src/arch/amigaos/mui/mui.c, src/arch/beos/Makefile.am,
	src/arch/beos/archdep.c, src/arch/beos/ui.cc,
	src/arch/msdos/Makefile.am, src/arch/msdos/archdep.c,
	src/arch/os2/archdep.c, src/arch/platform.h,
	src/arch/platform_aix_version.h, src/arch/platform_compiler.h,
	src/arch/platform_cpu_type.h, src/arch/platform_freebsd_version.h,
	src/arch/platform_linux_libc_version.h,
	src/arch/platform_netbsd_version.h,
	src/arch/platform_openbsd_version.h, src/arch/platform_qnx6_version.h,
	src/arch/platform_windows_runtime_os.h,
	src/arch/platform_x86_runtime_cpu.h, src/arch/sdl/Makefile.am,
	src/arch/sdl/archdep_amiga.c, src/arch/sdl/archdep_beos.c,
	src/arch/sdl/archdep_unix.c, src/arch/sdl/archdep_win32.c,
	src/arch/sdl/menu_help.c, src/arch/unix/Makefile.am,
	src/arch/unix/archdep.c, src/arch/unix/macosx/platform_macosx.c,
	src/arch/unix/macosx/platform_macosx.h,
	src/arch/unix/x11/gnome/Makefile.am, src/arch/unix/x11/gnome/about.c,
	src/arch/unix/x11/xaw/Makefile.am, src/arch/unix/x11/xaw/about.c,
	src/arch/win32/Makefile.am, src/arch/win32/archdep.c, src/platform,
	src/platform/Makefile.am, src/platform/platform.c,
	src/platform/platform.h, src/platform/platform_aix_version.h,
	src/platform/platform_amigaos3_runtime_os.c,
	src/platform/platform_compiler.h, src/platform/platform_cpu_type.h,
	src/platform/platform_discovery.h,
	src/platform/platform_freebsd_version.h,
	src/platform/platform_linux_libc_version.h,
	src/platform/platform_netbsd_version.h,
	src/platform/platform_openbsd_version.h,
	src/platform/platform_qnx6_version.h,
	src/platform/platform_windows_runtime_os.c,
	src/platform/platform_x86_runtime_cpu.c: Platform detection
	improvements.

2012-08-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vsidui.c: Silence the sound when going into the menu.

2012-08-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/resid/configure.in: Changed the behavior of the
	--enable-arch configure option to be 'no' by default, this way at
	least the generated binary can be used on any cpu, the user can use
	--enable-arch=native to create (better optimized) binaries to be used
	on the users cpu type.

2012-08-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c, src/pet/petmem.c, src/pet/petmem.h: Proper
	'superpet_sync' function fix.

2012-08-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/mididrv.c: Applied suggested fix for windows midi out
	problem (bug 3511131).

2012-08-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos, src/arch/amigaos/archdep.c,
	src/arch/amigaos/catweaselmkiii.c, src/arch/amigaos/loadlibs.c,
	src/arch/amigaos/loadlibs.h, src/arch/amigaos/mui/uijoystick.c,
	src/arch/amigaos/vsidui.c: Fixed for amigaos4.

2012-08-15  Olaf Seibert <rhialto@falu.nl>

	* src/pet/petmem.h, src/pet/petmemsnapshot.c: Small snapshot fix for
	OS/9 memory mapping.

2012-08-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/iecc64exp.tgt,
	src/arch/os2/watcom/petcat-specific.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/x1541-specific.tgt,
	src/arch/os2/watcom/xall-specific.tgt,
	src/arch/sdl/win32-watcom/c64exp.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/c64exp.tgt, src/arch/win32/watcom/ide-config.h,
	src/arch/win32/watcom/vice.wpj: Fixed the ow project files.

2012-08-15  Olaf Seibert <rhialto@falu.nl>

	* src/pet/6809.c, src/pet/pet-resources.c, src/pet/petmem.c,
	src/pet/petmem.h, src/pet/petmemsnapshot.c: First pass at emulating
	the Super-OS/9 MMU developed by the Toronto PET User's Group (TPUG).
	This runs Super-OS/9.

2012-08-15  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/uipalcontrol.c, src/arch/unix/x11/xaw/x11ui.c,
	src/arch/unix/x11/xaw/x11video.c: Fix Continue button of JAM dialog,
	and some other small cleanup.

2012-08-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/platform.h, src/arch/platform_windows_runtime_os.h,
	src/arch/sdl/archdep_win32.c, src/arch/win32/archdep.c: Extended the
	windows runtime detection to the sdl port.

2012-08-13  Kajtar Zsolt <soci@c64.rulez.org>

	* src/drive/driverom.c: Try to silence warning

2012-08-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/platform_windows_runtime_os.h: Windows version detection
	improvements.

2012-08-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/platform_windows_runtime_os.h: Windows version detection
	improvements.

2012-08-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/platform_windows_runtime_os.h: Windows version detection
	improvements.

2012-08-12  Kajtar Zsolt <soci@c64.rulez.org>

	* src/vicii/vicii-sprites.c: Trim down lookup table, it's a waste of
	cache memory.

2012-08-12  Kajtar Zsolt <soci@c64.rulez.org>

	* src/drive/driverom.c: Remove fixme, it's not a typo.

2012-08-12  Kajtar Zsolt <soci@c64.rulez.org>

	* src/ram.c: Now without explicit modulo. Twice as fast.

2012-08-12  Kajtar Zsolt <soci@c64.rulez.org>

	* src/vicii/vicii-sprites.c: Very slow and complicated table
	generation. Around 14x faster now.

2012-08-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/platform_windows_runtime_os.h: Windows version detection
	improvements.

2012-08-12  Kajtar Zsolt <soci@c64.rulez.org>

	* src/resid/wave.cc: Leandro Nini ( drfiemost ) - 2012-08-11 06:13:11
	PDT - Trivial patch to remove a duplicate instruction in reSID.
	http://sourceforge.net/tracker/?func=detail&atid=1057619&aid=3556360&group_id=223021

2012-08-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/platform_windows_runtime_os.h: Windows version detection
	improvements.

2012-08-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/platform_windows_runtime_os.h: Windows version detection
	improvements.

2012-08-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/platform_windows_runtime_os.h: Windows version detection
	improvements.

2012-08-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/platform_windows_runtime_os.h: Windows version detection
	improvements.

2012-08-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/Makefile.am, src/arch/platform_windows_runtime_os.h,
	src/arch/win32/Makefile.am, src/arch/win32/archdep.c: Started on
	runtime windows version detection.

2012-08-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc/c64exp.dsp,
	src/arch/sdl/win64-msvc/c64exp.vcproj,
	src/arch/sdl/winmips-msvc/c64exp.mak, src/arch/win32/c64exp.dsp,
	src/arch/win64/c64exp.vcproj: Added supercard.c to the various msvc
	project files.

2012-08-10  Jarek Sobolewski <r@sledinmay.com>

	* po/pl.po: Updated.

2012-08-10  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64scui.c,
	src/arch/unix/gui/c64ui.c, src/arch/unix/gui/uidrivec64c128.c,
	src/arch/unix/gui/uidrivec64c128.h, src/drive/drive-check.c,
	src/drive/drive.h, src/drive/iec/c64exp/Makefile.am,
	src/drive/iec/c64exp/c64exp-cmdline-options.c,
	src/drive/iec/c64exp/c64exp-resources.c,
	src/drive/iec/c64exp/iec-c64exp.c, src/drive/iec/c64exp/supercard.c,
	src/drive/iec/c64exp/supercard.h, src/translate.txt,
	src/translate_text.c: added supercard+ emulation

2012-08-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/arch.dsp: Fixed.

2012-08-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/archdep.c, src/arch/beos/ui.cc,
	src/arch/sdl/archdep_amiga.c, src/arch/sdl/archdep_beos.c,
	src/arch/sdl/archdep_unix.c, src/arch/sdl/archdep_win32.c,
	src/arch/sdl/archdep_xbox.c: More platform updates.

2012-08-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/archdep.c, src/arch/beos/archdep.c,
	src/arch/msdos/archdep.c, src/arch/os2/archdep.c,
	src/arch/platform_x86_runtime_cpu.h, src/arch/sdl/archdep.c,
	src/arch/sdl/archdep_amiga.c, src/arch/sdl/archdep_beos.c,
	src/arch/sdl/archdep_cegcc.c, src/arch/sdl/archdep_dingoo.c,
	src/arch/sdl/archdep_unix.c, src/arch/sdl/archdep_win32.c,
	src/arch/sdl/archdep_xbox.c, src/arch/unix/Makefile.am,
	src/arch/unix/archdep.c, src/arch/win32/archdep.c: More platform
	updates.

2012-08-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/archdep.c: Added os2 runtime version detection.

2012-08-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/archdep.c: Added dos flavor and version detection.

2012-08-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/archdep.c, src/arch/beos/ui.cc, src/arch/beos/ui.h:
	More platform detection updates.

2012-08-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/archdep.c: Added beos/zeta/haiku runtime detection.

2012-08-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, doc/vice.pdf, src/arch/Makefile.am,
	src/arch/amigaos/archdep.c, src/arch/beos/archdep.c,
	src/arch/msdos/archdep.c, src/arch/os2/archdep.c, src/arch/platform.h,
	src/arch/platform_cpu_type.h, src/arch/platform_x86_runtime_cpu.h,
	src/arch/sdl/archdep.c, src/arch/unix/archdep.c,
	src/arch/win32/archdep.c, src/archapi.h: Made the platform detection
	support a bit more modular.

2012-08-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resvsid.rc, src/arch/win32/vsid.dsp,
	src/arch/win32/vsidui.c: Made the windows vsid window size bigger and
	added a monitor menu item.

2012-08-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.txt, doc/vice.chm, doc/vice.pdf, doc/vice.hlp, po/es.po,
	po/ko.po, po/fr.po, po/da.po, po/tr.po, po/sv.po, po/de.po, po/hu.po,
	po/ru.po, po/nl.po, po/pl.po, po/it.po, ChangeLog,
	src/arch/win32/vice-version.bat, src/version.h, configure.in:
	VICE 2.3.21

2012-08-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/Makefile.am, doc/vice.chm, doc/vice.guide, doc/vice.hlp,
	doc/vice.inf, doc/vice.pdf: Fixed pdf generation.

2012-08-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt, src/arch/amigaos/intl_text.c,
	src/arch/win32/res.rc, src/translate_text.c: Did a 'make trans-update'

2012-08-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/gfxoutputdrv/doodledrv.c: Fixed email addy.

2012-08-04  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/win32/res.rc, src/arch/win32/uisound.c: I think this is how
	Marco meant to fix the win32 sound driver selection GUI.

2012-08-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* data/VIC20/Makefile.am, data/VIC20/win_sym_US.vkm: Added vic20 US
	symbolic keymap as provided by derrick inksley.

2012-08-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/xvic_ui.c: Applied patch by Magnus Lind: xvic_ui.c
	tests if VIC_DUPLICATES_PIXELS is defined or not to decide how many
	characters it can write per row. If VIC_DUPLICATES_PIXELS is defined
	it will be defined in victypes.h which must be included in xvic_ui.c
	for the test to succeed.

2012-08-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/cbm2ui.c,
	src/arch/msdos/cbm5x0ui.c, src/arch/msdos/uicbm2model.c,
	src/arch/msdos/uicbm2model.h, src/arch/msdos/uicbm5x0model.c,
	src/arch/msdos/uicbm5x0model.h, src/cbm2/cbm5x0.c: Split cbm2/cbm5x0
	ui code and added cbm2/cbm5x0 model selection support for the dos tui.

2012-08-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uijoystick.c: Added support for the kingsoft and
	starbyte userport joysticks to the dos tui.

2012-08-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/petui.c,
	src/arch/msdos/uipetmodel.c, src/arch/msdos/uipetmodel.h: Added proper
	pet model selection to the dos tui.

2012-08-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	src/arch/msdos/uic128model.c, src/arch/msdos/uic128model.h,
	src/arch/msdos/uiplus4model.c: Added c128 model selection support to
	the dos tui.

2012-08-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	src/arch/msdos/cbm2ui.c, src/arch/msdos/uiciamodel.c,
	src/arch/msdos/uiciamodel.h: Added CIA1/2 model selection support for
	x128/xcbm* to the dos tui.

2012-08-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/uiretroreplay.c,
	src/arch/msdos/uiretroreplay.h: Added retro replay support to the dos
	tui.

2012-07-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/cbm2ui.c,
	src/arch/msdos/plus4ui.c, src/arch/msdos/uisid.c,
	src/arch/msdos/uisid.h, src/arch/msdos/uisidc128.c,
	src/arch/msdos/uisidc128.h, src/arch/msdos/uisidc64.c,
	src/arch/msdos/uisidc64.h, src/arch/msdos/uisidcbm2.c,
	src/arch/msdos/uisidcbm2.h: Added stereo/triple sid support to the dos
	tui.

2012-07-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uisound.c: Added drive sound emulation support to the
	dos tui.

2012-07-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sound.c: Forced sound output mode to mono.

2012-07-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c64ui.c,
	src/arch/msdos/uiburstmod.c, src/arch/msdos/uiburstmod.h: Added c64
	burst modification support to the dos tui.

2012-07-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uiide64.c: Fixed the msdos ide64 tui.

2012-07-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/c128ui.c, src/arch/msdos/c64dtvui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/cbm2ui.c,
	src/arch/msdos/petui.c, src/arch/msdos/plus4ui.c,
	src/arch/msdos/uidrive.c, src/arch/msdos/vic20ui.c: Added fd2000/4000
	support to the dos tui.

2012-07-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/plus4ui.c,
	src/arch/msdos/uiplus4cart.c, src/arch/msdos/uiplus4cart.h: Added
	plus4 cartridge support to the msdos tui.

2012-07-29  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/uipalcontrol.c: Make close button actually
	close the window. Add Volume slider. Fiddle with rounding and clamping
	of resource values.

2012-07-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/rescommon.h: Some win64 fixes.

2012-07-27  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/uipalcontrol.c: Hopefully fix Xlib crash when
	trying to close the PAL Control window.

2012-07-26  groepaz <groepaz@gmx.net>

	* src/cbmdos.c, src/imagecontents/diskcontents-block.c: fix the root
	of the problem instead :) also fixes vdrive/c1541

2012-07-26  Olaf Seibert <rhialto@falu.nl>

	* src/imagecontents/diskcontents-block.c: Avoid a NULL pointer to
	sprintf.

2012-07-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/gfxoutputdrv/gifdrv.c: More giflib 5.x fixes.

2012-07-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/gfxoutputdrv/gifdrv.c: Fixed for giflib 5.x

2012-07-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi: Fixed vice.texi

2012-07-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64parallel.c, src/c64/cart/c64carthooks.c,
	src/c64/cart/crt.c, src/core/ata.c, src/diskimage/fsimage-gcr.c,
	src/diskimage/fsimage-probe.c, src/drive/drive-snapshot.c,
	src/drive/drivecpu.c, src/drive/driverom.c, src/drive/iec/fdd.c,
	src/drive/iec/pc8477.c, src/drive/iec/wd1770.c, src/drive/rotation.c,
	src/lib/p64/p64.c, src/monitor/mon_assemble6809.c,
	src/monitor/monitor_network.c, src/pet/6809.h, src/pet/pet-snapshot.c,
	src/raster/raster-line.c, src/vdrive/vdrive-command.c,
	src/vic20/vic20sound.c, src/video/video-sound.c,
	src/video/video-viewport.c: Some warning fixes.

2012-07-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_win32.c, src/arch/sdl/fullscreen.c,
	src/arch/sdl/ui.c, src/arch/sdl/video.c: Disable SDL debug.

2012-07-21  Kajtar Zsolt <soci@c64.rulez.org>

	* src/vic20/vic-color.c: Green slightly lighter. Add comments why the
	brightness levels look strange.

2012-07-21  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/win32/uisidcart.c: Improve win32 SID cart dialog, adding
	reSID(-fp) selection and likely fixing hardware SID selection. (It
	still lacks a reSID settings tab.)

2012-06-03  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/vicii/vicii-mem.c: Updated vicii_peek() to use the correct
	register bit masks depending on regular VIC-II vs. DTV VIC-II.

2012-07-20  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2012-07-19  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui.cc, src/arch/beos/vicewindow.cc,
	src/arch/beos/vicewindow.h: Refactored BeVICE menu update code.

2012-07-19  Benjamin Rosseaux <benjamin@rosseaux.com>

	* src/drive/rotation.c: Better temporary GCR write bug workaround

2012-07-18  Benjamin Rosseaux <benjamin@rosseaux.com>

	* src/drive/rotation.c: Temporary GCR write bug workaround 

2012-07-18  groepaz <groepaz@gmx.net>

	* src/sound.c: do not use pdev before it was initialized. someone who
	knows this code better should fix it properly

2012-07-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sound.c, src/sound.h, src/sounddrv/soundahi.c,
	src/sounddrv/soundaiff.c, src/sounddrv/soundaix.c,
	src/sounddrv/soundallegro.c, src/sounddrv/soundalsa.c,
	src/sounddrv/soundarts.c, src/sounddrv/soundbeos.cc,
	src/sounddrv/soundcoreaudio.c, src/sounddrv/sounddart.c,
	src/sounddrv/sounddummy.c, src/sounddrv/sounddump.c,
	src/sounddrv/sounddx.c, src/sounddrv/soundfs.c,
	src/sounddrv/soundhpux.c, src/sounddrv/soundiff.c,
	src/sounddrv/soundmidas.c, src/sounddrv/soundmmos2.c,
	src/sounddrv/soundmovie.c, src/sounddrv/soundmp3.c,
	src/sounddrv/soundpulse.c, src/sounddrv/soundsdl.c,
	src/sounddrv/soundsgi.c, src/sounddrv/soundsun.c,
	src/sounddrv/sounduss.c, src/sounddrv/soundvoc.c,
	src/sounddrv/soundwav.c, src/sounddrv/soundwmm.c: Only adjust fragment
	size for stereo capable devices.

2012-07-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uisound.c: Fixed in a better way.

2012-07-17  Kajtar Zsolt <soci@c64.rulez.org>

	* src/vic20/vic-color.c: Magnus Lind ( magli143 ) - 2012-07-10
	11:53:36 PDT: This patch changes the light orange color of xvic to be
	light orange and not light brown. This matches the light orange tint
	on my real vic-20 much better.
	https://sourceforge.net/tracker/?func=detail&atid=1057619&aid=3542105&group_id=223021

2012-07-17  Kajtar Zsolt <soci@c64.rulez.org>

	* src/sound.c: Magnus Lind ( magli143 ) - 2012-07-14 10:48:49 PDT:
	This patch doubles the fragment size if the sound mode is stereo
	compared to when it is mono since the double amount of data is written
	per sample in stereo mode. Without this patch, when using stereo mode,
	the size of the sound buffer (in milliseconds) is only half the
	configured size.
	http://sourceforge.net/tracker/?func=detail&atid=1057619&aid=3544080&group_id=223021

2012-07-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sounddrv/soundsdl.c: Applied the sdl sound patch by Magnus Lind:
	Improves sdl sound driver fragment size handling and endianess.

2012-07-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uisound.c: Changed #ifndef NODIRECTX to #ifndef
	HAVE_DSOUND_LIB, that way mingw builds without dsound will not have
	the wmm/dx sound driver selection gui either.

2012-07-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in: Put linux 64bit data files in <prefix>/lib64 instead
	of <prefix>/lib.

2012-07-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_amiga.c, src/arch/sdl/archdep_amiga.h: Added
	sdl drive selection to the amiga sdl port.

2012-07-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_win32.c: Coding style fixes.

2012-07-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep.h, src/arch/sdl/archdep_amiga.h,
	src/arch/sdl/archdep_win32.c, src/arch/sdl/archdep_win32.h,
	src/arch/sdl/uifilereq.c: Applied slightly altered version of the sdl
	drive selector patch by Magnus Lind: Adds drive selection
	functionality to the window sdl port.

2012-07-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/archdep.c: Applied patch by derrick inksley, fixes
	loading of zip files with brackets ([]) in the filename for the
	windows port.

2012-07-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32: Added wrc generated temporary resource files
	(*.res.*) to the svn ignore.

2012-07-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom: Added the 'WinVICE*' directory generated by a
	make bindist as an svn ignore.

2012-07-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* data/C64/sdl_sym.vkm, data/C64DTV/sdl_sym.vkm,
	data/CBM-II/sdl_buks.vkm, data/PET/sdl_bgrs.vkm,
	data/PET/sdl_buks.vkm, data/PLUS4/sdl_sym.vkm, data/VIC20/sdl_sym.vkm:
	Fixed the sdl keymap 'minus' key assignments.

2012-07-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vic20/vic20sound.c: Applied vic20 sound patch by Magnus Lind.

2012-07-11  groepaz <groepaz@gmx.net>

	* src/c64/cart/c64cartmem.c: fix pagefox ROML write access

2012-07-11  Jarek Sobolewski <r@sledinmay.com>

	* po/pl.po: Updated.

2012-07-11  groepaz <groepaz@gmx.net>

	* src/diskimage/fsimage-gcr.c: removed redundant memory clear

2012-07-11  groepaz <groepaz@gmx.net>

	* src/diskimage/fsimage-gcr.c: clear trackdata with 0, do not attempt
	to load data when offset is 0. patch from VICE 2.3.19 SPS

2012-07-10  Kajtar Zsolt <soci@c64.rulez.org>

	* src/ioutil.c: Magnus Lind: This patch avoids stat'ing every file if
	the d_type field of dirent is available. It makes a real difference on
	lesser os'es when browsing sdcards using the sdl-ui.
	https://sourceforge.net/tracker/?func=detail&atid=1057619&aid=3542106&group_id=223021

2012-07-10  Kajtar Zsolt <soci@c64.rulez.org>

	* src/mouse.c: Magnus Lind: Add right button support for Atari
	ST-mouse emulation, remove it for CX-22 trackball.
	http://sourceforge.net/tracker/?func=detail&atid=1057619&aid=3542102&group_id=223021

2012-07-10  Antti S. Lankila <alankila@bel.fi>

	* src/c64/psid.c: Zero SidStereo flag unconditionally. Otherwise
	playing a 2SID file followed by regular file may leave the stereo
	mode on.

2012-07-06  Andrea Musuruane <musuruan@gmail.com>

	* po/it.po, po/translations-status.txt: Updated.

2012-07-06  Emir Akaydin <emir@akaydin.com>

	* po/tr.po, po/translations-status.txt: Updated.

2012-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.chm, doc/vice.hlp, doc/vice.pdf: Updated.

2012-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for the updated es.po file.

2012-07-05  Manuel Antonio Rodriguez Bas <formater@winuaespanol.com>

	* po/es.po: Updated.

2012-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.pdf, doc/vice.hlp, doc/vice.guide, doc/vice.chm,
	configure.in, ChangeLog, src/version.h,
	src/arch/win32/vice-version.bat, po/es.po, po/ko.po, po/fr.po,
	po/da.po, po/tr.po, po/sv.po, po/de.po, po/hu.po, po/ru.po, po/nl.po,
	po/pl.po, po/it.po: VICE version 2.3.20

2012-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/sv.po, src/arch/amigaos/intl_text.c,
	src/arch/win32/res.rc, src/arch/win32/resc64.rc, src/translate_text.c:
	Did a 'make trans-update'.

2012-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2012-07-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2012-07-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/video.c: Fixed.

2012-07-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uivideo.c: Rewrote the dos video settings menu.

2012-07-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.inf,
	doc/vice.pdf, doc/vice.txt: Updated for the latest vice.texi changes.

2012-07-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uireu.c: Removed a space.

2012-07-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi, src/infocontrib.sed: Added Sven Droll to the external
	contributors list.

2012-07-03  groepaz <groepaz@gmx.net>

	* src/findhacks.sh: added little script to help with finding some ugly
	things :)

2012-07-03  groepaz <groepaz@gmx.net>

	* doc/vice.texi: removed resources

2012-07-03  groepaz <groepaz@gmx.net>

	* src/c64/cart/reu.c: kill REUfirstUnusedRegister resource with fire
	as requested :)

2012-07-03  groepaz <groepaz@gmx.net>

	* src/c64/c64-resources.c, src/sid/sid-resources.c: removed bogus and
	unused SidParSIDport resource

2012-07-03  groepaz <groepaz@gmx.net>

	* doc/vice.texi: removed RomsetXY resources

2012-07-03  groepaz <groepaz@gmx.net>

	* src/c128/c128-resources.c, src/c64/c64-resources.c,
	src/c64/vsid-resources.c, src/c64dtv/c64dtv-resources.c,
	src/cbm2/cbm2-resources.c, src/cbm2/cbm5x0-resources.c,
	src/drive/iec/iec-resources.c,
	src/drive/iec128dcr/iec128dcr-resources.c,
	src/drive/ieee/ieee-resources.c, src/drive/tcbm/tcbm-resources.c,
	src/pet/pet-resources.c, src/plus4/plus4-resources.c, src/romset.c,
	src/vic20/vic20-resources.c: removed unused RomsetXY resources
	(see devlog)

2012-07-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c64dtvui.c,
	src/arch/msdos/uic64dtvmodel.c, src/arch/msdos/uic64dtvmodel.h: Added
	c64dtv model selection to the msdos tui.

2012-07-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.hlp: regenerated vice.hlp

2012-07-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/Makefile.am, doc/fixdox.sh, doc/vice.chm, doc/vice.guide,
	doc/vice.hlp, doc/vice.inf, doc/vice.pdf, doc/vice.txt: Updated and
	fixed hlp generation.

2012-07-02  groepaz <groepaz@gmx.net>

	* src/arch/unix/joy.c, src/c128/c128drive.c,
	src/fsdevice/fsdevice-resources.c, src/sound.c,
	src/video/video-resources.c: some more defaults tweaking

2012-07-02  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/gnomevideo.c: fix gtk warning at vsid
	startup

2012-07-02  groepaz <groepaz@gmx.net>

	* src/arch/msdos/uic64cart.c: Added x64/x128 'reset on cart change' to
	the msdos tui.

2012-07-02  groepaz <groepaz@gmx.net>

	* src/drive/drive-snapshot.c, src/drive/drive-sound.c,
	src/drive/drive-sound.h: stop drive sounds when loading a snapshot,
	fixes bug 3539422

2012-07-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/Documentation-Howto.txt, doc/Makefile.am,
	doc/openGLsync-howto.txt, doc/vice.texi: merged openGLsync-howto.txt,
	some more fixes

2012-07-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/fullscreen.c, src/arch/sdl/ui.c, src/arch/sdl/video.c:
	write debug output to log instead of stdout/stderr

2012-07-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c64ui.c,
	src/arch/msdos/plus4ui.c, src/arch/msdos/uiplus4model.c,
	src/arch/msdos/uiplus4model.h: Added plus4 model selection to the
	msdos tui.

2012-07-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/constants.h, src/arch/beos/ui.cc,
	src/arch/beos/vicemenu.cc: Added autostart random delay to the beos
	gui.

2012-07-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uiattach.c: Added autostart random delay to the dos
	tui.

2012-07-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.inf,
	doc/vice.pdf, doc/vice.txt: Updated for the latest vice.texi changes.

2012-07-01  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist,
	src/arch/unix/macosx/cocoa/video.m,
	src/arch/unix/macosx/cocoa/videoparam.h,
	src/arch/unix/macosx/cocoa/view/viceglview.h,
	src/arch/unix/macosx/cocoa/view/viceglview.m: macosx: allow to display
	key codes. helps creating keymaps.

2012-07-01  Christian Vogelgsang <chris@vogelgsang.org>

	* data/C128/osx_pos.vkm, data/C128/osx_sym.vkm, data/C64/osx_pos.vkm,
	data/C64/osx_sym_us.vkm, data/C64DTV/osx_pos.vkm,
	data/C64DTV/osx_sym_us.vkm: macosx: fixed left arrow key on us keymap
	for C64/C128

2012-06-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/readmes/Readme-DOS.txt: Updated a bit.

2012-06-30  Olaf Seibert <rhialto@falu.nl>

	* doc/vice.texi: Mention TWO dual drives now, rather than one.

2012-06-29  groepaz <groepaz@gmx.net>

	* doc/html/plain/CRT.txt, doc/html/plain/Walkthrough-Howto.txt,
	src/lib/p64/doc: remove redundant textfiles

2012-06-29  groepaz <groepaz@gmx.net>

	* doc/Documentation-Howto.txt, doc/html/Makefile.am,
	doc/html/index.html, doc/vice.texi, src/lib/p64/Makefile.am: merged
	crt.txt, walkthrough-howto.txt and p64tech.txt into vice.texi

2012-06-29  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/constants.h, src/arch/beos/ui.cc,
	src/arch/beos/vicemenu.cc: Add BeVICE menu items for Kingsoft &
	Starbyte joysticks and Drive Sound Emulation.

2012-06-29  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/petui.cc, src/arch/beos/plus4ui.cc,
	src/arch/beos/vic20ui.cc: Remove obsolete SID cart menu toggle
	entries.

2012-06-29  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/video.cc: Fix old regression in BeVICE-specific
	cmdline option "+directwindow", which now prevents startup

2012-06-28  groepaz <groepaz@gmx.net>

	* src/c64/c64-resources.c, src/drive/iec/iec.c,
	src/drive/iec/pc8477.c, src/drive/iec/pc8477.h,
	src/drive/iec/wd1770.c, src/drive/iec/wd1770.h,
	src/video/video-resources.c: fixed some memory leaks

2012-06-28  groepaz <groepaz@gmx.net>

	* src/lib.c, src/lib.h: fixed/extended memory leak pinpoint stuff and
	enabled it by default in the debug build

2012-06-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.inf,
	doc/vice.pdf: Updated for the latest vice.texi changes.

2012-06-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/readmes/Readme-DOS.txt: Updated a bit.

2012-06-28  Benjamin Rosseaux <benjamin@rosseaux.com>

	* doc/vice.texi, src/diskimage/fsimage-gcr.c: Updated contributor info
	and fixed TDE autostart bug

2012-06-28  Benjamin Rosseaux <benjamin@rosseaux.com>

	* src/diskimage/fsimage-gcr.c, src/gcr.h: Added GCR_LOW_MEM define as
	low memory option for some targets

2012-06-26  groepaz <groepaz@gmx.net>

	* src/arch/sdl/fullscreen.c, src/arch/sdl/menu_video.c,
	src/arch/sdl/ui.c, src/arch/sdl/video.c, src/arch/sdl/videoarch.h:
	some reworking in order to get the resize/initial window size issues
	under control

2012-06-25  groepaz <groepaz@gmx.net>

	* src/cartconv.c: made -f output some more details

2012-06-24  groepaz <groepaz@gmx.net>

	* doc/Documentation-Howto.txt, doc/vice.texi: fixed some FIXMEs, moved
	some notes into the wiki

2012-06-24  groepaz <groepaz@gmx.net>

	* doc/vice.texi: fixed description for Romset resources.
	RomsetXXXName resources must be investigated (and possibly removed).

2012-06-24  Olaf Seibert <rhialto@falu.nl>

	* data/PET/x11_bgrs.vkm, data/PET/x11_bukp.vkm, data/PET/x11_buks.vkm:
	Some improvements to PET X11 keyboard maps mostly for SuperPET and
	microAPL use.

2012-06-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/lib/Makefile.am: Added the p64 directory to the parent
	Makefile.am, so it actually gets included in the source tarball.

2012-06-23  Kajtar Zsolt <soci@c64.rulez.org>

	* src/sid/sid-resources.c: Too much noise

2012-06-22  groepaz <groepaz@gmx.net>

	* doc/vice.texi: added new monitor commands

2012-06-22  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uicommands.c, src/arch/unix/gui/uidrive.c,
	src/arch/unix/gui/uidrivec64dtv.c, src/arch/unix/gui/uiperipheral.c,
	src/arch/unix/gui/uiperipheraliec.c,
	src/arch/unix/gui/uiperipheralieee.c: added dtv flash filesystem
	directory setting

2012-06-22  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uicommands.c, src/arch/unix/gui/uiperipheral.c,
	src/arch/unix/gui/uiperipheral.h, src/arch/unix/gui/uiperipheraliec.c,
	src/arch/unix/gui/uiperipheralieee.c: added raw block device name
	setting

2012-06-22  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uicommands.c: added monitor settings

2012-06-22  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uipalcontrol.c: added volume slider

2012-06-22  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uiscreenshot.c: added half-fps setting

2012-06-22  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/vic20ui.c: added i/o collision setting

2012-06-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/menudefs.c: Fixed.

2012-06-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.inf: Updated
	for the latest vice.texi changes.

2012-06-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/uires.h, src/arch/amigaos/vsidui.c,
	src/arch/amigaos/vsiduires.h: Finished the amiga vsid gui.

2012-06-21  groepaz <groepaz@gmx.net>

	* doc/Documentation-Howto.txt, doc/checkdoc.c, doc/checkdoc.mak,
	doc/vice.pdf, doc/vice.texi, doc/vice.txt: updated checkdoc, fixed
	remaining missing descriptions. [x] achivement unlocked :)

2012-06-21  groepaz <groepaz@gmx.net>

	* doc/Documentation-Howto.txt, doc/vice.texi: more descriptions,
	almost done

2012-06-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.inf: Updated
	for the latest vice.texi changes.

2012-06-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/Documentation-Howto.txt, doc/vice.pdf, doc/vice.texi,
	doc/vice.txt: added more descriptions, 25 left...

2012-06-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/uires.h, src/arch/amigaos/vsidui.c,
	src/arch/amigaos/vsiduires.h: More updates on the amiga vsid gui.

2012-06-21  groepaz <groepaz@gmx.net>

	* src/c64/cart/tfe.c: clear enabled flags on detach, fixes bug
	#3536712

2012-06-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.inf,
	doc/vice.pdf, doc/vice.txt: Updated for the latest vice.texi changes.

2012-06-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/petcat.c: Applied patch by Sven A. Droll (adds Supergrafik
	support).

2012-06-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uisound.c, src/arch/amigaos/uires.h,
	src/arch/amigaos/video.c, src/arch/amigaos/vsidui.c,
	src/arch/amigaos/vsiduires.h: More updates on the amiga vsid gui.

2012-06-20  groepaz <groepaz@gmx.net>

	* doc/Documentation-Howto.txt, doc/vice.pdf, doc/vice.texi,
	doc/vice.txt: more missing descriptions (50 to go)

2012-06-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.inf,
	doc/vice.pdf, doc/vice.txt: Updated for the latest vice.texi changes.

2012-06-20  groepaz <groepaz@gmx.net>

	* doc/Documentation-Howto.txt, doc/checkdoc.c, doc/vice.pdf,
	doc/vice.texi, doc/vice.txt: updated checkdoc, added more missing
	descriptions (100 to go!)

2012-06-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.inf,
	doc/vice.pdf, doc/vice.txt: Updated for the latest vice.texi changes.

2012-06-20  Olaf Seibert <rhialto@falu.nl>

	* doc/vice.texi: Add some SuperPET and DWW info.

2012-06-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.pdf, doc/vice.texi, doc/vice.txt: updated resources
	according to devlog

2012-06-20  groepaz <groepaz@gmx.net>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/intl.txt,
	src/arch/amigaos/intl_text.c, src/arch/amigaos/mui/uisound.c,
	src/arch/amigaos/ui.c, src/arch/amigaos/ui.h,
	src/arch/amigaos/uires.h, src/arch/amigaos/vsidui.c,
	src/arch/amigaos/vsiduires.h: Started on the vsid split for the amiga
	port.

2012-06-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.inf: Updated
	for the latest vice.texi changes.

2012-06-19  groepaz <groepaz@gmx.net>

	* doc/vice.pdf, doc/vice.texi, doc/vice.txt: added all missing
	resources

2012-06-19  groepaz <groepaz@gmx.net>

	* doc/Documentation-Howto.txt, doc/checkdoc.c: updated checkdoc tool

2012-06-19  Olaf Seibert <rhialto@falu.nl>

	* src/pet/6809.c, src/pet/6809.h, src/pet/pet-snapshot.c,
	src/pet/petdww.c, src/pet/petmem.c, src/pet/petmem.h,
	src/pet/petmemsnapshot.c, src/pet/pets.h: Snapshot support for
	SuperPET state, 6702, 6809, DWW.

2012-06-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/uidrivec128.c,
	src/arch/amigaos/mui/uidrivec64vic20.c: Added drive par cable type
	selection to the amiga gui.

2012-06-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128ui.c, src/arch/amigaos/c64ui.c,
	src/arch/amigaos/cbm2ui.c, src/arch/amigaos/cbm5x0ui.c,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uisid.c, src/arch/amigaos/mui/uisid.h,
	src/monitor/mon_lex.c, src/monitor/mon_parse.c,
	src/monitor/mon_parse.h: Fixed and updated the sid settings dialog for
	the amiga gui.

2012-06-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/uisidcart.c, src/arch/amigaos/mui/uisiddtv.c:
	Fixed the amiga sidcart/siddtv settings dialog.

2012-06-19  Andrea Musuruane <musuruan@gmail.com>

	* po/it.po, po/translations-status.txt: updated.

2012-06-18  groepaz <groepaz@gmx.net>

	* doc/vice.pdf, doc/vice.texi, doc/vice.txt: add a bunch of missing
	resources

2012-06-18  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/Makefile.am, src/arch/beos/constants.h,
	src/arch/beos/petui.cc, src/arch/beos/plus4ui.cc,
	src/arch/beos/ui_sidcart.cc, src/arch/beos/ui_sidcart.h,
	src/arch/beos/ui_siddtv.cc, src/arch/beos/ui_siddtv.h,
	src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc: Added a SID cart
	settings dialog with ReSID and Digiblaster settings to BeVICE.

2012-06-18  groepaz <groepaz@gmx.net>

	* doc/vice.pdf, doc/vice.texi, doc/vice.txt: updated all commandline
	options

2012-06-18  groepaz <groepaz@gmx.net>

	* doc, doc/Documentation-Howto.txt, doc/checkdoc.mak,
	doc/checkdoc.mon: improved/fixed checkdoc script

2012-06-18  groepaz <groepaz@gmx.net>

	* src/monitor/mon_command.c, src/monitor/mon_lex.c,
	src/monitor/mon_lex.l, src/monitor/mon_parse.c,
	src/monitor/mon_parse.h, src/monitor/mon_parse.y, src/translate.txt,
	src/translate_text.c: added monitor command to load/save resources
	from/to file

2012-06-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for the updated es.po file.

2012-06-18  Manuel Antonio Rodriguez Bas <formater@winuaespanol.com>

	* po/es.po: Updated.

2012-06-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/catweaselmkiii.c, src/arch/amigaos/hardsid.c: Added
	cw and hardsid availability checking routines to the amiga port.

2012-06-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/hardsid.c, src/hardsid.h: Changed the hardsid
	availability checking routine to return an int instead of an unsigned
	int.

2012-06-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_sid.c: Removed obsolete cbm2 stereo sid menu
	items.

2012-06-18  Emir Akaydin <emir@akaydin.com>

	* po/tr.po, po/translations-status.txt: Updated.

2012-06-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/cbm2ui.c, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/cbm5x0ui.c, src/arch/amigaos/cbm5x0uires.h,
	src/arch/amigaos/mui/uiciamodel.c, src/arch/amigaos/mui/uiciamodel.h:
	Added cbm2/cbm5x0 cia model selection to the amiga gui.

2012-06-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.pdf, doc/vice.inf, doc/vice.hlp, doc/vice.txt,
	doc/vice.guide, doc/vice.chm, configure.in, ChangeLog, src/version.h,
	src/arch/win32/vice-version.bat, po/es.po, po/ko.po, po/fr.po,
	po/da.po, po/tr.po, po/de.po, po/sv.po, po/hu.po, po/ru.po, po/nl.po,
	po/pl.po, po/it.po: VICE 2.3.19

2012-06-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for the updated pl.po file.

2012-06-16  Jarek Sobolewski <r@sledinmay.com>

	* po/pl.po: Updated.

2012-06-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/translate_text.c: Did a 'make trans-update'.

2012-06-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2012-06-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt, src/arch/amigaos/intl_text.c: More
	translations unifications.

2012-06-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2012-06-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt, src/arch/amigaos/intl_text.c: Some
	translations unification.

2012-06-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2012-06-16  groepaz <groepaz@gmx.net>

	* src/joystick.c: some cleanup

2012-06-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* AUTHORS, src/infocontrib.sed: Updated.

2012-06-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi: Fixed a typo.

2012-06-16  Benjamin Rosseaux <benjamin@rosseaux.com>

	* AUTHORS, doc/vice.texi: fixed AUTHORS and updated doc/vice.texi 

2012-06-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/cbm2ui.c,
	src/arch/amigaos/cbm2uires.h, src/arch/amigaos/cbm5x0ui.c,
	src/arch/amigaos/cbm5x0uires.h, src/arch/amigaos/fixdeps.c,
	src/arch/amigaos/hardsid.c, src/arch/amigaos/intl.txt,
	src/arch/amigaos/intl_text.c, src/arch/amigaos/mui/uicbm5x0settings.c,
	src/arch/amigaos/mui/uicbm5x0settings.h, src/arch/amigaos/uires.h,
	src/arch/amigaos/xcbm5x0ns.c, src/cbm2/cbm5x0.c: Split xcbm2 and
	xcbm5x0 for the amiga port.

2012-06-15  Kajtar Zsolt <soci@c64.rulez.org>

	* src/arch/unix/mousedrv.c, src/arch/unix/mousedrv.h,
	src/arch/unix/x11/gnome/x11ui.c, src/arch/unix/x11/xaw/x11ui.c:
	Scalable mouse resolution. Also on gnome and for xv.

2012-06-15  Kajtar Zsolt <soci@c64.rulez.org>

	* src/arch/unix/x11/gnome/x11ui.c: Simplify.

2012-06-15  Kajtar Zsolt <soci@c64.rulez.org>

	* src/arch/unix/x11/xaw/x11ui.c: Much simpler wrap area calculation,
	and also works with clipped windows

2012-06-15  Kajtar Zsolt <soci@c64.rulez.org>

	* src/arch/win32/mousedrv.c: Add some scaling to match speed to other
	systems. Not the final version, but for now it's ok.

2012-06-15  Kajtar Zsolt <soci@c64.rulez.org>

	* src/arch/win32/ui.c: This is redundant. If direct input is used,
	it's not handled here anyway.

2012-06-15  Kajtar Zsolt <soci@c64.rulez.org>

	* src/mouse.c: Increase movement limit. Less backlog feeling on low
	rate sampling mouse drivers. It's still low enough to not confuse them
	on fast movement.

2012-06-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uijoystick.c,
	src/arch/amigaos/mui/uijoystickll.c: Added kingsoft and starbyte
	userport joystick adapters support to the amiga gui.

2012-06-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uipetsettings.c,
	src/arch/amigaos/mui/uipetsettings.h, src/arch/amigaos/petui.c,
	src/arch/amigaos/petuires.h, src/arch/amigaos/uires.h: Changed the pet
	model selection for the amiga gui.

2012-06-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/c128ui.c,
	src/arch/amigaos/c128uires.h, src/arch/amigaos/intl.txt,
	src/arch/amigaos/intl_text.c, src/arch/amigaos/mui/uited.c,
	src/arch/amigaos/mui/uited.h, src/arch/amigaos/mui/uivic.c,
	src/arch/amigaos/mui/uivic.h, src/arch/amigaos/mui/uivic20mem.c,
	src/arch/amigaos/mui/uivic20mem.h, src/arch/amigaos/mui/uivicii.c,
	src/arch/amigaos/plus4ui.c, src/arch/amigaos/plus4uires.h,
	src/arch/amigaos/uires.h, src/arch/amigaos/vic20ui.c,
	src/arch/amigaos/vic20uires.h: Added c128 model selection, vic border
	mode selection, ted border mode selection and extended the vicii
	border mode selection for the amiga gui.

2012-06-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/c128ui.c,
	src/arch/amigaos/c128uires.h, src/arch/amigaos/intl.txt,
	src/arch/amigaos/intl_text.c, src/arch/amigaos/mui/uiciamodel.c,
	src/arch/amigaos/mui/uiciamodel.h, src/arch/amigaos/uires.h: Added cia
	model selection for x128 to the amiga gui.

2012-06-14  groepaz <groepaz@gmx.net>

	* src/joystick.c: improved handling of opposite directions (again)

2012-06-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/c64ui.c,
	src/arch/amigaos/c64uires.h, src/arch/amigaos/intl.txt,
	src/arch/amigaos/intl_text.c, src/arch/amigaos/mui/uiretroreplay.c,
	src/arch/amigaos/mui/uiretroreplay.h, src/arch/amigaos/uires.h: Added
	retro replay support to the amiga gui.

2012-06-14  groepaz <groepaz@gmx.net>

	* src/cmdline.c: change warning into an error

2012-06-14  groepaz <groepaz@gmx.net>

	* src/sid/sid-cmdline-options.c: fix description

2012-06-14  groepaz <groepaz@gmx.net>

	* src/video/video-resources.c: if compiled with HAVE_HWSCALE, then
	also use it by default

2012-06-14  groepaz <groepaz@gmx.net>

	* src/c128/c128drive.c, src/c64/c64drive.c, src/cbm2/cbm2drive.c,
	src/drive/drive-resources.c, src/drive/drive.h, src/pet/petdrive.c,
	src/vic20/vic20drive.c: change default drive settings for slightly
	improved compatibility

2012-06-14  groepaz <groepaz@gmx.net>

	* src/sid/sid-resources.c: change default SID to 8580 for C128 to
	match a defined model

2012-06-14  Benjamin Rosseaux <benjamin@rosseaux.com>

	* src/drive/drive.c, src/machine.c: Workaround for the
	machine_shutdown calling issue, even if machine_init was not called
	before.

2012-06-14  groepaz <groepaz@gmx.net>

	* src/plus4/ted-resources.c, src/vdc/vdc-resources.c,
	src/vic20/vic-resources.c, src/vicii/vicii-resources.c,
	src/viciisc/vicii-resources.c: sanitize doublesize defaults

2012-06-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128uires.h, src/arch/amigaos/c64dtvuires.h,
	src/arch/amigaos/c64uires.h, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/cbm5x0uires.h, src/arch/amigaos/intl.txt,
	src/arch/amigaos/intl_text.c, src/arch/amigaos/petuires.h,
	src/arch/amigaos/plus4uires.h, src/arch/amigaos/ui.c,
	src/arch/amigaos/uires.h, src/arch/amigaos/vic20uires.h: Added drive
	sound support to the amiga gui.

2012-06-14  Benjamin Rosseaux <benjamin@rosseaux.com>

	* src/drive/drive.c: Access violation workaround

2012-06-14  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uicommands.c: do not crash if an option has no
	proper description :)

2012-06-14  groepaz <groepaz@gmx.net>

	* src/cmdline.c: emit a warning if an option has no proper description

2012-06-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uisound.c: Added sound output mode support to the
	amiga gui.

2012-06-14  groepaz <groepaz@gmx.net>

	* src/c128/c128-cmdline-options.c, src/video/video-resources.c: fix
	duplicated resources/options

2012-06-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/c64ui.c,
	src/arch/amigaos/c64uires.h, src/arch/amigaos/intl.txt,
	src/arch/amigaos/intl_text.c, src/arch/amigaos/mui/uiburstmod.c,
	src/arch/amigaos/mui/uiburstmod.h, src/arch/amigaos/uires.h: Added c64
	drive burst modification support to the amiga gui.

2012-06-14  Jarek Sobolewski <r@sledinmay.com>

	* po/pl.po: Updated.

2012-06-14  groepaz <groepaz@gmx.net>

	* src/c64dtv/c64dtv.c, src/cmdline.c,
	src/drive/drive-cmdline-options.c,
	src/drive/iec/iec-cmdline-options.c,
	src/drive/ieee/ieee-cmdline-options.c: added runtime check for
	duplicated commandline options, some related fixes

2012-06-14  groepaz <groepaz@gmx.net>

	* src/resources.c: added runtime check for duplicated resources

2012-06-14  Benjamin Rosseaux <benjamin@rosseaux.com>

	* AUTHORS: Added missed peoples

2012-06-14  Benjamin Rosseaux <benjamin@rosseaux.com>

	* src/drive/rotation.c: Single more P64 rotation performance fix

2012-06-14  Benjamin Rosseaux <benjamin@rosseaux.com>

	* src/drive/rotation.c: P64 rotation performance fixes

2012-06-13  Benjamin Rosseaux <benjamin@rosseaux.com>

	* src/drive/drive.c, src/drive/rotation.c: P64 rotation code cleanup,
	optimization and simplification

2012-06-13  Benjamin Rosseaux <benjamin@rosseaux.com>

	* src/diskimage/diskimage.c, src/diskimage/fsimage-gcr.c,
	src/diskimage/fsimage-gcr.h, src/diskimage/fsimage-p64.c,
	src/diskimage/fsimage-p64.h, src/diskimage/fsimage-probe.c,
	src/diskimage.h, src/drive/drive-snapshot.c, src/drive/drive.c,
	src/drive/driveimage.c, src/gcr.h: Implemented half track support at
	diskette image code level and enhanced drive snapshot code for that

2012-06-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl_text.c: Changed IDE64 HDx names to
	primary/secondary master/slave in the amiga gui.

2012-06-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/filereq.c, src/arch/amigaos/mui/uidrivec128.c,
	src/arch/amigaos/mui/uidrivec64vic20.c,
	src/arch/amigaos/mui/uidriveplus4.c,
	src/arch/amigaos/mui/uiromc128settings.c,
	src/arch/amigaos/mui/uiromc64vic20settings.c,
	src/arch/amigaos/mui/uiromplus4settings.c, src/arch/amigaos/video.c:
	Added fd2000/4000 and d1m/d2m/d4m support to the amiga gui.

2012-06-13  groepaz <groepaz@gmx.net>

	* src/pet/petmem.c, src/pet/petpia.h, src/piacore.c: fix warnings

2012-06-13  groepaz <groepaz@gmx.net>

	* src/debug.c: style fixes, fix warning

2012-06-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/c128ui.c,
	src/arch/amigaos/c128uires.h, src/arch/amigaos/c64dtvui.c,
	src/arch/amigaos/c64dtvuires.h, src/arch/amigaos/c64ui.c,
	src/arch/amigaos/c64uires.h, src/arch/amigaos/cbm2ui.c,
	src/arch/amigaos/cbm2uires.h, src/arch/amigaos/cbm5x0ui.c,
	src/arch/amigaos/cbm5x0uires.h, src/arch/amigaos/intl.txt,
	src/arch/amigaos/intl_text.c, src/arch/amigaos/mui/uivideo.c,
	src/arch/amigaos/mui/uivideo.h, src/arch/amigaos/petui.c,
	src/arch/amigaos/petuires.h, src/arch/amigaos/plus4ui.c,
	src/arch/amigaos/plus4uires.h, src/arch/amigaos/uires.h,
	src/arch/amigaos/vic20ui.c, src/arch/amigaos/vic20uires.h,
	src/arch/amigaos/video.c, src/cbm2ui.h: Rewrote the amiga video
	settings.

2012-06-13  Christian Vogelgsang <chris@vogelgsang.org>

	* build/macosx/build-vice-release.sh: macosx: allow to tag releases,
	too

2012-06-13  Christian Vogelgsang <chris@vogelgsang.org>

	* build/macosx/build-vice-release.sh: macosx: allow to set own tag in
	build script

2012-06-13  groepaz <groepaz@gmx.net>

	* src/arch/sdl/ui.c, src/arch/sdl/video.c: save/restore window size

2012-06-12  groepaz <groepaz@gmx.net>

	* src/arch/sdl/menu_pethw.c: updated model selection

2012-06-12  groepaz <groepaz@gmx.net>

	* src/arch/sdl/menu_drive.c: updated parallel cable selection

2012-06-12  groepaz <groepaz@gmx.net>

	* src/arch/sdl/menu_joystick.c: updated userport joystick adapter
	settings

2012-06-12  Benjamin Rosseaux <benjamin@rosseaux.com>

	* src/drive/rotation.c: Disabled NRZI flux pulse filter at
	GCR-emulation-based images because these imsges are almost clean
	already (this filter is still active but in fake mode at these
	GCR-based images) and fixed P64 writeback bug (dirty flag was not
	always set)

2012-06-11  Benjamin Rosseaux <benjamin@rosseaux.com>

	* src/drive/drive-snapshot.c, src/drive/drive.h,
	src/drive/iecieee/via2d.c, src/drive/rotation.c, src/drive/rotation.h:
	Merged drive data bus timing stuff from SPS patch as a temporary
	solution until the drive code will be single cycle exact

2012-06-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c64dtvui.c, src/arch/amigaos/c64dtvuires.h,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/plus4ui.c, src/arch/amigaos/uires.h: Added c64dtv
	model selection to the amiga gui.

2012-06-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/plus4ui.c, src/arch/amigaos/plus4uires.h,
	src/arch/amigaos/uires.h: Corrected some plus4 id's.

2012-06-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/uiromplus4settings.c: Replaced "3plus1loName"
	and "3plus1hiName" with "FunctionLowName" and "FunctionHighName" in
	the amiga port.

2012-06-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/plus4ui.c, src/arch/amigaos/plus4uires.h,
	src/arch/amigaos/uires.h: Updated the plus4 cartridge support for the
	amiga port.

2012-06-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/plus4ui.c, src/arch/amigaos/plus4uires.h,
	src/monitor/mon_parse.c, src/monitor/mon_parse.h: Added plus4
	cartridge reset support to the amiga gui.

2012-06-11  Olaf Seibert <rhialto@falu.nl>

	* src/pet/petdww.c, src/pet/petdww.h, src/pet/petmem.c,
	src/pet/petpia1.c, src/pet/petpia2.c, src/piacore.c: Implement
	mypia_dump().

2012-06-11  Olaf Seibert <rhialto@falu.nl>

	* src/pet/petmem.c: Add SuperPET I/O to the monitor "io" command.

2012-06-11  Olaf Seibert <rhialto@falu.nl>

	* src/pet/petmem.c: Style fixes including tab removal.

2012-06-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.pdf: Updated plus4 acia selection of the amiga gui.

2012-06-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/uiacia.c, src/arch/amigaos/mui/uiacia.h,
	src/arch/amigaos/plus4ui.c: Added plus4 model selection to the amiga
	gui

2012-06-10  groepaz <groepaz@gmx.net>

	* src/pet/6809.c: fix another warning :)

2012-06-10  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/vic20ui.c, src/attach.c,
	src/monitor/mon_assemble6809.c, src/monitor/monitor_network.c,
	src/network.c, src/pet/6809.c: fix a few warnings

2012-06-10  groepaz <groepaz@gmx.net>

	* src/joystick.c: fix to work properly without relying on keyboard
	repeat

2012-06-10  groepaz <groepaz@gmx.net>

	* src/monitor/mon_parse.c, src/monitor/mon_parse.h,
	src/monitor/mon_parse.y, src/monitor/monitor.c,
	src/monitor/montypes.h: implement X and G commands as described in the
	wiki

2012-06-10  groepaz <groepaz@gmx.net>

	* src/monitor/monitor.c, src/monitor/montypes.h: do not leave the
	monitor when singlestepping a single instruction

2012-06-10  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uimon.c: flush events after showing the
	window

2012-06-10  groepaz <groepaz@gmx.net>

	* src/joystick.c: better handling of diagonals and opposite
	directions, fixes bug #3532766

2012-06-10  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/win32/ressid.rc, src/arch/win32/resstrings.txt: Remove
	obsolete (since r24309) string IDS_THIS_MACHINE_NO_SID.

2012-06-09  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/win32/uisid.c, src/arch/win32/uisiddtv.c: Fix WinVICE SID
	and SID-DTV dialogs to enable/disable controls and save or not save
	settings correctly.

2012-06-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/Makefile.am, src/arch/os2/watcom/c128.tgt,
	src/arch/os2/watcom/c64cart.tgt,
	src/arch/os2/watcom/c64commonc128dtvsc.tgt,
	src/arch/os2/watcom/c64commonc128sc.tgt,
	src/arch/os2/watcom/c64commondtvsc.tgt,
	src/arch/os2/watcom/c64commonsc.tgt, src/arch/os2/watcom/c64dtv.tgt,
	src/arch/os2/watcom/cbm2.tgt, src/arch/os2/watcom/cbm2common.tgt,
	src/arch/os2/watcom/cbm5x0.tgt, src/arch/os2/watcom/dialogs.tgt,
	src/arch/os2/watcom/diskimage.tgt, src/arch/os2/watcom/drive.tgt,
	src/arch/os2/watcom/iec.tgt, src/arch/os2/watcom/iecbus.tgt,
	src/arch/os2/watcom/iecc64exp.tgt, src/arch/os2/watcom/iecieee.tgt,
	src/arch/os2/watcom/iecplus4exp.tgt, src/arch/os2/watcom/ieee.tgt,
	src/arch/os2/watcom/mainsrc.tgt, src/arch/os2/watcom/monitor.tgt,
	src/arch/os2/watcom/p64.tgt, src/arch/os2/watcom/parallel.tgt,
	src/arch/os2/watcom/pet.tgt, src/arch/os2/watcom/plus4.tgt,
	src/arch/os2/watcom/tcbm.tgt, src/arch/os2/watcom/vdrive.tgt,
	src/arch/os2/watcom/vic20.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/vsid.tgt, src/arch/os2/watcom/vsidlib.tgt,
	src/arch/os2/watcom/x128.tgt, src/arch/os2/watcom/x1541.tgt,
	src/arch/os2/watcom/x64.tgt, src/arch/os2/watcom/x64dtv.tgt,
	src/arch/os2/watcom/x64sc.tgt, src/arch/os2/watcom/xcbm2.tgt,
	src/arch/os2/watcom/xcbm5x0.tgt, src/arch/os2/watcom/xpet.tgt,
	src/arch/os2/watcom/xplus4.tgt, src/arch/os2/watcom/xvic.tgt: Updated
	the os/2 ow project files to the drive-update merge.

2012-06-09  Benjamin Rosseaux <benjamin@rosseaux.com>

	* src/drive/rotation.c: Added missing cycle_index initialization 

2012-06-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/Makefile.am, src/arch/os2/vac++/X1541.ICC,
	src/arch/os2/vac++/incl/diskimage.icc,
	src/arch/os2/vac++/incl/p64.icc, src/arch/os2/vac++/x128/X128.ICC,
	src/arch/os2/vac++/x64/X64.ICC, src/arch/os2/vac++/x64dtv/X64DTV.ICC,
	src/arch/os2/vac++/x64sc/X64SC.ICC,
	src/arch/os2/vac++/xcbm2/Xcbm2.ICC,
	src/arch/os2/vac++/xcbm5x0/Xcbm5x0.ICC,
	src/arch/os2/vac++/xpet/Xpet.ICC,
	src/arch/os2/vac++/xplus4/Xplus4.ICC,
	src/arch/os2/vac++/xvic/Xvic.ICC: Updated the os/2 vac++ project files
	to the drive-update merge.

2012-06-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/winmips-msvc/Makefile.am,
	src/arch/sdl/winmips-msvc/arch.mak,
	src/arch/sdl/winmips-msvc/base.mak,
	src/arch/sdl/winmips-msvc/c128.mak,
	src/arch/sdl/winmips-msvc/c1541.mak,
	src/arch/sdl/winmips-msvc/c64.mak,
	src/arch/sdl/winmips-msvc/c64c128.mak,
	src/arch/sdl/winmips-msvc/c64c64dtv.mak,
	src/arch/sdl/winmips-msvc/c64cart.mak,
	src/arch/sdl/winmips-msvc/c64dtv.mak,
	src/arch/sdl/winmips-msvc/c64exp.mak,
	src/arch/sdl/winmips-msvc/c64sc.mak,
	src/arch/sdl/winmips-msvc/cbm2.mak,
	src/arch/sdl/winmips-msvc/cbm2common.mak,
	src/arch/sdl/winmips-msvc/cbm5x0.mak,
	src/arch/sdl/winmips-msvc/diskimage.mak,
	src/arch/sdl/winmips-msvc/drive.mak,
	src/arch/sdl/winmips-msvc/iec.mak,
	src/arch/sdl/winmips-msvc/iec128dcr.mak,
	src/arch/sdl/winmips-msvc/iecbus.mak,
	src/arch/sdl/winmips-msvc/iecieee.mak,
	src/arch/sdl/winmips-msvc/ieee.mak,
	src/arch/sdl/winmips-msvc/monitor.mak,
	src/arch/sdl/winmips-msvc/p64.mak,
	src/arch/sdl/winmips-msvc/parallel.mak,
	src/arch/sdl/winmips-msvc/pet.mak,
	src/arch/sdl/winmips-msvc/plus4.mak,
	src/arch/sdl/winmips-msvc/plus4exp.mak,
	src/arch/sdl/winmips-msvc/tcbm.mak,
	src/arch/sdl/winmips-msvc/vdrive.mak,
	src/arch/sdl/winmips-msvc/vic20.mak,
	src/arch/sdl/winmips-msvc/vsid.mak,
	src/arch/sdl/winmips-msvc/vsidlib.mak,
	src/arch/sdl/winmips-msvc/x128.mak, src/arch/sdl/winmips-msvc/x64.mak,
	src/arch/sdl/winmips-msvc/x64dtv.mak,
	src/arch/sdl/winmips-msvc/x64sc.mak,
	src/arch/sdl/winmips-msvc/xcbm2.mak,
	src/arch/sdl/winmips-msvc/xcbm5x0.mak,
	src/arch/sdl/winmips-msvc/xpet.mak,
	src/arch/sdl/winmips-msvc/xplus4.mak,
	src/arch/sdl/winmips-msvc/xvic.mak, src/monitor/mon_parse.c,
	src/monitor/mon_parse.h: Updated the sdl winmips msvc project files to
	the drive-update merge.

2012-06-09  Benjamin Rosseaux <benjamin@rosseaux.com>

	* src/drive/drive-snapshot.c, src/drive/drive.h, src/drive/rotation.c:
	Added SO signal delay, fixed P64 rotation write logic, adjusted drive
	snapshot format

2012-06-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win64-msvc/vice.sln: Some sdl win64 msvc fixes.

2012-06-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win64-msvc/Makefile.am,
	src/arch/sdl/win64-msvc/arch.vcproj,
	src/arch/sdl/win64-msvc/base.vcproj,
	src/arch/sdl/win64-msvc/c128.vcproj,
	src/arch/sdl/win64-msvc/c1541.vcproj,
	src/arch/sdl/win64-msvc/c64.vcproj,
	src/arch/sdl/win64-msvc/c64c128.vcproj,
	src/arch/sdl/win64-msvc/c64c64dtv.vcproj,
	src/arch/sdl/win64-msvc/c64cart.vcproj,
	src/arch/sdl/win64-msvc/c64dtv.vcproj,
	src/arch/sdl/win64-msvc/c64exp.vcproj,
	src/arch/sdl/win64-msvc/c64sc.vcproj,
	src/arch/sdl/win64-msvc/cbm2.vcproj,
	src/arch/sdl/win64-msvc/cbm2common.vcproj,
	src/arch/sdl/win64-msvc/cbm5x0.vcproj,
	src/arch/sdl/win64-msvc/diskimage.vcproj,
	src/arch/sdl/win64-msvc/drive.vcproj,
	src/arch/sdl/win64-msvc/iec.vcproj,
	src/arch/sdl/win64-msvc/iec128dcr.vcproj,
	src/arch/sdl/win64-msvc/iecbus.vcproj,
	src/arch/sdl/win64-msvc/iecieee.vcproj,
	src/arch/sdl/win64-msvc/ieee.vcproj,
	src/arch/sdl/win64-msvc/monitor.vcproj,
	src/arch/sdl/win64-msvc/p64.vcproj,
	src/arch/sdl/win64-msvc/parallel.vcproj,
	src/arch/sdl/win64-msvc/pet.vcproj,
	src/arch/sdl/win64-msvc/plus4.vcproj,
	src/arch/sdl/win64-msvc/plus4exp.vcproj,
	src/arch/sdl/win64-msvc/tcbm.vcproj,
	src/arch/sdl/win64-msvc/vdrive.vcproj,
	src/arch/sdl/win64-msvc/vic20.vcproj,
	src/arch/sdl/win64-msvc/vice.sln,
	src/arch/sdl/win64-msvc/vsid.vcproj,
	src/arch/sdl/win64-msvc/vsidlib.vcproj,
	src/arch/sdl/win64-msvc/x128.vcproj,
	src/arch/sdl/win64-msvc/x64.vcproj,
	src/arch/sdl/win64-msvc/x64dtv.vcproj,
	src/arch/sdl/win64-msvc/x64sc.vcproj,
	src/arch/sdl/win64-msvc/xcbm2.vcproj,
	src/arch/sdl/win64-msvc/xcbm5x0.vcproj,
	src/arch/sdl/win64-msvc/xpet.vcproj,
	src/arch/sdl/win64-msvc/xplus4.vcproj,
	src/arch/sdl/win64-msvc/xvic.vcproj: Updated the sdl win64 msvc
	project files to the drive-update merge.

2012-06-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/arch.tgt,
	src/arch/sdl/win32-watcom/base.tgt,
	src/arch/sdl/win32-watcom/c128.tgt,
	src/arch/sdl/win32-watcom/c1541.tgt,
	src/arch/sdl/win32-watcom/c64cart.tgt,
	src/arch/sdl/win32-watcom/c64commonsc.tgt,
	src/arch/sdl/win32-watcom/c64commonsc128.tgt,
	src/arch/sdl/win32-watcom/c64commonscdtv.tgt,
	src/arch/sdl/win32-watcom/c64commonscdtv128.tgt,
	src/arch/sdl/win32-watcom/c64dtv.tgt,
	src/arch/sdl/win32-watcom/c64exp.tgt,
	src/arch/sdl/win32-watcom/cbm2.tgt,
	src/arch/sdl/win32-watcom/cbm2common.tgt,
	src/arch/sdl/win32-watcom/cbm5x0.tgt,
	src/arch/sdl/win32-watcom/diskimage.tgt,
	src/arch/sdl/win32-watcom/drive.tgt,
	src/arch/sdl/win32-watcom/iec.tgt,
	src/arch/sdl/win32-watcom/iec128dcr.tgt,
	src/arch/sdl/win32-watcom/iecbus.tgt,
	src/arch/sdl/win32-watcom/iecieee.tgt,
	src/arch/sdl/win32-watcom/ieee.tgt,
	src/arch/sdl/win32-watcom/monitor.tgt,
	src/arch/sdl/win32-watcom/p64.tgt,
	src/arch/sdl/win32-watcom/parallel.tgt,
	src/arch/sdl/win32-watcom/pet.tgt,
	src/arch/sdl/win32-watcom/plus4.tgt,
	src/arch/sdl/win32-watcom/plus4exp.tgt,
	src/arch/sdl/win32-watcom/tcbm.tgt,
	src/arch/sdl/win32-watcom/vdrive.tgt,
	src/arch/sdl/win32-watcom/vic20.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/vsid.tgt,
	src/arch/sdl/win32-watcom/vsidlib.tgt,
	src/arch/sdl/win32-watcom/x128.tgt, src/arch/sdl/win32-watcom/x64.tgt,
	src/arch/sdl/win32-watcom/x64dtv.tgt,
	src/arch/sdl/win32-watcom/x64sc.tgt,
	src/arch/sdl/win32-watcom/xcbm2.tgt,
	src/arch/sdl/win32-watcom/xcbm5x0.tgt,
	src/arch/sdl/win32-watcom/xpet.tgt,
	src/arch/sdl/win32-watcom/xplus4.tgt,
	src/arch/sdl/win32-watcom/xvic.tgt: Updated the sdl win32 ow project
	files to the drive-update merge.

2012-06-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc/Makefile.am,
	src/arch/sdl/win32-msvc/arch.dsp, src/arch/sdl/win32-msvc/base.dsp,
	src/arch/sdl/win32-msvc/c128.dsp, src/arch/sdl/win32-msvc/c1541.dsp,
	src/arch/sdl/win32-msvc/c64.dsp, src/arch/sdl/win32-msvc/c64c128.dsp,
	src/arch/sdl/win32-msvc/c64c64dtv.dsp,
	src/arch/sdl/win32-msvc/c64cart.dsp,
	src/arch/sdl/win32-msvc/c64dtv.dsp,
	src/arch/sdl/win32-msvc/c64exp.dsp, src/arch/sdl/win32-msvc/c64sc.dsp,
	src/arch/sdl/win32-msvc/cbm2.dsp,
	src/arch/sdl/win32-msvc/cbm2common.dsp,
	src/arch/sdl/win32-msvc/cbm5x0.dsp,
	src/arch/sdl/win32-msvc/diskimage.dsp,
	src/arch/sdl/win32-msvc/drive.dsp, src/arch/sdl/win32-msvc/iec.dsp,
	src/arch/sdl/win32-msvc/iec128dcr.dsp,
	src/arch/sdl/win32-msvc/iecbus.dsp,
	src/arch/sdl/win32-msvc/iecieee.dsp, src/arch/sdl/win32-msvc/ieee.dsp,
	src/arch/sdl/win32-msvc/monitor.dsp, src/arch/sdl/win32-msvc/p64.dsp,
	src/arch/sdl/win32-msvc/parallel.dsp, src/arch/sdl/win32-msvc/pet.dsp,
	src/arch/sdl/win32-msvc/plus4.dsp,
	src/arch/sdl/win32-msvc/plus4exp.dsp,
	src/arch/sdl/win32-msvc/tcbm.dsp, src/arch/sdl/win32-msvc/vdrive.dsp,
	src/arch/sdl/win32-msvc/vic20.dsp, src/arch/sdl/win32-msvc/vice.dsw,
	src/arch/sdl/win32-msvc/vsid.dsp, src/arch/sdl/win32-msvc/vsidlib.dsp,
	src/arch/sdl/win32-msvc/x128.dsp, src/arch/sdl/win32-msvc/x64.dsp,
	src/arch/sdl/win32-msvc/x64dtv.dsp, src/arch/sdl/win32-msvc/x64sc.dsp,
	src/arch/sdl/win32-msvc/xcbm2.dsp,
	src/arch/sdl/win32-msvc/xcbm5x0.dsp, src/arch/sdl/win32-msvc/xpet.dsp,
	src/arch/sdl/win32-msvc/xplus4.dsp, src/arch/sdl/win32-msvc/xvic.dsp:
	Updated the sdl win32 msvc project files to the drive-update merge.

2012-06-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/arch.vcproj, src/arch/win64/vice.sln,
	src/arch/win64/vsid.vcproj: Some win64 msvc fixes.

2012-06-08  groepaz <groepaz@gmx.net>

	* src/viciisc/vicii-mem.c: Fix x64sc sprite crunch conditions. Fixes
	Psykolog (bug #3477713). patch from viceminus

2012-06-08  groepaz <groepaz@gmx.net>

	* src/drive/drive.c: remove unnecessary check for motor on

2012-06-08  Benjamin Rosseaux <benjamin@rosseaux.com>

	* doc/vice.pdf, src/arch/unix/macosx/cocoa/Makefile.am,
	src/arch/unix/macosx/cocoa/dialog/Makefile.am,
	src/arch/unix/macosx/cocoa/menu/Makefile.am,
	src/arch/unix/macosx/cocoa/view/Makefile.am: Fixed MacOSX Makefile.am
	files

2012-06-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win64/Makefile.am, src/arch/win64/arch.vcproj,
	src/arch/win64/base.vcproj, src/arch/win64/c128.vcproj,
	src/arch/win64/c1541.vcproj, src/arch/win64/c64.vcproj,
	src/arch/win64/c64c128.vcproj, src/arch/win64/c64c64dtv.vcproj,
	src/arch/win64/c64cart.vcproj, src/arch/win64/c64dtv.vcproj,
	src/arch/win64/c64exp.vcproj, src/arch/win64/c64sc.vcproj,
	src/arch/win64/cbm2.vcproj, src/arch/win64/cbm2common.vcproj,
	src/arch/win64/cbm5x0.vcproj, src/arch/win64/diskimage.vcproj,
	src/arch/win64/drive.vcproj, src/arch/win64/iec.vcproj,
	src/arch/win64/iec128dcr.vcproj, src/arch/win64/iecbus.vcproj,
	src/arch/win64/iecieee.vcproj, src/arch/win64/ieee.vcproj,
	src/arch/win64/monitor.vcproj, src/arch/win64/p64.vcproj,
	src/arch/win64/parallel.vcproj, src/arch/win64/pet.vcproj,
	src/arch/win64/plus4.vcproj, src/arch/win64/plus4exp.vcproj,
	src/arch/win64/tcbm.vcproj, src/arch/win64/vdrive.vcproj,
	src/arch/win64/vic20.vcproj, src/arch/win64/vice.sln,
	src/arch/win64/vsid.vcproj, src/arch/win64/vsidlib.vcproj,
	src/arch/win64/x128.vcproj, src/arch/win64/x64.vcproj,
	src/arch/win64/x64dtv.vcproj, src/arch/win64/x64sc.vcproj,
	src/arch/win64/xcbm2.vcproj, src/arch/win64/xcbm5x0.vcproj,
	src/arch/win64/xpet.vcproj, src/arch/win64/xplus4.vcproj,
	src/arch/win64/xvic.vcproj: Updated the win64 msvc project files to
	the drive-update merge.

2012-06-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/base.tgt, src/arch/win32/watcom/c128.tgt,
	src/arch/win32/watcom/c1541.tgt, src/arch/win32/watcom/c64cart.tgt,
	src/arch/win32/watcom/c64commondscdtv.tgt,
	src/arch/win32/watcom/c64commonsc.tgt,
	src/arch/win32/watcom/c64commonsc128.tgt,
	src/arch/win32/watcom/c64commonscdtv128.tgt,
	src/arch/win32/watcom/c64dtv.tgt, src/arch/win32/watcom/c64exp.tgt,
	src/arch/win32/watcom/cbm2.tgt, src/arch/win32/watcom/cbm2common.tgt,
	src/arch/win32/watcom/cbm5x0.tgt, src/arch/win32/watcom/diskimage.tgt,
	src/arch/win32/watcom/drive.tgt, src/arch/win32/watcom/iec.tgt,
	src/arch/win32/watcom/iec128dcr.tgt, src/arch/win32/watcom/iecbus.tgt,
	src/arch/win32/watcom/iecieee.tgt, src/arch/win32/watcom/ieee.tgt,
	src/arch/win32/watcom/monitor.tgt, src/arch/win32/watcom/p64.tgt,
	src/arch/win32/watcom/parallel.tgt, src/arch/win32/watcom/pet.tgt,
	src/arch/win32/watcom/plus4.tgt, src/arch/win32/watcom/plus4exp.tgt,
	src/arch/win32/watcom/tcbm.tgt, src/arch/win32/watcom/vdrive.tgt,
	src/arch/win32/watcom/vic20.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/watcom/vsid.tgt, src/arch/win32/watcom/vsidlib.tgt,
	src/arch/win32/watcom/x128.tgt, src/arch/win32/watcom/x64.tgt,
	src/arch/win32/watcom/x64dtv.tgt, src/arch/win32/watcom/x64sc.tgt,
	src/arch/win32/watcom/xcbm2.tgt, src/arch/win32/watcom/xcbm5x0.tgt,
	src/arch/win32/watcom/xpet.tgt, src/arch/win32/watcom/xplus4.tgt,
	src/arch/win32/watcom/xvic.tgt: Updated the win32 ow project files to
	the drive-update merge.

2012-06-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/arch.dsp,
	src/arch/win32/base.dsp, src/arch/win32/c128.dsp,
	src/arch/win32/c1541.dsp, src/arch/win32/c64.dsp,
	src/arch/win32/c64c128.dsp, src/arch/win32/c64c64dtv.dsp,
	src/arch/win32/c64cart.dsp, src/arch/win32/c64dtv.dsp,
	src/arch/win32/c64exp.dsp, src/arch/win32/c64sc.dsp,
	src/arch/win32/cbm2.dsp, src/arch/win32/cbm2common.dsp,
	src/arch/win32/cbm5x0.dsp, src/arch/win32/diskimage.dsp,
	src/arch/win32/drive.dsp, src/arch/win32/iec.dsp,
	src/arch/win32/iec128dcr.dsp, src/arch/win32/iecbus.dsp,
	src/arch/win32/iecieee.dsp, src/arch/win32/ieee.dsp,
	src/arch/win32/monitor.dsp, src/arch/win32/p64.dsp,
	src/arch/win32/parallel.dsp, src/arch/win32/pet.dsp,
	src/arch/win32/plus4.dsp, src/arch/win32/plus4exp.dsp,
	src/arch/win32/tcbm.dsp, src/arch/win32/vdrive.dsp,
	src/arch/win32/vic20.dsp, src/arch/win32/vice.dsw,
	src/arch/win32/vsid.dsp, src/arch/win32/vsidlib.dsp,
	src/arch/win32/x128.dsp, src/arch/win32/x64.dsp,
	src/arch/win32/x64dtv.dsp, src/arch/win32/x64sc.dsp,
	src/arch/win32/xcbm2.dsp, src/arch/win32/xcbm5x0.dsp,
	src/arch/win32/xpet.dsp, src/arch/win32/xplus4.dsp,
	src/arch/win32/xvic.dsp: Updated the win32 msvc project files to the
	drive-update merge.

2012-06-08  groepaz <groepaz@gmx.net>

	* src/viciisc/vicii-snapshot.c: fix screen displacement when loading
	a snapshot on a non-zero line. patch from viceminus

2012-06-07  groepaz <groepaz@gmx.net>

	* src/drive/drive.c: codestyle fixed - don't commit when you are half
	asleep =P

2012-06-07  groepaz <groepaz@gmx.net>

	* src/drive/drive.c: enabled the rotation catch-up again - using a
	blank config does magic at times :)

2012-06-07  groepaz <groepaz@gmx.net>

	* src/drive/drive.c: disable rotation catchup in vblank since it
	breaks loading certain images

2012-06-07  groepaz <groepaz@gmx.net>

	* src/drive/drive.c: fix merge conflict

2012-06-07  Benjamin Rosseaux <benjamin@rosseaux.com>

	* AUTHORS, configure.in, doc/html/index.html, doc/vice.texi,
	src/Makefile.am, src/arch/amigaos/Makefile.am,
	src/arch/amigaos/mui/filereq.c, src/arch/amigaos/mui/mui.c,
	src/arch/beos/Makefile.am, src/arch/beos/ui.cc,
	src/arch/msdos/Makefile.am, src/arch/msdos/menudefs.c,
	src/arch/msdos/uiattach.c, src/arch/os2/Makefile.am,
	src/arch/os2/dialogs/dialogs.rc, src/arch/os2/dialogs/dlg-create.c,
	src/arch/os2/dialogs/dlg-fileio.c, src/arch/os2/install.cmd,
	src/arch/sdl/Makefile.am, src/arch/sdl/menu_drive.c,
	src/arch/sdl/menu_help.c, src/arch/unix/Makefile.am,
	src/arch/unix/gp2x/Makefile.am,
	src/arch/unix/gp2x/minimal/Makefile.am,
	src/arch/unix/gp2x/wiz/Makefile.am, src/arch/unix/gui/Makefile.am,
	src/arch/unix/macosx/Makefile.am,
	src/arch/unix/macosx/cocoa/menu/viceappcontroller.m,
	src/arch/unix/macosx/cocoa/menu/vicefilepanel.m,
	src/arch/unix/macosx/cocoa/menu/vicemachinecontroller.m,
	src/arch/unix/macosx/make-bindist.sh, src/arch/unix/x11/Makefile.am,
	src/arch/unix/x11/gnome/Makefile.am, src/arch/unix/x11/gnome/about.c,
	src/arch/unix/x11/gnome/uiedisk.c,
	src/arch/unix/x11/gnome/uifileentry.c,
	src/arch/unix/x11/xaw/Makefile.am, src/arch/unix/x11/xaw/about.c,
	src/arch/unix/x11/xaw/uiedisk.c, src/arch/unix/x11/xaw/x11ui.c,
	src/arch/win32/Makefile.am, src/arch/win32/res.rc,
	src/arch/win32/uilib.c, src/attach.c, src/c128/Makefile.am,
	src/c1541.c, src/c64/Makefile.am, src/c64/cart/Makefile.am,
	src/c64/vsidstubs.c, src/c64dtv/Makefile.am, src/cbm2/Makefile.am,
	src/diskimage/Makefile.am, src/diskimage/diskimage.c,
	src/diskimage/fsimage-check.c, src/diskimage/fsimage-create.c,
	src/diskimage/fsimage-gcr.c, src/diskimage/fsimage-gcr.h,
	src/diskimage/fsimage-p64.c, src/diskimage/fsimage-p64.h,
	src/diskimage/fsimage-probe.c, src/diskimage/fsimage.c,
	src/diskimage.h, src/drive/Makefile.am, src/drive/drive-snapshot.c,
	src/drive/drive-writeprotect.c, src/drive/drive.c, src/drive/drive.h,
	src/drive/driveimage.c, src/drive/iec/Makefile.am,
	src/drive/iec/c64exp/Makefile.am, src/drive/iec/plus4exp/Makefile.am,
	src/drive/iec128dcr/Makefile.am, src/drive/iecieee/Makefile.am,
	src/drive/ieee/Makefile.am, src/drive/ieee/fdc.c,
	src/drive/rotation.c, src/drive/tcbm/Makefile.am,
	src/fsdevice/Makefile.am, src/gcr.h, src/iecbus/Makefile.am,
	src/imagecontents/Makefile.am, src/infocontrib.sed, src/lib/p64,
	src/lib/p64/doc, src/monitor/Makefile.am, src/monitor/mon_parse.c,
	src/monitor/mon_parse.h, src/parallel/Makefile.am,
	src/pet/Makefile.am, src/plus4/Makefile.am, src/serial/Makefile.am,
	src/userport/Makefile.am, src/vdrive/Makefile.am,
	src/vdrive/vdrive-internal.c, src/vdrive/vdrive.c,
	src/vic20/Makefile.am, src/vic20/cart/Makefile.am,
	src/vicii/Makefile.am, src/viciisc/Makefile.am, src/zfile.c: Merged
	the drive-update branch.

2012-06-07  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/unix/x11/gnome/uimon.c: Preserve history when monitor
	window is closed and reopened

2012-06-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/init.c, src/monitor/monitor.c, src/monitor.h: added resource
	'KeepMonitorOpen' that allows switching between the 'old' and 'new'
	monitor behaviour

2012-06-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/plus4ui.c, src/arch/amigaos/plus4uires.h,
	src/arch/amigaos/uires.h: Added plus4 model selection to the amiga
	gui.

2012-06-07  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uimon.c, src/arch/unix/x11/gnome/x11ui.c:
	transfer focus to main emulator window when exiting the monitor

2012-06-07  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/linenoise.c,
	src/arch/unix/x11/gnome/uimon.c: hack to make the initial prompt show
	up without having to press a key, more style fixes

2012-06-07  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uimon.c: do not create the monitor window as
	transient for the main emulator window, so it can be put in the
	background of the main window

2012-06-07  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uimon.c: actually create the window with a
	delete button

2012-06-07  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/Makefile.am,
	src/arch/unix/x11/gnome/uimon.c: fixed warnings

2012-06-07  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/linenoise.c: fixed warnings

2012-06-07  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/linenoise.c: fixed codestyle

2012-06-07  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uimon.c: fixed codestyle

2012-06-07  groepaz <groepaz@gmx.net>

	* doc/.indent.pro, doc/indent-test.c: added config for indent pro and
	a c file for testing

2012-06-06  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/unix/x11/gnome/uimon.c: Keep monitor window open at 'exit'
	command, hide it when cross button is pressed

2012-06-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/ahi.h, src/arch/amigaos/intl_funcs.h,
	src/arch/amigaos/joyai.h, src/arch/amigaos/joyll.h,
	src/arch/amigaos/kbd.h, src/arch/amigaos/loadlibs.h,
	src/arch/amigaos/memory.h, src/arch/amigaos/mousedrv.h,
	src/arch/amigaos/mui/mui.h, src/arch/amigaos/mui/uidrivec128.h,
	src/arch/amigaos/mui/uidrivec64vic20.h,
	src/arch/amigaos/mui/uidrivepetcbm2.h,
	src/arch/amigaos/mui/uidriveplus4.h,
	src/arch/amigaos/mui/uiromc128settings.c,
	src/arch/amigaos/mui/uiromc64vic20settings.c,
	src/arch/amigaos/mui/uiromcbm2settings.c,
	src/arch/amigaos/mui/uirompetsettings.c,
	src/arch/amigaos/mui/uiromplus4settings.c,
	src/arch/amigaos/mui/uisid.h, src/arch/amigaos/mui/uisound.h,
	src/arch/amigaos/pointer.h, src/arch/amigaos/private.h,
	src/arch/amigaos/screen-shot.h, src/arch/amigaos/socketimpl.h,
	src/arch/amigaos/statusbar.h, src/arch/amigaos/timer.h,
	src/arch/amigaos/types.h, src/arch/amigaos/ui.h,
	src/arch/amigaos/uiattach.h, src/arch/amigaos/uic64cart.h,
	src/arch/amigaos/uicart.h, src/arch/amigaos/uilib.h,
	src/arch/amigaos/uires.h, src/arch/amigaos/videoarch.h: Some coding
	style cleanups.

2012-06-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/uncrustify.cfg, src/6510core.c: Removed ';' in a define.

2012-06-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/uncrustify.cfg: Adapted the uncrustify.cfg file a bit.

2012-06-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uiautostart.c: Added autostart random delay to
	the amiga gui.

2012-06-03  groepaz <groepaz@gmx.net>

	* src/drive/drive.c: always rotate the disk if no idle traps for a
	drive is selected. this prevents huge peaks in cpu usage when the
	drive must catch up after a longer period of time

2012-06-03  groepaz <groepaz@gmx.net>

	* src/c64/cart/ocean.c: comment out debug output

2012-06-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128uires.h, src/arch/amigaos/c64dtvuires.h,
	src/arch/amigaos/c64uires.h, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/petuires.h, src/arch/amigaos/plus4uires.h,
	src/arch/amigaos/vic20uires.h: Fixed a menu toggle for the amiga gui.

2012-06-03  Kajtar Zsolt <soci@c64.rulez.org>

	* doc/uncrustify.cfg: Add uncrustify.cfg for source beautifying.

2012-06-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl_text.c: Fixed an amiga translation issue.

2012-06-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128uires.h, src/arch/amigaos/c64uires.h,
	src/arch/amigaos/cbm2uires.h, src/arch/amigaos/petuires.h,
	src/arch/amigaos/plus4uires.h, src/arch/amigaos/vic20uires.h: Removed
	the rs232 settings menu item from the amiga gui, it needs to be
	implemented at some future time.

2012-06-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128uires.h, src/arch/amigaos/c64dtvuires.h,
	src/arch/amigaos/c64uires.h, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/petuires.h, src/arch/amigaos/plus4uires.h,
	src/arch/amigaos/vic20uires.h: Removed the keyboard settings menu item
	from the amiga gui, it needs to be implemented at some future time.

2012-06-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128uires.h, src/arch/amigaos/c64dtvuires.h,
	src/arch/amigaos/c64uires.h, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/petuires.h, src/arch/amigaos/plus4uires.h,
	src/arch/amigaos/vic20uires.h: Removed the peripheral settings menu
	item from the amiga gui, it needs to be implemented at some future
	time.

2012-06-03  Daniel Kahlin <tlr@users.sourceforge.net>

	* src/arch/win32/console.c: Fix as suggested by groepaz applied.
	Win32/64 monitor no longer stays open. Resolves bug 3463496.

2012-06-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.pdf, doc/vice.inf, doc/vice.hlp, doc/vice.txt,
	doc/vice.guide, doc/vice.chm, configure.in, ChangeLog, src/version.h,
	src/arch/win32/vice-version.bat, src/arch/os2/Makefile.am, po/es.po,
	po/ko.po, po/fr.po, po/da.po, po/tr.po, po/sv.po, po/de.po, po/hu.po,
	po/ru.po, po/nl.po, po/pl.po, po/it.po: VICE 2.3.18

2012-06-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/nl.po, po/sv.po, src/arch/amigaos/intl_text.c,
	src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/rescia.rc,
	src/arch/win32/respet.rc, src/arch/win32/resretroreplay.rc,
	src/arch/win32/ressid.rc, src/arch/win32/rested.rc,
	src/arch/win32/resvic.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/resvicii.rc, src/translate_text.c: Did a
	'make trans-update'.

2012-06-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po: Did a
	'make update-po'.

2012-05-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added cbm2/cbm5x0 cartridge support
	to the os/2 gui.

2012-05-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added plus4 cartridge support to the
	os/2 gui.

2012-05-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc, src/cbm2/cbm2-cmdline-options.c,
	src/cbm2/cbm2mem.h: Updated the cbm2/cbm5x0 model selection in the
	os/2 gui.

2012-05-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/ui.c, src/cbm2/cbm5x0.c: Made the os/2 port use the
	cbm5x0 ui shutdown call.

2012-05-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/ui.c, src/cbm2/cbm5x0.c: Made the os/2 port use the
	cbm5x0 ui init call.

2012-05-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.rc: Split the xcbm2/xcbm5x0 menu in
	the os/2 gui.

2012-05-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dragndrop.c, src/arch/os2/ui.c,
	src/arch/os2/video.c, src/arch/os2/vsyncarch.c: Replaced references to
	vsid_mode with machine_class == VICE_MACHINE_VSID in the os/2 port.

2012-05-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/Makefile.am, src/arch/os2/kbd/Makefile.am,
	src/arch/os2/kbd/kbd-vsid.c, src/arch/os2/watcom/c128c64.tgt,
	src/arch/os2/watcom/c64common.tgt,
	src/arch/os2/watcom/c64commonc128dtvsc.tgt,
	src/arch/os2/watcom/c64commonc128sc.tgt,
	src/arch/os2/watcom/c64commonc128scvsid.tgt,
	src/arch/os2/watcom/c64commondtvsc.tgt,
	src/arch/os2/watcom/c64commondtvscvsid.tgt,
	src/arch/os2/watcom/c64commonsc.tgt,
	src/arch/os2/watcom/c64commonscvsid.tgt,
	src/arch/os2/watcom/c64commonvsid.tgt,
	src/arch/os2/watcom/c64dtvc64.tgt, src/arch/os2/watcom/c64sc.tgt,
	src/arch/os2/watcom/makebindist.bat, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/vsid-maincpu.c,
	src/arch/os2/watcom/vsid-menubar.c, src/arch/os2/watcom/vsid.tgt,
	src/arch/os2/watcom/vsidlib.tgt, src/arch/os2/watcom/x128.tgt,
	src/arch/os2/watcom/x64.tgt, src/arch/os2/watcom/x64dtv.tgt,
	src/arch/os2/watcom/x64sc.tgt, src/c64/vsidstubs.c: Split off vsid for
	the os/2 port.

2012-05-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.rc:
	Fixed some ifdefs.

2012-05-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/ui.c: Added myself to the log startup message of the
	os/2 port.

2012-05-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.rc: Removed duplicate ieee488 interface
	item from the os/2 gui.

2012-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c: Fixed an os/2 menu issue.

2012-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/pet/petmodel.c, src/pet/pets.h:
	Removed get_pet_model() since it is no longer used.

2012-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c: Updated the pet model selection in
	the os/2 gui.

2012-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/x128.tgt: Some os/2 fixes.

2012-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added c128 model selection to the
	os/2 gui.

2012-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.rc:
	Extended the CIA model selection in the os/2 gui to include x128,
	xcbm2 and xcbm5x0.

2012-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added retro replay settings to the
	os/2 gui.

2012-05-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/xvic.tgt: Added border mode, sound output mode,
	3rd sid, and drive sound support to the os/2 gui.

2012-05-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added burst mod support to the os/2
	gui.

2012-05-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.rc: Changed IDE64 HDx to
	primary/secondary master/slave in the os/2 gui.

2012-05-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-drive.c: Added fd2000/4000 support to the
	os/2 gui.

2012-05-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added c64dtv model selection to the
	os/2 gui.

2012-05-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64dtv/c64dtvflash.c: Fixed a resource issue that would make
	x64dtv fail when starting from a read-only media.


2012-05-28  Olaf Seibert <rhialto@falu.nl>

	* src/pet/petmem.c: Change the tabular "emulation" of the 6702 dongle
	into an algorithmic one. Also make sure that the
	mem6809_{read,store}{16,32} functions index the
	_mem6809_{read,write}_tab_ptr array according to the incremented
	addresses.

2012-05-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/xplus4.tgt: Added plus4 model selection support to
	the os/2 gui.

2012-05-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added vertical stretch support to the
	os/2 gui.

2012-05-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dialogs.h, src/arch/os2/dialogs/dlg-color.c,
	src/arch/os2/dialogs/dlg-color.h, src/arch/os2/dialogs/dlg-color.rc,
	src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc, src/arch/os2/video.c: Updated the
	os/2 video settings gui items.

2012-05-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added autostart random delay to the
	os/2 gui.

2012-05-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/Makefile.am, src/arch/os2/dialogs/dialogs.h,
	src/arch/os2/dialogs/dlg-ide64.c, src/arch/os2/dialogs/dlg-ide64.h,
	src/arch/os2/dialogs/dlg-ide64.rc, src/arch/os2/dialogs/menubar.c,
	src/arch/os2/dialogs/menubar.h, src/arch/os2/dialogs/menubar.rc,
	src/arch/os2/vac++/incl/dialogs.icc, src/arch/os2/watcom/dialogs.tgt,
	src/arch/os2/watcom/vice.wpj: Added IDE64 geometry settings dialog to
	the os/2 gui.

2012-05-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added MasC=uerade support to the
	os/2 gui, and fixed the sfx sound expander ghosting.

2012-05-22  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui_sid.cc, src/arch/beos/vicemenu.cc: 2 minor BeOS UI
	fixes.

2012-05-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/Makefile.am, src/arch/os2/dialogs/dlg-color.c,
	src/arch/os2/dialogs/dlg-color.h, src/arch/os2/dialogs/dlg-color.rc,
	src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Attempt at a fix for the os/2 video
	dialog.

2012-05-18  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/JoystickSettings.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/JoystickSettings.nib/keyedobjects.nib,
	src/arch/unix/macosx/cocoa/dialog/joysticksettingswindowcontroller.h,
	src/arch/unix/macosx/cocoa/dialog/joysticksettingswindowcontroller.m,
	src/arch/unix/macosx/joy-hid.c, src/arch/unix/macosx/joy-hid.h,
	src/arch/unix/macosx/joy.c, src/arch/unix/macosx/joy.h: macjoy: allow
	to store min/max range of each axis. detect now adjusts to real
	min/max values.

2012-05-18  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/joy.c: macjoy: auto adjust axis range if it was
	reported wrong

2012-05-08  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/unix/macosx/cocoa/dialog/debuggerwindowcontroller.h,
	src/arch/unix/macosx/cocoa/dialog/debuggerwindowcontroller.m,
	src/arch/unix/macosx/cocoa/dialog/disassemblywindowcontroller.h,
	src/arch/unix/macosx/cocoa/dialog/disassemblywindowcontroller.m,
	src/arch/unix/macosx/cocoa/dialog/iotreeitem.h,
	src/arch/unix/macosx/cocoa/dialog/iotreeitem.m,
	src/arch/unix/macosx/cocoa/dialog/iotreewindowcontroller.h,
	src/arch/unix/macosx/cocoa/dialog/iotreewindowcontroller.m,
	src/arch/unix/macosx/cocoa/dialog/memorywindowcontroller.h,
	src/arch/unix/macosx/cocoa/dialog/memorywindowcontroller.m,
	src/arch/unix/macosx/cocoa/dialog/registerwindowcontroller.h,
	src/arch/unix/macosx/cocoa/dialog/registerwindowcontroller.m,
	src/arch/unix/macosx/cocoa/dialog/vicewindowcontroller.h,
	src/arch/unix/macosx/cocoa/dialog/vicewindowcontroller.m,
	src/arch/unix/macosx/platform_macosx.c,
	src/arch/unix/macosx/platform_macosx.h,
	src/arch/unix/macosx/vsyncarch.c: Yet more svn properties fixes.

2012-05-08  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/vicewindow.cc, src/arch/beos/vicewindow.h,
	src/arch/beos/video.cc, src/arch/beos/videoarch.h,
	src/arch/beos/vsidui.cc: Clean up BeVICE window creation/resizing
	code, fixing multiple bugs/issues.

2012-05-08  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/unix/gui/uicbm2cart.c, src/arch/unix/gui/uicbm2cart.h,
	src/arch/unix/gui/uiplus4cart.c, src/arch/unix/gui/uiplus4cart.h,
	src/arch/unix/gui/uiram.c, src/arch/unix/gui/uiram.h,
	src/arch/unix/x11/gnome/linenoise.c,
	src/arch/unix/x11/gnome/linenoise.h, src/arch/unix/x11/gnome/uimon.c,
	src/arch/unix/x11/xaw/uiedit.c, src/arch/unix/x11/xaw/uipalcontrol.c,
	src/arch/unix/x11/xaw/uipalcontrol.h, src/c64/cart/diashowmaker.c,
	src/c64/cart/diashowmaker.h, src/c64/cart/formel64.c,
	src/c64/cart/formel64.h, src/c64/cart/kingsoft.c,
	src/c64/cart/kingsoft.h, src/c64/cart/mach5.c, src/c64/cart/mach5.h,
	src/c64/cart/magicvoice.c, src/c64/cart/magicvoice.h,
	src/c64/cart/pagefox.c, src/c64/cart/pagefox.h,
	src/c64/cart/silverrock128.c, src/c64/cart/silverrock128.h,
	src/c64/vsidmem.c, src/c64/vsidstubs.c: More svn properties fixes.

2012-05-06  Olaf Seibert <rhialto@falu.nl>

	* po/nl.po: Some grammar fixes.

2012-05-05  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/dialog/joysticksettingswindowcontroller.h:
	macosx: small layout fix

2012-05-05  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/dialog/sidsettingswindowcontroller.m:
	macosx: fixed stereo SID for x64sc

2012-05-05  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/Resources/English.lproj/JoystickSettings.nib/designable.nib,
	src/arch/unix/macosx/Resources/English.lproj/JoystickSettings.nib/keyedobjects.nib,
	src/arch/unix/macosx/cocoa/dialog/joysticksettingswindowcontroller.h,
	src/arch/unix/macosx/cocoa/dialog/joysticksettingswindowcontroller.m,
	src/arch/unix/macosx/cocoa/mousedrv.m, src/arch/unix/macosx/joy-hid.c,
	src/arch/unix/macosx/joy-hid.h, src/arch/unix/macosx/joy-hidlib.h,
	src/arch/unix/macosx/joy-hidmgr.c, src/arch/unix/macosx/joy-hidutil.c,
	src/arch/unix/macosx/joy.c, src/arch/unix/macosx/joy.h: macosx: added
	support of logical axis values for HID joystick

2012-05-03  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/mousedrv.cc: Unbroke BeVICE compile and debugged mouse
	driver.

2012-05-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for the updated es.po file.

2012-05-02  Manuel Antonio Rodriguez Bas <formater@winuaespanol.com>

	* po/es.po: Updated.

2012-04-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/ocean.c: Fixed ocean cart bank wrap, patch supplied by
	Uffe Jakobsen.

2012-04-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/joy.c: Applied patch from viceminus, untested, but
	should fix bug #3522267.

2012-04-27  Emir Akaydin <emir@akaydin.com>

	* po/tr.po, po/translations-status.txt: Updated.

2012-04-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for updated sv.po file.

2012-04-25  Peter Krefting <peter@softwolves.pp.se>

	* po/sv.po: Update Swedish translation (2425t0f0u).

2012-04-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc: Added support for sidcart and
	digiblaster to the os/2 gui.

2012-04-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dialogs.h, src/arch/os2/dialogs/dlg-joystick.c,
	src/arch/os2/dialogs/dlg-joystick.h,
	src/arch/os2/dialogs/dlg-joystick.rc, src/arch/os2/dialogs/menubar.c,
	src/arch/os2/dialogs/menubar.h, src/arch/os2/dialogs/menubar.rc,
	src/arch/os2/joy.c, src/arch/os2/watcom/dialogs.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/os2/watcom/x128.tgt,
	src/arch/os2/watcom/x64.tgt, src/arch/os2/watcom/x64dtv.tgt,
	src/arch/os2/watcom/x64sc.tgt, src/arch/os2/watcom/xcbm2.tgt,
	src/arch/os2/watcom/xcbm5x0.tgt, src/arch/os2/watcom/xpet.tgt,
	src/arch/os2/watcom/xplus4.tgt, src/arch/os2/watcom/xvic.tgt,
	src/joystick.c, src/joystick.h: Added extra joystick support to the
	os/2 gui.

2012-04-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/Makefile.am, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/x128-specific.tgt, src/arch/os2/watcom/x128.tgt,
	src/arch/os2/watcom/x64-specific.tgt, src/arch/os2/watcom/x64.tgt,
	src/arch/os2/watcom/x64dtv-specific.tgt,
	src/arch/os2/watcom/x64dtv.tgt, src/arch/os2/watcom/x64sc-menubar.c,
	src/arch/os2/watcom/x64sc.tgt, src/arch/os2/watcom/xcbm2-specific.tgt,
	src/arch/os2/watcom/xcbm2.tgt, src/arch/os2/watcom/xcbm5x0-menubar.c,
	src/arch/os2/watcom/xcbm5x0.tgt,
	src/arch/os2/watcom/xpet-specific.tgt, src/arch/os2/watcom/xpet.tgt,
	src/arch/os2/watcom/xplus4-specific.tgt,
	src/arch/os2/watcom/xplus4.tgt, src/arch/os2/watcom/xvic-specific.tgt,
	src/arch/os2/watcom/xvic.tgt: Fixed watcom project files to correctly
	use the menubar per emulator.

2012-04-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/x64sc/X64SC.ICC,
	src/arch/os2/vac++/xcbm2/Xcbm2.ICC,
	src/arch/os2/vac++/xcbm5x0/Xcbm5x0.ICC, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/xcbm2.tgt, src/arch/os2/watcom/xcbm5x0.tgt: Fixed
	the os/2 project files to correctly define __XCBM2__, __XCBM5X0__ and
	__X64SC__.

2012-04-20  groepaz <groepaz@gmx.net>

	* src/arch/sdl/video.c, src/raster/raster.c: second attempt to combat
	bug #3515956

2012-04-20  groepaz <groepaz@gmx.net>

	* src/monitor/mon_breakpoint.c: remove useless check

2012-04-20  groepaz <groepaz@gmx.net>

	* src/monitor/mon_breakpoint.c: fix access of free'd memory

2012-04-20  groepaz <groepaz@gmx.net>

	* src/c64/cart/c64acia1.c: fix warning

2012-04-20  groepaz <groepaz@gmx.net>

	* src/monitor/mon_disassemble.c: hotfix missing format argument


2012-04-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for the updated pl.po file.

2012-04-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/joy.c: Fixed a typo.

2012-04-20  Jarek Sobolewski <r@sledinmay.com>

	* po/pl.po: Updated.

2012-04-20  Olaf Seibert <rhialto@falu.nl>

	* src/pet/6809.c, src/pet/petcpu.c: Allow SuperPET to get back from
	6809 mode to 6502 mode via the switch.

2012-04-20  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/gui/uidrivec128.c,
	src/arch/unix/gui/uidrivec64vic20.c: Add dual IEEE drive types to c64
	and c128 menus for device #10.

2012-04-19  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/x11video.c: Apparently on some systems,
	MIT-SHM works for our purposes even if it indicates that no
	"shared pixmaps" are available. If so, don't let this stop our use of
	SHM.

2012-04-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uiretroreplay.c: Fixed a size issue in the windows
	retro replay dialog.

2012-04-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resdrivec128.rc, src/arch/win32/resdrivec64.rc,
	src/arch/win32/resdriveplus4.rc: Fixed a size issue in the windows
	drive dialog.

2012-04-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c: Fixed some more os/2 menu issues.

2012-04-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c: Fixed os/2 SFX gui elements toggle
	problems.


2012-04-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c: Fixed os/2 easyflash gui element
	toggle problems.

2012-04-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.rc,
	src/arch/os2/watcom/ide-config.h: Fixed the os/2 mouse problems when
	compiled with ow.

2012-04-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-datasette.rc: Fixed size issues in the os/2
	datasette settings dialog.


2012-04-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-drive.rc: Fixed a text cut off issue in the
	os/2 drive dialog.

2012-04-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/msvc/ide-config.h,
	src/arch/win32/watcom/ide-config.h: Make windows msvc and ow builds
	compile with dynlib support.

2012-04-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi: Added some FIXME's.

2012-04-16  Andrea Musuruane <musuruan@gmail.com>

	* po/it.po, po/translations-status.txt: Updated.

2012-04-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, doc/vice.pdf, doc/vice.hlp, doc/vice.chm, configure.in,
	src/version.h, src/arch/win32/vice-version.bat, po/es.po, po/ko.po,
	po/fr.po, po/da.po, po/tr.po, po/sv.po, po/de.po, po/hu.po, po/ru.po,
	po/nl.po, po/pl.po, po/it.po: VICE 2.3.17

2012-04-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for updated de.po file.

2012-04-15  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2012-04-14  groepaz <groepaz@gmx.net>

	* src/monitor/monitor_network.c: added some comments

2012-04-14  groepaz <groepaz@gmx.net>

	* data/VIC20/sdl_pos_fi.vkm: fix shift-lock mapping, patch from
	vice-minus

2012-04-14  groepaz <groepaz@gmx.net>

	* src/vic20/vic20mem.c: do not disable watchpoints on reset, patch
	from vice-minus

2012-04-14  groepaz <groepaz@gmx.net>

	* src/arch/sdl/video.c: prevent maximized window at startup

2012-04-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dialogs.rc: Fixed the os/2 about dialog.

2012-04-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/mainsrc.tgt, src/arch/os2/watcom/vice.wpj:
	Fixed.

2012-04-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/rescbm2common.rc, src/arch/win32/rescbm5x0.rc,
	src/arch/win32/rescia.rc, src/arch/win32/reside64.rc,
	src/arch/win32/respet.rc, src/arch/win32/resretroreplay.rc,
	src/arch/win32/ressid.rc, src/arch/win32/rested.rc,
	src/arch/win32/resvic.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/resvicii.rc, src/arch/win32/resvsid.rc,
	src/translate_text.c: Did a 'make trans-update'.

2012-04-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2012-04-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2012-04-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/translate_text.c: Fixed some missing brackets in the
	translation items.

2012-04-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2012-04-14  pottendo <pottendo@aon.at>

	* po/de.po: Updated.


2012-04-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cartridge.h: All crt numbers are official now.

2012-04-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2012-04-11  Olaf Seibert <rhialto@falu.nl>

	* src/pet/6809.c: Fix 6809 DAA instruction; upper nibble could be
	"adjusted" twice.

2012-04-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64io.c, src/c64/cart/georam.c,
	src/c64/cart/sfx_soundexpander.c, src/c64/cart/sfx_soundsampler.c,
	src/c64/cart/tfe.c, src/sid/sid-cmdline-options.c, src/sound.c,
	src/translate.txt, src/translate_text.c, src/vic20/vic20io.c: Added
	some previously untranslated items.

2012-04-11  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/sdl/video.c: Fix infinite mutual recursive calls


2012-04-10  Olaf Seibert <rhialto@falu.nl>

	* src/pet/6809.c, src/pet/petmem.c: New work from Dave Roberts: let
	the 6702 return a fixed sequence of values that passes the dongle
	check. He found the values by creating a C version of the check
	routine and Monte-Carlo simulation.

2012-04-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Coding style fixes.

2012-04-09  Olaf Seibert <rhialto@falu.nl>

	* src/pet/6809.c: More 6702 dongle avoidance. Should work with all
	language processors.

2012-04-09  Andreas Matthies <andreas.matthies@gmx.net>

	* src/c64/cart/c64acia1.c: Fix for event safe settings.

2012-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/delaep64.c: Fixed a typo.

2012-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/monitor/asm6809.c: Be consistent.

2012-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/monitor/asm.h, src/monitor/mon_disassemble.c,
	src/monitor/mon_disassemble.h: Added FULL6809 and H6309 addressing
	modes for disassembly purposes.

2012-04-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Coding style fixes.

2012-04-08  Olaf Seibert <rhialto@falu.nl>

	* src/pet/6809.c: Refine dongle check, esp.. for FORTRAN 1.1.

2012-04-08  Olaf Seibert <rhialto@falu.nl>

	* src/pet/6809.c, src/pet/petmem.c: Put in code to avoid the dongle
	check. Idea and most details from Dave Roberts in the cbm-hackers
	mailing list.

2012-04-07  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/mouse.c: Fix build with --enable-debug-code

2012-04-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uimagicvoice.c: Set magic voice file string before
	setting enable.

2012-04-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/incl/vic20.icc,
	src/arch/os2/vac++/x64dtv/X64DTV.ICC,
	src/arch/os2/vac++/xvic/Xvic.ICC: More vac++ fixes.

2012-04-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_settings.c: Fixed a copy/paste error.

2012-04-06  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/fullscrn.c, src/arch/win32/ui.c,
	src/arch/win32/video-dx9.c: Improved DX9 filtering in windowed mode by
	resizing the D3D backbuffer when the window is resized.

2012-04-06  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/win32/uiide64.c: Fix WinVICE IDE64 dialog buttons and
	number of sectors.

2012-04-06  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/ui.c: Fixed calculation of menu height (bug was
	visible when switching between double sized without double scan
	windowed mode and fullscreen).

2012-04-06  Andreas Matthies <andreas.matthies@gmx.net>

	* src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/rescbm5x0.rc, src/arch/win32/respet.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resvic20.rc: Include
	videoarch.h in the rc files to enable the "Disable DirectX 9 video
	driver" menu item in MSVC. 

2012-04-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cartridge.h: Fixed a copy/paste error.

2012-04-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/xvic/Xvic.ICC, src/cbm2/cbm2tpi1.c,
	src/sid/resid-dtv.cc, src/sid/resid.cc: More vac++ fixes.

2012-04-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/incl/cbm2common.icc,
	src/arch/os2/vac++/xpet/Xpet.ICC, src/arch/os2/vac++/xvic/Xvic.ICC,
	src/sid/Makefile.am, src/sid/resid-dtv.cc: More vac++ fixes.

2012-04-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/incl/cbm2common.icc,
	src/arch/os2/vac++/incl/drive.icc, src/arch/os2/vac++/incl/iec.icc,
	src/arch/os2/vac++/incl/residdtv.icc,
	src/arch/os2/vac++/incl/userport.icc,
	src/arch/os2/vac++/x128/X128.ICC, src/arch/os2/vac++/x64/X64.ICC,
	src/arch/os2/vac++/x64sc/X64SC.ICC,
	src/arch/os2/vac++/xcbm2/Xcbm2.ICC,
	src/arch/os2/vac++/xcbm5x0/Xcbm5x0.ICC,
	src/arch/os2/vac++/xvic/Xvic.ICC: More vac++ fixes.

2012-04-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/x64dtv/X64DTV.ICC,
	src/arch/os2/vac++/xcbm2/Xcbm2.ICC,
	src/arch/os2/vac++/xcbm5x0/Xcbm5x0.ICC,
	src/arch/os2/vac++/xpet/Xpet.ICC,
	src/arch/os2/vac++/xplus4/Xplus4.ICC,
	src/arch/os2/vac++/xvic/Xvic.ICC, src/sid/resid.cc: More vac++ fixes.

2012-04-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/incl/plus4.icc,
	src/arch/os2/vac++/incl/residdtv.icc,
	src/arch/os2/vac++/incl/vic20.icc, src/arch/os2/vac++/xcbm2/Xcbm2.ICC,
	src/arch/os2/vac++/xcbm5x0/Xcbm5x0.ICC,
	src/arch/os2/vac++/xpet/Xpet.ICC, src/arch/os2/vac++/xvic/Xvic.ICC:
	More vac++ fixes.

2012-04-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/incl/vic20cart.icc,
	src/arch/os2/vac++/x64dtv/X64DTV.ICC,
	src/arch/os2/vac++/xcbm2/Xcbm2.ICC,
	src/arch/os2/vac++/xcbm5x0/Xcbm5x0.ICC,
	src/arch/os2/vac++/xpet/Xpet.ICC,
	src/arch/os2/vac++/xplus4/Xplus4.ICC: More vac++ fixes.

2012-04-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/incl/c64dtv.icc,
	src/arch/os2/vac++/incl/plus4.icc,
	src/arch/os2/vac++/x64dtv/X64DTV.ICC,
	src/arch/os2/vac++/x64sc/X64SC.ICC,
	src/arch/os2/vac++/xcbm2/Xcbm2.ICC,
	src/arch/os2/vac++/xcbm5x0/Xcbm5x0.ICC,
	src/arch/os2/vac++/xpet/Xpet.ICC,
	src/arch/os2/vac++/xplus4/Xplus4.ICC,
	src/arch/os2/vac++/xvic/Xvic.ICC: More vac++ fixes.

2012-04-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/x64sc/X64SC.ICC: More vac++ fixes.

2012-04-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/x64/X64.ICC, src/arch/os2/vac++/x64sc/X64SC.ICC:
	More vac++ fixes.

2012-04-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/x64/X64.ICC: More x64 vac++ fixes.

2012-04-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/x64/X64.ICC: X64 vac++ fixes.

2012-04-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/x64/X64.ICC,
	src/arch/os2/vac++/x64dtv/X64DTV.ICC,
	src/arch/os2/vac++/x64sc/X64SC.ICC,
	src/arch/os2/vac++/xcbm2/Xcbm2.ICC,
	src/arch/os2/vac++/xcbm5x0/Xcbm5x0.ICC,
	src/arch/os2/vac++/xpet/Xpet.ICC,
	src/arch/os2/vac++/xplus4/Xplus4.ICC,
	src/arch/os2/vac++/xvic/Xvic.ICC: More vac++ fixes.

2012-04-01  Kajtar Zsolt <soci@c64.rulez.org>

	* src/arch/amigaos/mousedrv.c, src/arch/amigaos/mousedrv.h,
	src/arch/beos/mousedrv.h, src/arch/msdos/mousedrv.c,
	src/arch/msdos/mousedrv.h, src/arch/os2/mousedrv.c,
	src/arch/os2/mousedrv.h, src/arch/sdl/mousedrv.c,
	src/arch/sdl/mousedrv.h, src/arch/unix/mousedrv.c,
	src/arch/unix/mousedrv.h, src/arch/unix/x11/gnome/x11ui.c,
	src/arch/unix/x11/xaw/x11ui.c, src/arch/win32/mousedrv.c,
	src/arch/win32/mousedrv.h, src/arch/win32/ui.c, src/mouse.c,
	src/ps2mouse.c, src/ps2mouse.h: Cleanup the mouse handling. Platform
	drivers should only return an integer with at least 16 bits of
	position information, the rest is handled in mouse.c and ps2mouse.c as
	required by the type of mouse, like speed limiting. Now at least on
	Linux I don't see pointer jumps anymore, except on very high speed.
	Straight movement is straight now that the rate limiting was fixed.
	Overall it's quite ok here now, let's hope the other platform are not
	broken by mistake.

2012-04-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dialogs.rc: Some more vac++ fixes.

2012-04-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dialogs.rc: Some more vac++ fixes.

2012-04-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dialogs.h, src/arch/os2/dialogs/dialogs.rc,
	src/arch/os2/vac++/x128/X128.ICC: Some more vac++ fixes.

2012-04-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/archdep.c, src/arch/os2/vac++/incl/video.icc: More
	vac++ fixes.

2012-04-01  Spiro Trikaliotis  <spiro.trikaliotis@gmx.de>

	* src/monitor/monitor_network.c: Fix the answer for the binary monitor
	commands: The error code "ok" was forgotten if no error occurred.

2012-04-01  Spiro Trikaliotis  <spiro.trikaliotis@gmx.de>

	* src/monitor/monitor_network.c: First try to binary remote monitor
	commands. Only memdump is implemented currently.

2012-04-01  Spiro Trikaliotis  <spiro.trikaliotis@gmx.de>

	* src/machine.c, src/monitor/monitor_network.c,
	src/monitor/monitor_network.h: Do not show JAM dialog if remote
	monitor is attached.

2012-04-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/ide-config.h, src/arch/os2/vac++/incl/video.icc:
	More vac++ fixes.

2012-04-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/fonts, src/arch/os2/vac++: Some more svn ignores.

2012-04-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++, src/arch/os2/vac++/x128, src/arch/os2/vac++/x64,
	src/arch/os2/vac++/x64dtv, src/arch/os2/vac++/x64sc,
	src/arch/os2/vac++/xcbm2, src/arch/os2/vac++/xcbm5x0,
	src/arch/os2/vac++/xpet, src/arch/os2/vac++/xplus4,
	src/arch/os2/vac++/xvic: Some more svn ignores.

2012-04-01  Kajtar Zsolt <soci@c64.rulez.org>

	* src/ps2mouse.c: Also update ps2mouse...

2012-04-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* data, src/arch/os2/dialogs/dialogs.h,
	src/arch/os2/vac++/Makefile.am, src/arch/os2/vac++/incl/c64cart.icc,
	src/arch/os2/vac++/incl/video.icc, src/arch/os2/vac++/x128,
	src/arch/os2/vac++/x128/X128.ICC, src/arch/os2/vac++/x64,
	src/arch/os2/vac++/x64dtv, src/arch/os2/vac++/x64sc,
	src/arch/os2/vac++/xcbm2, src/arch/os2/vac++/xcbm5x0,
	src/arch/os2/vac++/xcbm5x0/Xcbm5x0.ICC, src/arch/os2/vac++/xpet,
	src/arch/os2/vac++/xplus4, src/arch/os2/vac++/xvic: More vac++ fixes.

2012-04-01  Kajtar Zsolt <soci@c64.rulez.org>

	* src/arch/amigaos/mousedrv.c, src/arch/msdos/mousedrv.c,
	src/arch/os2/mousedrv.c, src/arch/sdl/mousedrv.c,
	src/arch/unix/mousedrv.c, src/arch/win32/mousedrv.c,
	src/arch/win32/ui.c, src/mouse.c, src/mouse.h: Add middle button and
	wheel to mouse emulation. http://www.micromys.de/1351mode.htm

2012-04-01  Olaf Seibert <rhialto@falu.nl>

	* src/userport/userport_dac.c: Fix distortion in the sound from the
	PET Userport DAC: unsigned DAC samples were mixed with signed samples.
	Fix by reducing the range of the DAC samples. Unfortunately this also
	cuts the volume in half.

2012-03-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: 6809 and 6309 timing updates and fixes.

2012-03-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/incl/video.icc, src/arch/os2/vac++/x128/X128.ICC,
	src/c64/cart/ide64.c, src/core/ata.c: Some vac++ fixes.

2012-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/incl/archdep.icc: Do not include config.h from a
	project file.

2012-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/Makefile.am, src/arch/os2/vac++/RESIDFP.ICC,
	src/arch/os2/vac++/incl/c128.icc, src/arch/os2/vac++/incl/c64.icc,
	src/arch/os2/vac++/incl/c64cart.icc,
	src/arch/os2/vac++/incl/c64commonc64sc.icc,
	src/arch/os2/vac++/incl/c64commoncart.icc,
	src/arch/os2/vac++/incl/c64dtv.icc, src/arch/os2/vac++/incl/c64sc.icc,
	src/arch/os2/vac++/incl/cbm2.icc,
	src/arch/os2/vac++/incl/cbm2common.icc,
	src/arch/os2/vac++/incl/cbm5x0.icc, src/arch/os2/vac++/incl/core.icc,
	src/arch/os2/vac++/incl/diskimage.icc,
	src/arch/os2/vac++/incl/iec.icc,
	src/arch/os2/vac++/incl/iecc64exp.icc,
	src/arch/os2/vac++/incl/mon6809.icc, src/arch/os2/vac++/incl/pet.icc,
	src/arch/os2/vac++/incl/plus4.icc, src/arch/os2/vac++/incl/rtc.icc,
	src/arch/os2/vac++/incl/userport.icc,
	src/arch/os2/vac++/incl/vic20cart.icc,
	src/arch/os2/vac++/incl/vicii.icc,
	src/arch/os2/vac++/incl/viciicommon.icc,
	src/arch/os2/vac++/incl/viciidtv.icc, src/monitor/asm.h: Some more
	vac++ project file fixes.

2012-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/geninfo2.icc: Fixed a typo.

2012-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/utils/geninfocontrib.c: Only use _strdup when msvc.

2012-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/Makefile.am, src/arch/os2/vac++/geninfo1.icc,
	src/arch/os2/vac++/geninfo2.icc: Added infocontrib generation project
	files for vac++.

2012-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/Makefile.am, src/arch/os2/vac++/config.h,
	src/arch/os2/vac++/ide-config.h: Renamed vac++ config.h to
	ide-config.h

2012-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/resid/dac.cc: Define INFINITY for vac++.

2012-03-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/PETcat.ICC, src/arch/os2/vac++/RESID.ICC,
	src/arch/os2/vac++/RESIDDTV.ICC, src/arch/os2/vac++/X1541.ICC,
	src/arch/os2/vac++/cartconv.ICC, src/arch/os2/vac++/vicedll.ICC,
	src/arch/os2/vac++/x128/X128.ICC, src/arch/os2/vac++/x64/X64.ICC,
	src/arch/os2/vac++/x64dtv/X64DTV.ICC,
	src/arch/os2/vac++/x64sc/X64SC.ICC,
	src/arch/os2/vac++/xcbm2/Xcbm2.ICC, src/arch/os2/vac++/xpet/Xpet.ICC,
	src/arch/os2/vac++/xplus4/Xplus4.ICC,
	src/arch/os2/vac++/xvic/Xvic.ICC: Started on fixing the vac++ compile.

2012-03-27  Olaf Seibert <rhialto@falu.nl>

	* src/pet/6809.c: Fix accidental breakage of r25457.

2012-03-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for the updated es.po file.

2012-03-27  Manuel Antonio Rodriguez Bas <formater@winuaespanol.com>

	* po/es.po: Updated.

2012-03-27  Manuel Antonio Rodriguez Bas <formater@winuaespanol.com>

	* po/es.po: Updated.

2012-03-26  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/vic20ui.c: fix joystick menu

2012-03-24  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/Makefile.am, src/arch/beos/constants.h,
	src/arch/beos/plus4ui.cc, src/arch/beos/ui_sid.cc,
	src/arch/beos/ui_ted.cc, src/arch/beos/ui_ted.h,
	src/arch/beos/ui_vic.cc, src/arch/beos/ui_vic.h,
	src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc: Added VIC and TED
	border mode and triple SID UI elements to BeVICE.

2012-03-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uic128model.c, src/arch/win32/uicbm2model.c,
	src/arch/win32/uicbm5x0model.c, src/arch/win32/uipetmodel.c,
	src/arch/win32/uiplus4model.c: Fixed the windows model selection
	dialogs to have an 'unknown' element.

2012-03-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in: Some amiga sdl related fixes.

2012-03-22  Olaf Seibert <rhialto@falu.nl>

	* src/drive/drive.c, src/drive/drive.h, src/drive/drivetypes.h,
	src/drive/ieee/fdc.c: Simplify the checking for the dual-ness of
	drives somewhat.

2012-03-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for the updated sv.po file.

2012-03-21  Peter Krefting <peter@softwolves.pp.se>

	* po/sv.po: Update Swedish translation (2414t0f0u).

2012-03-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for the updated de.po file.

2012-03-21  pottendo <pottendo@aon.at>

	* configure.in: Fixed a few syntax issues.

2012-03-21  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2012-03-21  Andrea Musuruane <musuruan@gmail.com>

	* po/it.po, po/translations-status.txt: Updated.

2012-03-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog: Cleaned up the ChangeLog.

2012-03-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/plain/CRT.txt: Updated a bit.

2012-03-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in: Only set USE_SDLUI if configured with --enable-sdlui.

2012-03-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, doc/vice.pdf, doc/vice.inf, doc/vice.hlp, doc/vice.txt,
	doc/vice.guide, doc/vice.chm, configure.in, src/version.h,
	src/arch/win32/vice-version.bat, src/monitor/mon_lex.c,
	src/monitor/mon_parse.c, src/monitor/mon_parse.h, po/es.po, po/ko.po,
	po/fr.po, po/da.po, po/tr.po, po/sv.po, po/de.po, po/hu.po, po/ru.po,
	po/nl.po, po/pl.po, po/it.po: VICE 2.3.16

2012-03-20  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/gui/uidrivepetcbm2.c, src/arch/unix/gui/uifliplist.c,
	src/arch/unix/x11/xaw/x11ui.c: UI change for Gnome and Xaw, adding the
	extra available devices to the menu, and some small related
	adjustments. The SDL gui adapts its menus automatically.

2012-03-20  Olaf Seibert <rhialto@falu.nl>

	* src/drive/drive-check.c, src/drive/drive-resources.c,
	src/drive/drive.c, src/drive/drivetypes.h, src/drive/ieee/fdc.c,
	src/drive/ieee/riot2d.c, src/drive/ieee/via1d2031.c: Enable 2 dual
	disk drives, the second being device #10 and using #11 for drive 1.

2012-03-20  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/uimenu.c: Fix checkmark bug.

2012-03-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/rescia.rc, src/arch/win32/respet.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resretroreplay.rc,
	src/arch/win32/ressid.rc, src/arch/win32/rested.rc,
	src/arch/win32/resvic.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/resvicii.rc, src/translate_text.c: Did a
	'make trans-update'.

2012-03-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am: Execute gentranslatetable.sh from the source dir.

2012-03-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2012-03-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po: Did
	another 'make update-po'.

2012-03-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/translate_text.c: Be consistent.

2012-03-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2012-03-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: More 6809/6309 improvements.

2012-03-19  Olaf Seibert <rhialto@falu.nl>

	* src/drive/drive-resources.c, src/drive/drive-snapshot.c,
	src/drive/drive.c, src/drive/drivetypes.h, src/drive/ieee/fdc.c,
	src/drive/ieee/ieee.c, src/drive/ieee/riot2d.c,
	src/drive/ieee/via1d2031.c, src/parallel/parallel.c, src/parallel.h:
	Enable up to DRIVE_NUM IEEE-488 drives, rather than 2. In some places
	where they are enumerated, it is 4. The drives use their full 3 bits
	of jumpered drive number now, rather than just 1 bit.

2012-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c, src/pet/6809.h, src/pet/petmem.c, src/pet/petmem.h:
	More 6809/6309 improvements.

2012-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Started on improving the timing handling of the
	6809 and 6309.

2012-03-18  Olaf Seibert <rhialto@falu.nl>

	* src/video/video-resources.c: Hopefully fix window resizing when
	hardware scaling is turned off/on.

2012-03-18  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/unix/x11/gnome/gnomevideo.c: Fix window behaviour when
	starting up with HW scale on

2012-03-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am: Added missing .rc files.

2012-03-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/make-bindist.sh, src/arch/msdos/make-bindist.sh,
	src/arch/sdl/make-bindist_amiga.sh,
	src/arch/sdl/make-bindist_dingoo.sh,
	src/arch/sdl/make-bindist_gp2x.sh, src/arch/sdl/make-bindist_win32.sh,
	src/arch/unix/gp2x/make-bindist.sh, src/arch/win32/make-bindist.sh:
	Removed riscos keymap related items from the make bindist scripts.

2012-03-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/winmain.c: Use __argc and __argv when __MSVCRT__ is
	defined

2012-03-17  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/x11ui.c: Makeover of display of current drive
	images: make them Command widgets, so that it is visually clear that
	you can click them.- Cut down on calls to video_viewport_resize()
	merely on an Expose event.

2012-03-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/parsid.c: Fixed parsid for latest netbsd.

2012-03-16  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/x11ui.c, src/arch/unix/x11/xaw/x11video.c:
	Mostly source cleanup, and small layout fix for drive image gadget.

2012-03-16  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/uiscreenshot.c: Fix a memory management bug.

2012-03-16  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/uipalcontrol.c,
	src/arch/unix/x11/xaw/uipalcontrol.h,
	src/arch/unix/x11/xaw/uiscreenshot.c, src/arch/unix/x11/xaw/x11ui.c:
	Xaw: Fix resizing of widgets in status bar. Handle hiding and unhiding
	some of them by (un)mapping them instead of (un)realizing and
	(un)managing.

2012-03-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for the updated de.po file.

2012-03-16  Thomas Giesel <skoe@directbox.com>

	* src/monitor/mon_lex.c, src/monitor/mon_parse.c,
	src/monitor/mon_parse.h, src/monitor/mon_parse.y: Warnings fixed

2012-03-16  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2012-03-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resdrivec128.rc, src/arch/win32/resdrivec64.rc,
	src/arch/win32/resdriveplus4.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/uidrivec128.c, src/arch/win32/uidrivec64.c,
	src/arch/win32/uidriveplus4.c: Added support for switching the
	parallel drive cable type to the windows gui.

2012-03-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Fixed the 6809 core.

2012-03-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/uijoystick.c, src/userport/userport_joystick.c: Added
	support for the kingsoft and starbyte userport joystick adapters to
	the windows gui.

2012-03-14  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uijoystick2.c, src/joystick.c,
	src/userport/userport_joystick.c, src/userport/userport_joystick.h:
	added support for kingsoft- and starbyte 4-player joystick adapters
	(see devlog)

2012-03-14  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uidrivec64c128.c, src/c64/c64cia2.c,
	src/c64/c64parallel.c, src/c64/c64parallel.h, src/c64/cart/formel64.c,
	src/c64/vsidcia2.c, src/c64/vsidstubs.c, src/c64dtv/c64dtvcia2.c,
	src/cbm2/cbm2iec.c, src/core/mc6821core.c, src/drive/drive-snapshot.c,
	src/drive/drive.h, src/drive/iec/c64exp/c64exp-resources.c,
	src/drive/iec/c64exp/dolphindos3.c, src/drive/iec/cia1571d.c,
	src/drive/iec/via1d1541.c, src/iecdrive.h, src/pet/petiec.c,
	src/plus4/plus4parallel.c, src/plus4/plus4parallel.h,
	src/plus4/plus4pio1.c, src/translate_text.c, src/vic20/vic20iec.c:
	reworked parallel cable code to handle cables that are connected to
	something else than the cia on cpu side, removed parallel cable stuff
	from vsid, added support for formel 64 paralell cable (see devlog)

2012-03-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* data/C128/Makefile.am, data/C128/ROdflt.vkm, data/C64/Makefile.am,
	data/C64/ROdflt.vkm, data/C64DTV/Makefile.am, data/C64DTV/ROdflt.vkm,
	data/CBM-II/Makefile.am, data/CBM-II/ROdflt.vkm, data/PET/Makefile.am,
	data/PET/RObusi.vkm, data/PET/ROgrph.vkm, data/PLUS4/Makefile.am,
	data/PLUS4/ROdflt.vkm, data/VIC20/Makefile.am, data/VIC20/ROdflt.vkm:
	Removed the riscos keymaps.

2012-03-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/c64common.tgt,
	src/arch/os2/watcom/iecc64exp.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-msvc/c64.dsp, src/arch/sdl/win32-msvc/c64c128.dsp,
	src/arch/sdl/win32-msvc/c64c64dtv.dsp,
	src/arch/sdl/win32-msvc/c64exp.dsp, src/arch/sdl/win32-msvc/c64sc.dsp,
	src/arch/sdl/win32-watcom/c64commonscdtv128.tgt,
	src/arch/sdl/win32-watcom/c64exp.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win64-msvc/c64.vcproj,
	src/arch/sdl/win64-msvc/c64c128.vcproj,
	src/arch/sdl/win64-msvc/c64c64dtv.vcproj,
	src/arch/sdl/win64-msvc/c64exp.vcproj,
	src/arch/sdl/win64-msvc/c64sc.vcproj,
	src/arch/sdl/winmips-msvc/c64.mak,
	src/arch/sdl/winmips-msvc/c64c128.mak,
	src/arch/sdl/winmips-msvc/c64c64dtv.mak,
	src/arch/sdl/winmips-msvc/c64exp.mak,
	src/arch/sdl/winmips-msvc/c64sc.mak, src/arch/win32/c64.dsp,
	src/arch/win32/c64c128.dsp, src/arch/win32/c64c64dtv.dsp,
	src/arch/win32/c64exp.dsp, src/arch/win32/c64sc.dsp,
	src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/c64commonscdtv128.tgt,
	src/arch/win32/watcom/c64exp.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win64/c64.vcproj, src/arch/win64/c64c128.vcproj,
	src/arch/win64/c64c64dtv.vcproj, src/arch/win64/c64exp.vcproj,
	src/arch/win64/c64sc.vcproj: Fixed the various project files for the
	recent changes.

2012-03-13  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/dialog/resourcetreeitem.m,
	src/arch/unix/macosx/cocoa/mousedrv.m: macosx: fixed setting range
	resource items

2012-03-12  groepaz <groepaz@gmx.net>

	* src/Makefile.am, src/c64/Makefile.am, src/c64/c64parallel.c,
	src/core/mc6821core.c, src/core/mc6821core.h, src/drive/drive.h,
	src/drive/iec/c64exp/Makefile.am, src/drive/iec/c64exp/dolphindos3.c,
	src/drive/iec/c64exp/dolphindos3.h, src/drive/iec/c64exp/iec-c64exp.c,
	src/drive/iec/c64exp/mc6821.c, src/drive/iec/memiec.c, src/mc6821.h:
	migrated dolphin dos 3 related code to use the generic mc6821 core

2012-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uipetmodel.c: Changed the windows pet model selection
	dialog to use petmodel_* functions.

2012-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Fixed indentation.

2012-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/core/mc6821core.c: Include stdlib.h for NULL.

2012-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/c64cart.tgt, src/arch/os2/watcom/core.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/sdl/win32-msvc/c64cart.dsp,
	src/arch/sdl/win32-msvc/core.dsp,
	src/arch/sdl/win32-watcom/c64cart.tgt,
	src/arch/sdl/win32-watcom/core.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win64-msvc/c64cart.vcproj,
	src/arch/sdl/win64-msvc/core.vcproj,
	src/arch/sdl/winmips-msvc/c64cart.mak,
	src/arch/sdl/winmips-msvc/core.mak, src/arch/win32/c64cart.dsp,
	src/arch/win32/core.dsp, src/arch/win32/watcom/c64cart.tgt,
	src/arch/win32/watcom/core.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win64/c64cart.vcproj, src/arch/win64/core.vcproj: Added
	formel64.c and mc6821core.c to the various project files.

2012-03-12  groepaz <groepaz@gmx.net>

	* src/c64/cart/Makefile.am, src/c64/cart/c64carthooks.c,
	src/c64/cart/c64cartmem.c, src/c64/cart/crt.c,
	src/c64/cart/formel64.c, src/c64/cart/formel64.h,
	src/c64/cart/magicformel.c, src/cartconv.c, src/cartridge.h,
	src/core/Makefile.am, src/core/mc6821core.c, src/core/mc6821core.h,
	src/drive/iec/c64exp/mc6821.c, src/mc6821.h, src/translate.txt,
	src/translate_text.c: added support for formel 64 cartridge, added
	generic mc6821 core

2012-03-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* Makefile.am, build/Makefile.am, build/riscos, configure.in,
	doc/readmes/Readme-DOS.txt, src/arch/Makefile.am, src/arch/riscos,
	src/arch/sdl/Makefile.am, src/arch/sdl/archdep.c,
	src/arch/sdl/archdep.h, src/arch/sdl/archdep_riscos.c,
	src/arch/sdl/archdep_riscos.h, src/arch/sdl/make-bindist_riscos.sh,
	src/arch/sdl/menu_sound.c, src/c128/c128mmu.c, src/findpath.c,
	src/fixpoint.h, src/fsdevice/fsdevice-close.c,
	src/fsdevice/fsdevice-open.c, src/ioutil.c, src/libm_math.c,
	src/main.c, src/pet/6809.c, src/pet/pets.h, src/resources.c,
	src/sound.c, src/sound.h, src/sounddrv/Makefile.am,
	src/sounddrv/soundacorn.c, src/sysfile.c, src/vdrive/vdrive-iec.c,
	src/vice.h, src/vsync.c, src/zfile.c: Removed riscos from the source,
	too outdated.

2012-03-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/z80.c, src/c128/z80.h, src/c128/z80mem.c: Added
	experimental c128 4mhz z80 support (activated by default, but can be
	disabled by commenting out the Z80_4MHZ define).

2012-03-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/z80.c: Even though the z80 is clocked at 4mhz it is only
	active on the 'cpu' phase of the 1mhz clock, so need to use half
	cycles instead of quarter cycles.

2012-03-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Made the 'special' D register functions use the
	'generic' 16bit functions.

2012-03-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Fixed the 6309 native mode irq-related stack
	push/pull.

2012-03-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Fixed the behavior of the 6309 MD register.

2012-03-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/z80.c: Started on improving the c128 z80 emulation (mainly
	the speed).

2012-03-11  Christian Vogelgsang <chris@vogelgsang.org>

	* build/macosx/build-vice-release.sh: macosx: reduced set of release
	builds to cocoa only

2012-03-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/gfxoutputdrv/pngdrv.c: Fixed for memmap.

2012-03-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for the updated ru.po file.

2012-03-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dialogs.rc, src/arch/sdl/menu_help.c,
	src/arch/win32/res.rc: Fixed for the name removal.

2012-03-10  Michael Litvinov <litvinov.m@i.ua>

	* po/ru.po: Updated

2012-03-10  Spiro Trikaliotis  <spiro.trikaliotis@gmx.de>

	* doc/html/index.html, doc/vice.texi, src/arch/amigaos/mui/mui.c,
	src/arch/beos/ui.cc, src/arch/msdos/menudefs.c,
	src/arch/os2/dialogs/dialogs.rc, src/arch/sdl/menu_help.c,
	src/arch/unix/x11/gnome/about.c, src/arch/unix/x11/xaw/about.c,
	src/arch/win32/res.rc: Fixed list of current team members.

2012-03-10  Christian Vogelgsang <chris@vogelgsang.org>

	* configure.in: macosx: skip dubious cross compiler check

2012-03-10  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/menu/vicemachinecontroller.h,
	src/arch/unix/macosx/cocoa/menu/vicemachinecontroller.m,
	src/arch/unix/macosx/cocoa/mousedrv.m,
	src/arch/unix/macosx/cocoa/view/viceglview.m: macosx: improved mouse
	emulation

2012-03-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Added a sanity check.

2012-03-10  Christian Vogelgsang <chris@vogelgsang.org>

	* src/arch/unix/macosx/cocoa/video.m: macosx: adapted to new
	video_canvas interface

2012-03-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Some more 6809 core improvements.

2012-03-10  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui_vicii.cc: No borders radio button, adjustments and
	refactoring for BeVICE VIC-II settings dialog.

2012-03-10  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/win32/fullscrn.c: Properly initialize D3D9 device when
	entering and exiting full screen mode

2012-03-09  groepaz <groepaz@gmx.net>

	* src/c64/cart/magicvoice.c: memory mapping fixes, wow and gorf work
	now

2012-03-09  groepaz <groepaz@gmx.net>

	* src/core/t6721.c: added support for speed parameter, fixed 48bit
	frames somewhat

2012-03-09  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/win32/ui.c, src/arch/win32/video-dx9.c,
	src/arch/win32/video.c: Do not create D3D9 device before size is known

2012-03-09  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/uipalcontrol.c: Remove static cached_canvas
	and make it per-controlwindow.

2012-03-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Some more 6809 core improvements.

2012-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/video.cc: Unbreak beos compile.

2012-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Changed request_irq to req_irq.

2012-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in: Typo fix.

2012-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/arch/msdos/Makefile.am: dos pcap lib fixes.

2012-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uisid.c: Fixed a typo.

2012-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/rawnet.c: Include stdlib.h for NULL.

2012-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Some more 6809 core improvements.

2012-03-08  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/plus4ui.cc: Added missing ui_update_menus() call.

2012-03-08  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* configure.in: Remove obsolete lines for MS-DOS cross-compilation

2012-03-07  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/constants.h, src/arch/beos/ui_ide64.cc,
	src/arch/beos/ui_ide64.h, src/arch/beos/vicemenu.cc: New per-image
	IDE64 size settings dialogs for BeVICE.

2012-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/xaw/Makefile.am: Added uipalcontrol.h to the
	Makefile.am file.

2012-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/Makefile.am: Added 6809.h to the makefile.am file.

2012-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/video.c, src/arch/os2/watcom,
	src/arch/os2/watcom/makebindist.bat, src/arch/os2/watcom/pet.tgt,
	src/arch/os2/watcom/vice.wpj: Unbreak the os/2 port.

2012-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos, src/arch/amigaos/make-bindist.sh,
	src/arch/amigaos/ui.c, src/arch/amigaos/video.c: Unbreak the amiga
	ports.

2012-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in: Commented out the vte-2.90 check, since gtk3/gtk2
	mixed binaries don't work, VICE really needs to be 'fixed' for gtk3.

2012-03-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/Makefile.am, src/arch/sdl/win32-msvc,
	src/arch/sdl/win32-watcom, src/arch/sdl/win64-msvc,
	src/arch/sdl/winmips-msvc, src/convert_owcc_libs.sh: Fixed for owcc.

2012-03-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c64cart.c: Some sdl cart error reporting fixes,
	this is temporary till a proper error reporting system can be made for
	vice.

2012-03-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-msvc/pet.dsp, src/arch/sdl/win32-watcom/pet.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win64-msvc/pet.vcproj, src/arch/sdl/winmips-msvc/pet.mak,
	src/arch/win32/pet.dsp, src/arch/win32/watcom/pet.tgt,
	src/arch/win32/watcom/vice.wpj, src/arch/win64/pet.vcproj: Added
	petmodel to the various project files.

2012-03-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Some more 6809 core improvements.

2012-03-06  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/x11video.c: Fix double double-sizing.
	(Strangely enough, this seemed to crash when I tried it the previous
	time). Still goes with r25369.

2012-03-06  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/x11video.c: Fix HAVE_XVIDEO case. This seems
	to work.

2012-03-05  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uiromset.c, src/c64/c64-resources.c,
	src/c64dtv/c64dtv-resources.c, src/romset.c: unbreak romsets

2012-03-05  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/petui.c: fixed model selection menu

2012-03-05  groepaz <groepaz@gmx.net>

	* src/pet/Makefile.am, src/pet/petmem.c, src/pet/petmodel.c,
	src/pet/petmodel.h, src/pet/pets.h: refactored model switching code
	(see devlog), fixed bug #3496413

2012-03-05  groepaz <groepaz@gmx.net>

	* src/plus4/plus4mem.c: partial fix for bug #3459150

2012-03-05  Kajtar Zsolt <soci@c64.rulez.org>

	* src/mouse.c: This is more accurate. Still not very accurate at
	higher speeds, but it's at least something.

2012-03-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_drive.c: Added opencbm support to the sdl ui.

2012-03-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/arch/unix/x11/gnome/uiarch.h,
	src/arch/unix/x11/gnome/uijoystickkeys.c: Fixed to allow vte-2.90 to
	be used (note that sealing of gtk internal structures has been
	disabled as a way to get the code to compile, this needs to be fixed
	and the gtk code needs to be changed/fixed to compile/work with gtk3).

2012-03-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Some more 6809 core improvements.

2012-03-04  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uicrtc.c, src/arch/unix/gui/uited.c,
	src/arch/unix/gui/uivdc.c, src/arch/unix/gui/uivic.c,
	src/arch/unix/gui/uivicii.c: unbreak compiling XAW gui without
	HAVE_XVIDEO

2012-03-04  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/vidmode.c: unbreak vidmode

2012-03-04  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uiide64.c, src/arch/unix/x11/gnome/uiedisk.c,
	src/arch/unix/x11/gnome/uifileentry.c,
	src/arch/unix/x11/xaw/uiedisk.c: add missing ide64 related gui items

2012-03-04  groepaz <groepaz@gmx.net>

	* src/arch/sdl/menu_c128hw.c,
	src/arch/sdl/menu_c64_common_expansions.c,
	src/arch/sdl/menu_c64cart.c, src/arch/sdl/menu_cbm2hw.c,
	src/arch/sdl/menu_drive.c, src/arch/sdl/menu_video.c: sdl ui devlog
	catchup, added all missing stuff

2012-03-04  groepaz <groepaz@gmx.net>

	* doc/html/amigaos.html, doc/html/beos.html, doc/html/index.html,
	doc/html/macosx.html, doc/html/qnx.html, doc/html/sco.html,
	doc/html/solaris.html, doc/html/vice.css: removed excessive use of
	fixed width font, fix html to prevent IE quirks mode

2012-03-04  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/msdos/video.c, src/arch/msdos/videoarch.h,
	src/arch/sdl/fullscreen.c, src/arch/sdl/video.c,
	src/arch/unix/x11/gnome/gnomevideo.c,
	src/arch/unix/x11/gnome/uiarch.h, src/arch/unix/x11/gnome/x11ui.c,
	src/arch/unix/x11/xaw/lightpendrv.c,
	src/arch/unix/x11/xaw/videoarch.h, src/arch/unix/x11/xaw/x11ui.c,
	src/arch/unix/x11/xaw/x11video.c, src/arch/win32/lightpendrv.c,
	src/arch/win32/ui.c, src/arch/win32/ui.h,
	src/arch/win32/video-ddraw.c, src/arch/win32/video-dx9.c,
	src/arch/win32/video.c, src/arch/win32/videoarch.h, src/crtc/crtc.c,
	src/raster/raster.c, src/video/video-canvas.c,
	src/video/video-resources.c, src/video/video-viewport.c, src/video.h:
	Fix 2 Win32 GDI bugs: crash when window too narrow to fit menu, and
	incorrect size when unmaximizing. Refactor canvas a bit, reducing the
	need for multiplying/dividing by doublesizex/y

2012-03-03  groepaz <groepaz@gmx.net>

	* doc/html/amigaos.html, doc/html/beos.html, doc/html/checklinks.sh,
	doc/html/index.html, doc/html/macosx.html, doc/html/qnx.html,
	doc/html/sco.html, doc/html/solaris.html, doc/html/vice.css:
	streamlined html, removed obsolete stuff, added common stylesheet,
	fixed some links

2012-03-03  Kajtar Zsolt <soci@c64.rulez.org>

	* src/mouse.c: Unbreak Amiga mouse emulation.

2012-03-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/arch.dsp,
	src/arch/win32/petui.c, src/arch/win32/resdialogs.txt,
	src/arch/win32/resmenu.txt, src/arch/win32/respet.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/uipetmodel.c,
	src/arch/win32/uipetmodel.h, src/arch/win32/uipetset.c,
	src/arch/win32/watcom/arch.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win64/arch.vcproj: Added proper pet model selection and fixed
	the pet settings dialog for the windows gui.

2012-03-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Some more 6809 core improvements.

2012-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uited.c, src/arch/win32/uivic.c: Fixed.

2012-03-02  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/win32/uivicii.c: It was impossible to restore normal
	borders

2012-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Some more 6809 core improvements.

2012-03-01  groepaz <groepaz@gmx.net>

	* src/printerdrv/drv-mps803.c, src/printerdrv/output-graphics.c:
	prevent crashing when printing beyond the limit of the printer

2012-03-01  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uiprinter.c, src/arch/unix/gui/uiprinter.h,
	src/arch/unix/gui/uiprinteriec.c,
	src/arch/unix/gui/uiprinteriecplus4.c,
	src/arch/unix/gui/uiprinterieee.c: added missing menu items for
	selecting printer output mode

2012-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/win32/Makefile.am, src/arch/win32/arch.dsp,
	src/arch/win32/plus4ui.c, src/arch/win32/resdialogs.txt,
	src/arch/win32/resmenu.txt, src/arch/win32/resplus4.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/rested.rc,
	src/arch/win32/resvic.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/uited.c, src/arch/win32/uited.h,
	src/arch/win32/uivic.c, src/arch/win32/uivic.h,
	src/arch/win32/uivicii.c, src/arch/win32/uivicset.c,
	src/arch/win32/uivicset.h, src/arch/win32/vic20ui.c,
	src/arch/win32/watcom/arch.tgt, src/arch/win32/watcom/cartconv.tgt,
	src/arch/win32/watcom/vice.wpj, src/arch/win32/xplus4.dsp,
	src/arch/win32/xvic.dsp, src/arch/win64/arch.vcproj,
	src/arch/win64/xplus4.vcproj, src/arch/win64/xvic.vcproj: Added plus4
	and vic20 border mode dialogs to the windows gui.

2012-03-01  groepaz <groepaz@gmx.net>

	* po/de.po: fixed copypaste fail :)

2012-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Some more 6809 core improvements.

2012-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Some more 6809 core improvements.

2012-03-01  Andrea Musuruane <musuruan@gmail.com>

	* po/it.po, po/translations-status.txt: Updated.

2012-02-29  groepaz <groepaz@gmx.net>

	* src/fliplist.c: fix loading fliplists. fixes bug 3483621

2012-02-29  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uifliplist.c: make save fliplist actually work
	from the gui :)

2012-02-29  groepaz <groepaz@gmx.net>

	* src/fileio/fileio.c, src/rawfile.c: if stat failed do not exit early
	in write mode. fixes bug 3489795

2012-02-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resstrings.txt, src/arch/win32/uivideo.c: Added video
	audio leak support to the windows gui.

2012-02-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc: Fixed for non-dx compile.

2012-02-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/ressid.rc: Element size fix.

2012-02-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/arch.dsp,
	src/arch/win32/c128ui.c, src/arch/win32/resc128.rc,
	src/arch/win32/resdialogs.txt, src/arch/win32/resmenu.txt,
	src/arch/win32/resstrings.txt, src/arch/win32/uic128model.c,
	src/arch/win32/uic128model.h, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/vice.wpj, src/arch/win64/arch.vcproj: Added c128
	model selection to the windows gui.

2012-02-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Some warning fixes.

2012-02-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Some more 6809 core improvements.

2012-02-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for the updated es.po file.

2012-02-29  Manuel Antonio Rodriguez Bas <formater@winuaespanol.com>

	* po/es.po: Updated.

2012-02-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Some more 6809 core improvements.

2012-02-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Some more 6809 core improvements.

2012-02-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Some more 6809 core improvements.

2012-02-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.pdf, doc/vice.inf, doc/vice.hlp, doc/vice.txt,
	doc/vice.guide, doc/vice.chm, configure.in, ChangeLog, src/version.h,
	src/arch/win32/vice-version.bat, src/monitor/mon_lex.c,
	src/monitor/mon_parse.c, src/monitor/mon_parse.h, po/es.po, po/ko.po,
	po/fr.po, po/da.po, po/tr.po, po/de.po, po/sv.po, po/hu.po, po/2,
	po/nl.po, po/pl.po, po/it.po: VICE 2.3.15

2012-02-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: More updates.

2012-02-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: More updates.

2012-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Some more 6809 core improvements.

2012-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Added a comment about the register transfer.

2012-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Fixed the register transfer handling (undocumented).

2012-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: More 6809 core improvements.

2012-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: More 6809 core improvements.

2012-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am: Fixed.

2012-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: 6809 core improvements.

2012-02-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Redefined the types of the registers.

2012-02-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Removed monitor_addr_name().

2012-02-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Removed monitor_return().

2012-02-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Removed monitor_call().

2012-02-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Code style fixes.

2012-02-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/nl.po, po/sv.po, src/arch/amigaos/intl_text.c,
	src/arch/win32/res.rc, src/arch/win32/resacia.rc,
	src/arch/win32/resautostart.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/rescbm2common.rc, src/arch/win32/rescbm5x0.rc,
	src/arch/win32/rescia.rc, src/arch/win32/resdigimax.rc,
	src/arch/win32/resdqbb.rc, src/arch/win32/reseasyflash.rc,
	src/arch/win32/resexpert.rc, src/arch/win32/resgeoram.rc,
	src/arch/win32/reside64.rc, src/arch/win32/resisepic.rc,
	src/arch/win32/resmagicvoice.rc, src/arch/win32/resmidi.rc,
	src/arch/win32/resmmcreplay.rc, src/arch/win32/resplus4.rc,
	src/arch/win32/resramcart.rc, src/arch/win32/resretroreplay.rc,
	src/arch/win32/resrs232user.rc, src/arch/win32/ressid.rc,
	src/arch/win32/ressoundexpander.rc, src/arch/win32/ressoundsampler.rc,
	src/arch/win32/restfe.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/resvicii.rc, src/arch/win32/resvsid.rc,
	src/translate_text.c: Did a 'make trans-update'.

2012-02-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2012-02-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2012-02-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/win32/Makefile.am, src/arch/win32/arch.dsp,
	src/arch/win32/c128ui.c, src/arch/win32/cbm2ui.c,
	src/arch/win32/cbm5x0ui.c, src/arch/win32/resc128.rc,
	src/arch/win32/rescbm2.rc, src/arch/win32/rescbm5x0.rc,
	src/arch/win32/rescia.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resmenu.txt, src/arch/win32/resstrings.txt,
	src/arch/win32/uicia.c, src/arch/win32/uicia.h,
	src/arch/win32/watcom/arch.tgt, src/arch/win32/watcom/cartconv.tgt,
	src/arch/win32/watcom/vice.wpj, src/arch/win32/x128.dsp,
	src/arch/win32/xcbm2.dsp, src/arch/win32/xcbm5x0.dsp,
	src/arch/win64/arch.vcproj, src/arch/win64/x128.vcproj,
	src/arch/win64/xcbm2.vcproj, src/arch/win64/xcbm5x0.vcproj: Added CIA
	settings support to x128, xcbm2 and xcbm5x0 in the windows gui.

2012-02-25  Marcus Sutton <loggedoubt@gmail.com>

	* data/C64/beos_sym.vkm, data/C64DTV/beos_sym.vkm: Proper US symbolic
	keymap for BeVICE x64/x64sc/x64dtv.

2012-02-25  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/c64ui.cc, src/arch/beos/vicemenu.cc: BeVICE menu item
	fixes.

2012-02-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.h: No need for (the possibly conflicting) (U)INT32.

2012-02-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/gfxoutputdrv/jpegdrv.c: Moved the position of the jpeglib.h
	include to avoid INT32 conflicts.

2012-02-22  Jarek Sobolewski <r@sledinmay.com>

	* po/pl.po: Updated.

2012-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/parsid.c: Fix windows parsid sleep call.

2012-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resdialogs.txt, src/arch/win32/resstrings.txt,
	src/arch/win32/resvicii.rc, src/arch/win32/uivicii.c: Added
	'no border' to the windows vicii dialog.

2012-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/win32/Makefile.am, src/arch/win32/arch.dsp,
	src/arch/win32/c128ui.c, src/arch/win32/c64ui.c,
	src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resmenu.txt, src/arch/win32/resretroreplay.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/uiretroreplay.c,
	src/arch/win32/uiretroreplay.h, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/cartconv.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/x128.dsp, src/arch/win32/x64.dsp,
	src/arch/win32/x64sc.dsp, src/arch/win64/arch.vcproj,
	src/arch/win64/x128.vcproj, src/arch/win64/x64.vcproj,
	src/arch/win64/x64sc.vcproj: Added retro replay dialog to the windows
	gui.

2012-02-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/ppc-ar.sh, src/arch/beos/ppc-cc.sh,
	src/arch/unix/minix/minix-ar.sh: Added some 'what does it do'
	descriptions to certain shell scripts.

2012-02-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/vic20ui.c: Fixed dos xvic.

2012-02-21  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/unix/x11/gnome/uimon.c: Add a scrollbar to the monitor
	window

2012-02-20  Kajtar Zsolt <soci@c64.rulez.org>

	* src/monitor/monitor_network.c: This seems to work now as I expect
	it. Which platform was it working originally? On win32 and x11/xaw
	surely not...
	http://sourceforge.net/tracker/index.php?func=detail&aid=3196471&group_id=223021&atid=1057617 

2012-02-19  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/unix/x11/gnome/uimon.c: Increase monitor history

2012-02-19  Jesse Lee <interpreters.jesse@gmail.com>

	* po/ko.po, po/translations-status.txt: Updated.

2012-02-19  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/unix/x11/gnome/uimon.c, src/monitor/mon_command.c,
	src/monitor/mon_command.h: Add TAB completion to monitor. If the
	command is known to take a file name as argument, completion to file
	name will be used for that

2012-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resdialogs.txt, src/arch/win32/ressid.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/uisid.c: Changed the
	windows sid dialog to deal with the 3rd sid, and fixed the fact that
	cancel still saved the changes.

2012-02-18  Manuel Antonio Rodriguez Bas <formater@winuaespanol.com>

	* po/es.po: Updated.

2012-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/kbd.c, src/arch/beos/kbd.h: BeOS uses COMMON_KBD.

2012-02-17  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/unix/x11/xaw/Makefile.am, src/arch/unix/x11/xaw/console.c,
	src/arch/unix/x11/xaw/uimon.c: Unify Xaw versions of uimon.c and
	console.c

2012-02-17  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/unix/x11/gnome/uimon.c: Fix Caps Lock in monitor

2012-02-16  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/unix/x11/gnome/uimon.c: Fix Shift key in monitor

2012-02-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/drive/drive-resources.c, src/drive/iec/iec-resources.c,
	src/drive/ieee/ieee-resources.c: Don't register the drive idle method
	twice.

2012-02-15  Thomas Giesel <skoe@directbox.com>

	* po/intl2po.c: Allocate enough memory for '\0'-termination

2012-02-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in: Don't check for pcap when using mingw.

2012-02-14  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/win32/intl.c: Find win_hotkeys.vhk no matter what the
	current directory is

2012-02-14  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/win32/intl.c: 'c [...] must have the value of an unsigned
	char or EOF', says isspace's man page

2012-02-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/gfxoutputdrv/ffmpegdrv.c: Cosmetic fixes.

2012-02-12  Olaf Seibert <rhialto@falu.nl>

	* src/h6809regs.h, src/monitor/asm6809.c,
	src/monitor/mon_register6809.c, src/pet/6809.c, src/pet/6809.h:
	mime-type and eol properties.

2012-02-12  Olaf Seibert <rhialto@falu.nl>

	* src/monitor/mon_assemble6809.c: Add in some addressing mode
	decoding, useful when monitor-split is done.

2012-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/intl2po.c: Don't convert the filename if source and destination
	paths are the same.

2012-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in: Only check c++ compiler validity when cross compiling.

2012-02-12  groepaz <groepaz@gmx.net>

	* src/c64/cart/reu.c: handle extra bank bits of hacked reu correctly,
	they are not affected by the REC chip.

2012-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/Makefile.am: Unbreak the osx build.

2012-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/magicvoice.c, src/c64/cart/retroreplay.c: Cosmetic
	fixes.

2012-02-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Reverted to a working state, will improve upon it in
	a separate branch.

2012-02-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/Makefile.in.in: Fixed.

2012-02-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/Makefile.in.in, po/intl2po.c: Use builddir and srcdir, not
	top_builddir and top_srcdir.

2012-02-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/intl2po.c: Added safeguard for malformed filenames.

2012-02-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Some 6809 code cleanups.

2012-02-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/aciacore.c: Don't unset a NULL alarm.

2012-02-10  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/unix/x11/gnome/uimon.c: Add copy (Ctrl-C), paste (Ctrl-V),
	paste from X11 clipboard (middle mouse button), plus some other tricks
	with Ctrl (Ctrl-A: home, Ctrl-E: end etc.) to monitor window

2012-02-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128-resources.c: Changed resource "RomseChargenDENamet" to
	"RomsetChargenDEName", resource doesn't seem to be used anywhere
	(unused resources will be revealed in the upcoming feature checking
	action).

2012-02-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/Makefile.in.in: Dependency fix.

2012-02-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/makedist.cmd, src/arch/os2/watcom/makebindist.bat,
	src/arch/sdl/win32-msvc/make-bindist.bat,
	src/arch/sdl/win32-watcom/make-watcom-bindist.bat,
	src/arch/sdl/win64-msvc/make-bindist.bat,
	src/arch/sdl/winmips-msvc/make-bindist.bat,
	src/arch/win32/make-msvc-bindist.bat,
	src/arch/win32/watcom/make-watcom-bindist.bat,
	src/arch/win64/make-msvc-bindist.bat: Make sure the superpet roms are
	included in the bindist scripts.

2012-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Extended flag sizes.

2012-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c: Extend the 6809 carry indicator to 16bit size.

2012-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/arch/amigaos/Makefile.am: Fix usage of
	generated script files.

2012-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/Makefile.in.in: Finished the out-of-source compile fixing.

2012-02-09  Olaf Seibert <rhialto@falu.nl>

	* src/pet/6809.c: Undo some (too short) shortcuts. Not all are found
	yet.

2012-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am: Generate translate.h in the build tree, not the
	source tree.

2012-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/Makefile.in.in, po/intl2po.c: Made intl2po generate files in the
	build tree instead of the source tree.

2012-02-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/Makefile.am: Made vice.info be generated in the build tree
	instead of the source tree.

2012-02-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/monitor/mon_register6809.c, src/pet/6809.c, src/pet/6809.h:
	Started on the 6809 cleanup.

2012-02-08  Thomas Giesel <skoe@directbox.com>

	* src/arch/amigaos/signals.c, src/arch/beos/signals.c,
	src/arch/msdos/signals.c, src/arch/os2/signals.c,
	src/arch/riscos/signals.c, src/arch/sdl/signals.c,
	src/arch/unix/signals.c, src/arch/win32/signals.c,
	src/monitor/monitor.c, src/signals.h: Don't handle SIGINT anymore.
	It's not needed with the new monitor.

2012-02-08  Thomas Giesel <skoe@directbox.com>

	* src/arch/unix/x11/gnome/uimon.c: Warnings fixed

2012-02-08  Thomas Giesel <skoe@directbox.com>

	* src/monitor/mon_command.c, src/translate.txt, src/translate_text.c:
	Pointless (and partially wrong) translations of load|store|exec
	removed.

2012-02-08  Thomas Giesel <skoe@directbox.com>

	* doc/vice.pdf, doc/vice.texi, doc/vice.txt,
	src/monitor/mon_command.c, src/translate.txt, src/translate_text.c:
	Documentation for stopwatch added	

2012-02-08  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/unix/x11/gnome/uimon.c: Fix compilation error occurring
	with old version of GTK+ headers

2012-02-08  Thomas Giesel <skoe@directbox.com>

	* doc/vice.texi: Restored Latin-1 encoding I messed up before :/

2012-02-08  Thomas Giesel <skoe@directbox.com>

	* doc/vice.texi: trailing white space removed

2012-02-08  Olaf Seibert <rhialto@falu.nl>

	* src/h6809regs.h, src/monitor/asm.h, src/monitor/mon_assemble6502.c,
	src/monitor/mon_assemble6809.c, src/monitor/mon_assemblez80.c,
	src/monitor/mon_command.c, src/monitor/mon_disassemble.c,
	src/monitor/mon_lex.c, src/monitor/mon_lex.l, src/monitor/mon_parse.c,
	src/monitor/mon_parse.h, src/monitor/mon_parse.y,
	src/monitor/mon_register6809.c, src/monitor/monitor.c,
	src/monitor/montypes.h, src/monitor.h: Add most (but not all!) 6809
	addressing modes in monitor command parser, and 6809 assembly. Also
	add D register to monitor interface.

2012-02-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/monitor/mon_register6809.c: Style cleanups.

2012-02-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/joyll.c, src/arch/amigaos/loadlibs.h: Added
	disabling of lowlevel joystick support if the lowlevel library could
	not be loaded.

2012-02-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/loadlibs.h, src/arch/amigaos/uiapi.c: Added
	disabling of video overlay support if the correct library could not be
	loaded.

2012-02-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/joyai.c, src/arch/amigaos/loadlibs.h: Added
	disabling of amiga os4 joystick support if the AI library could not be
	loaded.

2012-02-07  Olaf Seibert <rhialto@falu.nl>

	* src/pet/6809.c: Somehow `caller_space' popped up again.

2012-02-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/catweaselmkiii.c, src/arch/amigaos/hardsid.c,
	src/arch/amigaos/loadlibs.h: Added disabling of catweasel and hardsid
	support if the pci library could not be loaded.

2012-02-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/amigamain.c,
	src/arch/amigaos/catweaselmkiii.c, src/arch/amigaos/expansionbase.h,
	src/arch/amigaos/hardsid.c, src/arch/amigaos/joyai.c,
	src/arch/amigaos/loadlibs.c, src/arch/amigaos/loadlibs.h,
	src/arch/amigaos/uiapi.c, src/arch/amigaos/video.c: Added a better
	library loading system for the amiga ports, optional library feature
	disabling not implemented yet.

2012-02-07  Thomas Giesel <skoe@directbox.com>

	* src/monitor/mon_disassemble.c, src/monitor/mon_lex.c,
	src/monitor/mon_lex.l, src/monitor/mon_parse.c,
	src/monitor/mon_parse.h, src/monitor/mon_parse.y,
	src/monitor/mon_register6502.c, src/monitor/mon_register6502dtv.c,
	src/monitor/monitor.c, src/monitor/montypes.h: New commands "sw" and
	"sw reset" (or "stopwatch", "stopwatch reset")

2012-02-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c, src/pet/6809.h: Some fixes.

2012-02-07  Thomas Giesel <skoe@directbox.com>

	* src/c64/cart: Ignore all *.a files in c64/cart

2012-02-07  Thomas Giesel <skoe@directbox.com>

	* src/6510core.c, src/6510dtvcore.c, src/arch/msdos/menudefs.c,
	src/arch/riscos/ui.c, src/arch/sdl/menu_common.c,
	src/arch/unix/gui/uicommands.c, src/c128/z80.c, src/drive/drivecpu.c,
	src/mainc64cpu.c, src/maincpu.c, src/mainviccpu.c,
	src/monitor/mon_breakpoint.c, src/monitor/monitor.c, src/monitor.h,
	src/pet/6809.c: Remove global variable caller_space and merge it with
	default_memspace to bring some light into the memspace odyssey. Solves
	bug 3485476.

2012-02-07  Jesse Lee <interpreters.jesse@gmail.com>

	* po/ko.po, po/translations-status.txt: Updated.

2012-02-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/monitor.tgt, src/arch/os2/watcom/pet.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/sdl/win32-msvc/monitor.dsp,
	src/arch/sdl/win32-msvc/pet.dsp,
	src/arch/sdl/win32-watcom/monitor.tgt,
	src/arch/sdl/win32-watcom/pet.tgt, src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win64-msvc/monitor.vcproj,
	src/arch/sdl/win64-msvc/pet.vcproj,
	src/arch/sdl/winmips-msvc/monitor.mak,
	src/arch/sdl/winmips-msvc/pet.mak, src/arch/win32/monitor.dsp,
	src/arch/win32/pet.dsp, src/arch/win32/watcom/monitor.tgt,
	src/arch/win32/watcom/pet.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win64/monitor.vcproj, src/arch/win64/pet.vcproj: Added the
	6809-related sources to the project files.

2012-02-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi: Updated to fit in the dos port help window.

2012-02-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/arch/msdos/make-bindist.sh,
	src/sid/sid-resources.c: Added --without-residfp, made the dos port
	compile without resid and fixed the sid resources for compiling
	without resid but with resid-fp.

2012-02-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in: Added cross compilation C++ sanity checks to the
	configure script.

2012-02-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/6809.c, src/pet/6809.h: Include vice.h instead of config.h

2012-02-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/monitor/asm6809.c: Added the rest of the 6809/6309 comments.

2012-02-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uidrive.c: Reverted to a state that doesn't crash the
	dos port.

2012-02-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/monitor/asm6809.c: Added more 6809/6309 comments.

2012-02-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/monitor/asm6809.c: Added more 6809/6309 comments.

2012-02-05  Olaf Seibert <rhialto@falu.nl>

	src/pet/pet.c, src/pet/petmem.c: Add a hard reset (call to
	machine_trigger_reset(MACHINE_RESET_MODE_HARD)) in the PET's
	machine_change_timing(). Copied from the 64. Strangely enough, this
	seems to be the only way that a hard reset, and hence a mem_powerup(),
	is done at the start. (call trace: resources_set_defaults >
	set_sync_factor >  machine_change_timing > machine_trigger_reset >
	machine_trigger_reset_internal > mem_powerup) mem_powerup() was needed
	to disable the initial write protection of the SuperPET ram.

2012-02-05  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/x11ui.c: On the error return, the error
	handler should be restored as well.

2012-02-05  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/x11ui.c: Plug a race condition.

2012-02-05  Andrea Musuruane <musuruan@gmail.com>

	* po/it.po, po/translations-status.txt: Updated.

2012-02-05  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/unix/x11/gnome/uimon.c, src/arch/unix/x11/xaw/console.c:
	Do not add empty lines to history

2012-02-05  Olaf Seibert <rhialto@falu.nl>

	* src/pet/pet.c: Forgot to increase array.

2012-02-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/monitor/asm6809.c: Added some comments for future 6809-illegal
	opcodes and 6309 opcodes.

2012-02-04  Olaf Seibert <rhialto@falu.nl>

	* src/monitor/asm6809.c, src/monitor/mon_register.h, src/pet/6809.c,
	src/pet/6809.h, src/pet/monitor.c, src/pet/monitor6809.h,
	src/pet/petmem.c: SuperPET cleanup that can be done now that initial
	support is in.

2012-02-04  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* configure.in, src/Makefile.am, src/arch/unix/Makefile.am,
	src/arch/unix/console.c, src/arch/unix/x11/gnome/uimon.c,
	src/arch/unix/x11/xaw/Makefile.am, src/arch/unix/x11/xaw/console.c,
	src/monitor/mon_util.c, src/monitor/monitor.c: Readline is only a
	dependency for the Xaw port and the c1541 tool (and not, for example,
	for the GTK+ port)

2012-02-04  Olaf Seibert <rhialto@falu.nl>

	* data/PET/Makefile.am, data/PET/characters.901640-01.bin,
	data/PET/romsuperpet.vrs, data/PET/waterloo-a000.901898-01.bin,
	data/PET/waterloo-b000.901898-02.bin,
	data/PET/waterloo-c000.901898-03.bin,
	data/PET/waterloo-d000.901898-04.bin,
	data/PET/waterloo-e000.901897-01.bin,
	data/PET/waterloo-f000.901898-05.bin, src/Makefile.am,
	src/h6809regs.h, src/maincpu.c, src/monitor/Makefile.am,
	src/monitor/asm.h, src/monitor/asm6502.c, src/monitor/asm6502dtv.c,
	src/monitor/asm6809.c, src/monitor/asmz80.c,
	src/monitor/mon_assemble.h, src/monitor/mon_assemble6502.c,
	src/monitor/mon_assemble6809.c, src/monitor/mon_assemblez80.c,
	src/monitor/mon_disassemble.c, src/monitor/mon_register6809.c,
	src/monitor/monitor.c, src/monitor/montypes.h, src/monitor.h,
	src/pet/6809.c, src/pet/6809.h, src/pet/Makefile.am, src/pet/pet.c,
	src/pet/petcpu.c, src/pet/petdww.c, src/pet/petmem.c,
	src/pet/petmem.h, src/pet/pets.h: Some more SuperPET support. The ROMs
	actually run, if you get the machine to the correct configuration
	(SuperPET, 6809 cpu, no other memory or I/O extensions, true drive
	emulation). The 6702 dongle foils running software from the
	"SuperPET WCS" disk though. Disassembly works in the monitor, but
	assembly not yet.

2012-02-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for the updated de.po.

2012-02-04  pottendo <pottendo@aon.at>

	* po/de.po: Updated.

2012-02-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/cartconv.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/xcbm2.dsp, src/arch/win32/xcbm5x0.dsp,
	src/arch/win64/xcbm2.vcproj, src/arch/win64/xcbm5x0.vcproj: Made xcbm*
	use ressiddtv.rc instead of ressid.rc in the windows project files.

2012-02-03  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/win32/Makefile.am, src/arch/win32/cbm2ui.c,
	src/arch/win32/cbm5x0ui.c: Use single-SID (DTV) version of the SID
	settings dialog for WinVICE xcbm2/xcbm5x0. (Project files will need
	updated rescbm*cat.rc.)

2012-02-03  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/win32/uimon.c: Fix error & warningS reported by
	gcc/mingw32/4.5.2.

2012-02-02  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/unix/x11/gnome/linenoise.h: Add header file for Linenoise

2012-02-02  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* configure.in, src/arch/unix/gui/Makefile.am,
	src/arch/unix/gui/uimon.c, src/arch/unix/x11/gnome/Makefile.am,
	src/arch/unix/x11/gnome/linenoise.c, src/arch/unix/x11/gnome/uimon.c,
	src/arch/unix/x11/xaw/Makefile.am, src/arch/unix/x11/xaw/uimon.c:
	Introduce a separate window for the monitor when using GTK+, based on
	VTE terminal widget and Linenoise for readline

2012-02-02  Jesse Lee <interpreters.jesse@gmail.com>

	* po/tr.po, po/translations-status.txt: Updated.

2012-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/c128ui.c, src/arch/win32/c64dtvui.c,
	src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	src/arch/win32/cbm5x0ui.c, src/arch/win32/petui.c,
	src/arch/win32/plus4ui.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/rescbm5x0.rc, src/arch/win32/resmenu.txt,
	src/arch/win32/respet.rc, src/arch/win32/resplus4.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/resvic20.rc,
	src/arch/win32/ui.c, src/arch/win32/vic20ui.c: Added drive sound
	emulation to the windows gui.

2012-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resstrings.txt, src/arch/win32/uisound.c: Added sound
	output mode to the windows gui.

2012-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for the updated es.po.

2012-02-01  Manuel Antonio Rodriguez Bas <formater@winuaespanol.com>

	* po/es.po: Updated.

2012-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/arch.dsp,
	src/arch/win32/c64ui.c, src/arch/win32/resc64.rc,
	src/arch/win32/resdialogs.txt, src/arch/win32/resmenu.txt,
	src/arch/win32/resstrings.txt, src/arch/win32/uic64burstmod.c,
	src/arch/win32/uic64burstmod.h, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/vice.wpj, src/arch/win64/arch.vcproj: Added c64
	drive burst modification to the windows gui.

2012-02-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for the updated pl.po.

2012-01-31  Jarek Sobolewski <r@sledinmay.com>

	* po/pl.po: Updated.

2012-01-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.pdf, doc/vice.inf, doc/vice.hlp, doc/vice.txt,
	doc/vice.guide, doc/vice.chm, configure.in, ChangeLog, src/version.h,
	src/arch/win32/vice-version.bat, po/es.po, po/ko.po, po/fr.po,
	po/da.po, po/tr.po, po/sv.po, po/de.po, po/hu.po, po/ru.po, po/nl.po,
	po/pl.po, po/it.po: VICE 2.3.14

2012-01-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/sv.po, src/arch/amigaos/intl_text.c,
	src/arch/win32/res.rc, src/arch/win32/resautostart.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64dtv.rc,
	src/arch/win32/rescbm2.rc, src/arch/win32/rescbm2common.rc,
	src/arch/win32/rescbm5x0.rc, src/arch/win32/resdqbb.rc,
	src/arch/win32/reside64.rc, src/arch/win32/resmidi.rc,
	src/arch/win32/resmouse.rc, src/arch/win32/respet.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resramcart.rc,
	src/arch/win32/ressid.rc, src/arch/win32/ressiddtv.rc,
	src/arch/win32/ressoundsampler.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/resvsid.rc, src/translate_text.c: Did a
	'make trans-update'.

2012-01-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2012-01-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2012-01-31  Olaf Seibert <rhialto@falu.nl>

	* src/pet/monitor.h: Remove.

2012-01-31  Olaf Seibert <rhialto@falu.nl>

	* src/pet/monitor6809.h: Rename, to avoid clash with already existing
	file with the same name.

2012-01-31  Olaf Seibert <rhialto@falu.nl>

	* src/pet/6809.c, src/pet/6809.h, src/pet/monitor.c,
	src/pet/monitor.h: Throw in a 6809 CPU! It rattles around inside the
	SuperPET box, since it isn't plugged in yet. These are the original
	files I intend to use, before any change, in order to keep history.
	Source: https://github.com/bcd/exec09 rev
	commit/642e684b9d225a6d0a3d7121ed23ba79c76b9fc5 found via:
	http://koti.mbnet.fi/~atjs/mc6809/#Emu, gcc6809

2012-01-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_amiga.c: Fixed a typo.

2012-01-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/uifilereq.c: Simplified the directory separation
	handling.

2012-01-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uisound.c: Consistency.

2012-01-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/amigaos/vsidns.c: Fixed
	amigaos Makefile.am

2012-01-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uilib.c: Added d1m, d2m and d4m image creation to the
	windows ui.

2012-01-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resvic20.rc: Made the cart and I/O-extensions show up
	in alphabetical order.

2012-01-29  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/gui/petui.c, src/crtc/crtc.c, src/embedded.c,
	src/pet/pet-cmdline-options.c, src/pet/pet-resources.c, src/pet/pet.c,
	src/pet/petmem.c, src/pet/petmem.h, src/pet/petrom.c,
	src/pet/petrom.h, src/pet/petromset.c, src/pet/pets.h, src/sysfile.c:
	Add some SuperPET hardware. Most of it doesn't do anything yet without
	a CPU, but the double sized character generator ROM can be seen
	working according to the instructions in the SuperPET overview
	manual:
	100 for i = 0 to 255
	110 poke 32768 + i, i
	120 next
	200 poke 59520,12: poke 59521,16+32
	210 for t=0 to 3000: next
	220 poke 59520,12: poke 59521,16
	230 for t=0 to 3000: next
	240 goto 200

2012-01-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/video.c: Fixed for non-aros amiga systems.

2012-01-26  Michael Litvinov <litvinov.m@i.ua>

	* po/ru.po: Updated

2012-01-24  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/x11ui.c: Fix a HACK and a FIXME in Xaw's
	mouse_handler_canvas().

2012-01-24  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/gnome/x11ui.c, src/arch/unix/x11/xaw/x11ui.c:
	Implement ui_focus_monitor() for Xaw UI, slightly changed from the
	gnome version.

2012-01-24  Michael Litvinov <litvinov.m@i.ua>

	* po/ru.po: Updated

2012-01-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am,
	src/arch/amigaos/info-files/morphos/vsid.info,
	src/arch/amigaos/info-files/morphos/x64dtv.info,
	src/arch/amigaos/info-files/morphos/x64sc.info,
	src/arch/amigaos/info-files/morphos/xcbm5x0.info,
	src/arch/amigaos/info-files/vsid.exe.info,
	src/arch/amigaos/info-files/x64dtv.exe.info,
	src/arch/amigaos/info-files/x64sc.exe.info,
	src/arch/amigaos/info-files/xcbm5x0.exe.info,
	src/arch/amigaos/make-bindist.sh, src/arch/amigaos/vsidns.c,
	src/arch/amigaos/xcbm5x0ns.c: Fixed amiga icons and bindist script.

2012-01-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/reside64.rc: Changed ide64 references to 'hd image'
	to 'primary/secondary master/slave device image' in the windows gui.

2012-01-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/uilib.c: Added d1m/d2m/d4m to
	the disk filters for the windows gui.

2012-01-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/uiide64.c, src/arch/win32/uilib.c,
	src/arch/win32/uilib.h: Added ide64 file filters to the windows gui.

2012-01-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/arch/amigaos/amigamain.c,
	src/arch/amigaos/video.c: Some 64bit aros fixes.

2012-01-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/cbm2ui.c, src/arch/win32/cbm5x0ui.c,
	src/arch/win32/rescbm2.rc, src/arch/win32/rescbm2common.rc,
	src/arch/win32/rescbm5x0.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resmenu.txt, src/arch/win32/resstrings.txt: Fixed the
	cbm2/cbm5x0 carts for the windows gui.

2012-01-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/psid.c: Warning fix.

2012-01-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/c128ui.c, src/arch/win32/c64dtvui.c,
	src/arch/win32/c64ui.c, src/arch/win32/plus4ui.c,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resdrivec128.rc, src/arch/win32/resdrivec64.rc,
	src/arch/win32/resdriveplus4.rc, src/arch/win32/resplus4.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/uidrivec128.c,
	src/arch/win32/uidrivec64.c, src/arch/win32/uidriveplus4.c,
	src/arch/win32/uidrivevic20.c, src/arch/win32/vic20ui.c: Added
	fd2000/fd4000 items to the windows dialogs.

2012-01-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/xvic.dsp: Fixed a typo.

2012-01-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/html/Makefile.am: Fixed.

2012-01-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/arch/amigaos/amigamain.c,
	src/arch/amigaos/timer.h, src/arch/amigaos/ui.c,
	src/arch/amigaos/vsyncapi.c: Aros fixes.

2012-01-19  Michael Litvinov <litvinov.m@i.ua>

	* po/ru.po: Updated

2012-01-18  Michael Litvinov <litvinov.m@i.ua>

	* po/ru.po: Updated

2012-01-18  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/cbm5x0ui.cc, src/cbm2/cbm2model.c,
	src/cbm2/cbm2model.h, src/cbm2/cbm5x0.c, src/plus4/plus4model.c,
	src/plus4/plus4model.h, src/vic20/vic-timing.c,
	src/vic20/vic-timing.h, src/vic20/victypes.h: Fixed svn properties on
	some files. There are probably more that need fixing.

2012-01-16  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui_device.cc: Fix file panel popping up behind BeVICE
	Device settings dialog (and being unuseable.)

2012-01-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/private.h: Fixed for morphos.

2012-01-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for updated sv.po

2012-01-16  Peter Krefting <peter@softwolves.pp.se>

	* po/sv.po: Update Swedish translation (2349t0f0u).

2012-01-15  Olaf Seibert <rhialto@falu.nl>

	* src/pet/petmem.c: Add 8096 bank switching register to the monitor
	"io" command.

2012-01-15  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/uipalcontrol.c, src/arch/unix/x11/xaw/x11ui.c:
	Implement ui_restore_focus() for Xaw UI.

2012-01-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, doc/html/Makefile.am, src/arch/amigaos/archdep.c,
	src/arch/amigaos/make-bindist.sh: Fixed for amiga os4.

2012-01-15  Olaf Seibert <rhialto@falu.nl>

	* src/pet/petdww.c, src/pet/petdww.h, src/pet/petmem.c,
	src/pet/petmem.h: Reset the memory limit pointers for PET 8x96 models
	and PET DWW board. They are switching banks so if code is executing in
	it while they are switched, the memory base and limit should be
	invalidated.

2012-01-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/archdep.c: Added rtc_get_centiseconds for amigaos3
	(when no getttimeofday is available).

2012-01-15  Jesse Lee <interpreters.jesse@gmail.com>

	* po/ko.po, po/translations-status.txt: Updated.

2012-01-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/libm_math.c: Style fixes.

2012-01-15  Ingo Korb <ingo@akana.de>

	* src/aciacore.c: Fix wrong operator precedence for reading T232
	ectrl register

2012-01-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cbm2/cbm5x0.c: Fixed.

2012-01-14  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/unix/x11/gnome/x11ui.c: Fix a crash when activating monitor

2012-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/Makefile.am, doc/texi2chm.sh: Started on fixing the
	out-of-source-tree build issues.

2012-01-12  Olaf Seibert <rhialto@falu.nl>

	* src/pet/petmem.c: Commit 24448 broke the PET zero page access in a
	subtle way. It replaced a direct call to zero_store() with an indirect
	call via _mem_write_tab_ptr. And the same for zero_read().
	Unfortunately the PET didn't initialise its table of pointers to
	zero_store() but to the generic ram_store(), which is almost the same,
	but it doesn't mask its address to the zero page. So... this breaks the
	zero page adressing mode where an index wraps around... and apparently
	this can have interesting effects even on BASIC programs. Fix: use
	zero_store() and zero_read() in _mem_write_tab[0] and _mem_read_tab[0].

2012-01-12  Michael Litvinov <litvinov.m@i.ua>

	* po/ru.po: Updated

2012-01-11  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/renderxv.c, src/arch/unix/x11/xaw/x11video.c: If
	the user tries to use hardware scaling using XVideo (in Xaw ui), and
	shared memory is unavailable (for instance because the display is
	remote), retry without shared memory rather than terminating with an
	X error.

2012-01-11  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uimon.c, src/arch/unix/ui.h,
	src/arch/unix/x11/gnome/x11ui.c, src/arch/unix/x11/xaw/x11ui.c: hack
	to transfer focus to terminal window when entering the monitor

2012-01-11  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/gui/uisettings.c: Remove hack for setting ticks in the
	refresh rate and maximum speed menus. It depended on the callbacks
	being called in order, which was not true (any more) for the gnome ui.

2012-01-11  Olaf Seibert <rhialto@falu.nl>

	* src/arch/win64/xcbm5x0.vcproj: Fix debug compilation

2012-01-10  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/gnome/uimenu.c, src/arch/unix/x11/xaw/uimenu.c:
	Treat UI_MENU_TYPE_TICKDOTS like UI_MENU_TYPE_TICK so that it gets a
	checkmark too.

2012-01-10  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/gui/uisettings.c: The first maximum speed entry is
	now 200%.

2012-01-10  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/win32/Makefile.am: Generate the right file

2012-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/fullscrn.c: Fixed a call to
	fullscreen_getmodes_dx9().

2012-01-09  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uimon.c, src/arch/unix/ui.h,
	src/arch/unix/x11/fullscreen.c, src/arch/unix/x11/gnome/gnomevideo.c,
	src/arch/unix/x11/gnome/uimenu.c, src/arch/unix/x11/gnome/videoarch.h,
	src/arch/unix/x11/gnome/x11ui.c, src/arch/unix/x11/xaw/x11ui.c,
	src/video/video-canvas.c: transfer focus to emulator window after
	exiting monitor, some more sanity checks/debug stuff to track down
	vsid ui problems

2012-01-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vsyncarch.c: Fixed os/2 speed issue.

2012-01-09  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/vsidui.c: use proper canvas, fixes some random
	crashes when moving and/or resizing the vsid window

2012-01-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, po/POTFILES.in, src/Makefile.am,
	src/arch/win32/Makefile.am, src/arch/win32/arch.dsp,
	src/arch/win32/cbm2ui.c, src/arch/win32/cbm5x0ui.c,
	src/arch/win32/rescbm2.rc, src/arch/win32/rescbm2common.rc,
	src/arch/win32/rescbm5x0.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resmenu.txt, src/arch/win32/resstrings.txt,
	src/arch/win32/ui.c, src/arch/win32/uicbm2model.c,
	src/arch/win32/uicbm2model.h, src/arch/win32/uicbm2set.c,
	src/arch/win32/uicbm5x0model.c, src/arch/win32/uicbm5x0model.h,
	src/arch/win32/uicbm5x0set.c, src/arch/win32/uicbm5x0set.h,
	src/arch/win32/vsidui.c, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/cartconv.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/xcbm2.dsp, src/arch/win32/xcbm5x0.dsp,
	src/arch/win64/arch.vcproj, src/arch/win64/xcbm2.vcproj,
	src/arch/win64/xcbm5x0.vcproj, src/cbm2/cbm5x0.c, src/vsync.c:
	Finished windows vsid menu and split off and fixed/updated windows
	cbm2/cbm5x0 menus and dialogs.

2012-01-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for updated pl.po

2012-01-09  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/win32/fullscrn.c: Make a function static

2012-01-09  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/win32/fullscrn.c, src/arch/win32/video.c: Fix crash in
	video settings when starting with DX9Disable=0

2012-01-09  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/win32/msvc/ide-config.h: Fix an x64 compile error

2012-01-08  Michael Litvinov <litvinov.m@i.ua>

	* po/ru.po: Updated

2012-01-07  Jarek Sobolewski <r@sledinmay.com>

	* po/pl.po: Updated.

2012-01-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.in, src/Makefile.am, src/arch/win32/Makefile.am,
	src/arch/win32/resdialogs.txt, src/arch/win32/resmenu.txt,
	src/arch/win32/resstrings.txt, src/arch/win32/resvsid.rc,
	src/arch/win32/ui.c, src/arch/win32/vsid.dsp, src/arch/win32/vsidui.c,
	src/arch/win32/watcom/cartconv.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win64/vsid.vcproj: Started on a gui for the windows vsid
	program.

2012-01-07  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64dtvui.c,
	src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/petui.c,
	src/arch/unix/gui/plus4ui.c, src/arch/unix/gui/uiattach.c,
	src/arch/unix/gui/uiattach.h, src/arch/unix/gui/vic20ui.c,
	src/arch/unix/gui/vsidui.c, src/arch/unix/x11/gnome/uiarch.h,
	src/arch/unix/x11/gnome/x11ui.c, src/arch/unix/x11/xaw/uiarch.h,
	src/arch/unix/x11/xaw/x11ui.c: rudimentary drag and drop support for
	gtk ui

2012-01-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for updated de.po

2012-01-07  pottendo <pottendo@aon.at>

	* po/de.po: Updated.


2012-01-06  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/win32/uic64.c: Use machine_class to determine machine
	class.

2012-01-06  groepaz <groepaz@gmx.net>

	* src/plus4/ted-draw.c, src/plus4/tedtypes.h: attempt to fix bug
	#3467159

2012-01-06  groepaz <groepaz@gmx.net>

	* src/fileio/cbmfile.c, src/fileio/p00.c, src/fileio.h,
	src/fsdevice/fsdevice-read.c, src/rawfile.c: hack to allow "opening"
	directory entries which are directories themselves for stats purposes.
	this makes it explicitly work the same on windows and *nix (which
	allowed it before). fixes bug #3388946

2012-01-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uisound.c: Fixed a warning.

2012-01-06  groepaz <groepaz@gmx.net>

	* src/video/video-color.c: remove obsolete palette calculation for
	(no more existing) fake PAL emulation, fixes bug #3367825

2012-01-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/vsidui.c: Cosmetic fix.

2012-01-05  Michael Litvinov <litvinov.m@i.ua>

	* po/ru.po: Updated

2012-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi, src/arch/win32/utils/geninfocontrib.c,
	src/infocontrib.sed: Fixed.

2012-01-04  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uited.c, src/plus4/plus4.c,
	src/plus4/ted-cmdline-options.c, src/plus4/ted-draw.c,
	src/plus4/ted-resources.c, src/plus4/ted-resources.h,
	src/plus4/ted-timing.c, src/plus4/ted-timing.h, src/plus4/ted.c,
	src/plus4/ted.h, src/plus4/tedtypes.h: added border mode selection to
	ted/xplus4 (see devlog)

2012-01-04  Michael Litvinov <litvinov.m@i.ua>

	* po/ru.po: Updated

2012-01-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi: Removed email addy (wasn't supposed to be there in
	the 1st place, copy/paste error).

2012-01-04  groepaz <groepaz@gmx.net>

	* doc/vice.texi: fix typo

2012-01-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/plus4ui.c: Fixed missing italian language menu item.

2012-01-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uic64dtvmodel.c: Allow unknown c64dtv model (99) in
	the windows dialog.

2012-01-03  Michael Litvinov <litvinov.m@i.ua>

	* po/ru.po: Updated

2012-01-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/arch.dsp,
	src/arch/win32/c64dtvui.c, src/arch/win32/resc64dtv.rc,
	src/arch/win32/resdialogs.txt, src/arch/win32/resmenu.txt,
	src/arch/win32/resstrings.txt, src/arch/win32/uic64dtvmodel.c,
	src/arch/win32/uic64dtvmodel.h, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/vice.wpj, src/arch/win64/arch.vcproj: Added
	c64dtv model selection to the windows ui.

2012-01-02  Michael Litvinov <litvinov.m@i.ua>

	* po/ru.po: Updated

2012-01-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/_vice.dsp, src/arch/win32/arch.dsp,
	src/arch/win32/base.dsp, src/arch/win32/c128.dsp,
	src/arch/win32/c1541.dsp, src/arch/win32/c64.dsp,
	src/arch/win32/c64c128.dsp, src/arch/win32/c64c64dtv.dsp,
	src/arch/win32/c64cart.dsp, src/arch/win32/c64cartsystem.dsp,
	src/arch/win32/c64commoncart.dsp, src/arch/win32/c64dtv.dsp,
	src/arch/win32/c64dtvstubs.dsp, src/arch/win32/c64exp.dsp,
	src/arch/win32/c64sc.dsp, src/arch/win32/cartconv.dsp,
	src/arch/win32/cbm2.dsp, src/arch/win32/cbm2common.dsp,
	src/arch/win32/cbm5x0.dsp, src/arch/win32/core.dsp,
	src/arch/win32/crtc.dsp, src/arch/win32/diskimage.dsp,
	src/arch/win32/drive.dsp, src/arch/win32/fileio.dsp,
	src/arch/win32/fsdevice.dsp, src/arch/win32/geninfocontrib.dsp,
	src/arch/win32/genmsvcver.dsp, src/arch/win32/gentranslate.dsp,
	src/arch/win32/genwinres.dsp, src/arch/win32/gfxoutputdrv.dsp,
	src/arch/win32/iec.dsp, src/arch/win32/iec128dcr.dsp,
	src/arch/win32/iecbus.dsp, src/arch/win32/iecieee.dsp,
	src/arch/win32/ieee.dsp, src/arch/win32/imagecontents.dsp,
	src/arch/win32/monitor.dsp, src/arch/win32/msvc/ide-config.h,
	src/arch/win32/msvc-d3d.h, src/arch/win32/parallel.dsp,
	src/arch/win32/pet.dsp, src/arch/win32/petcat.dsp,
	src/arch/win32/plus4.dsp, src/arch/win32/plus4exp.dsp,
	src/arch/win32/printerdrv.dsp, src/arch/win32/raster.dsp,
	src/arch/win32/resid.dsp, src/arch/win32/residdtv.dsp,
	src/arch/win32/residfp.dsp, src/arch/win32/rs232drv.dsp,
	src/arch/win32/rtc.dsp, src/arch/win32/serial.dsp,
	src/arch/win32/sid.dsp, src/arch/win32/sounddrv.dsp,
	src/arch/win32/tape.dsp, src/arch/win32/tcbm.dsp,
	src/arch/win32/uisound.c, src/arch/win32/userport.dsp,
	src/arch/win32/vdc.dsp, src/arch/win32/vdrive.dsp,
	src/arch/win32/vic20.dsp, src/arch/win32/vic20cart.dsp,
	src/arch/win32/vicii.dsp, src/arch/win32/viciidtv.dsp,
	src/arch/win32/viciisc.dsp, src/arch/win32/video.dsp,
	src/arch/win32/vsid.dsp, src/arch/win32/vsidlib.dsp,
	src/arch/win32/x128.dsp, src/arch/win32/x64.dsp,
	src/arch/win32/x64dtv.dsp, src/arch/win32/x64sc.dsp,
	src/arch/win32/xcbm2.dsp, src/arch/win32/xcbm5x0.dsp,
	src/arch/win32/xpet.dsp, src/arch/win32/xplus4.dsp,
	src/arch/win32/xvic.dsp: Changed win32 msvc project files to compile
	for no-directx by default and added direct-x targets to the win32 msvc
	project files.

2012-01-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uimon.c: Fixed the interlocked assembly code for
	windows, now also compiles for msvc.

2012-01-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.texi, src/arch/amigaos/mui/mui.c, src/arch/beos/ui.cc,
	src/arch/msdos/menudefs.c, src/arch/os2/dialogs/dialogs.rc,
	src/arch/sdl/menu_help.c, src/arch/unix/x11/gnome/about.c,
	src/arch/unix/x11/xaw/about.c, src/arch/win32/res.rc: Changed some
	2011's to 2012's, happy new year ;)

2012-01-01  Michael Litvinov <litvinov.m@i.ua>

	* po/ru.po: Updated

2012-01-01  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/monitor/mon_parse.c, src/monitor/mon_parse.h,
	src/monitor/mon_parse.y: Break is on exec by default (again)

2012-01-01  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/uipalcontrol.c,
	src/arch/unix/x11/xaw/uipalcontrol.h: Files belonging with previous
	update.

2012-01-01  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/gui/uifliplist.c, src/arch/unix/ui.h,
	src/arch/unix/x11/x11menu.h, src/arch/unix/x11/xaw/Makefile.am,
	src/arch/unix/x11/xaw/uiarch.h, src/arch/unix/x11/xaw/uimenu.c,
	src/arch/unix/x11/xaw/x11ui.c: Several Xaw improvements:
 introduce
	pop-up window with sliders for controlling the CRT emulation
	settings. clean up drive/fliplist widget mess (worked not even for 2
	drives, if they were  not 8 and 9).

2012-01-01  Olaf Seibert <rhialto@falu.nl>

	* src/arch/unix/x11/xaw/widgets/FileSel.c: Fix compiler warnings by
	removing unused code.

2012-01-01  Olaf Seibert <rhialto@falu.nl>

	* doc/html/plain/PETdoc.txt: Fix typo.

2011-12-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/vsidstubs.c: More stubs.

2011-12-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for updated ru.po

2011-12-31  Michael Litvinov <litvinov.m@i.ua>

	* po/ru.po: Updated

2011-12-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for updated es.po

2011-12-31  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/arch/unix/x11/gnome/x11ui.c: Since r25059, GTK+ UI was
	consistently crashing at startup

2011-12-31  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/crtc/crtc.c, src/plus4/ted-mem.c, src/plus4/ted.c,
	src/raster/raster-changes.h, src/raster/raster-line.c,
	src/raster/raster.c, src/raster/raster.h, src/vdc/vdc.c,
	src/vic20/vic-cycle.c, src/vic20/vic-mem.c, src/vicii/vicii-badline.c,
	src/vicii/vicii-fetch.c, src/vicii/vicii-mem.c,
	src/vicii/vicii-sprites.c, src/vicii/vicii.c: Consolidate
	raster-related inline functions in one header file

2011-12-31  Manuel Antonio Rodriguez Bas <formater@winuaespanol.com>

	* po/es.po: Updated.

2011-12-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/ru.po: Fixed.

2011-12-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for updated ru.po

2011-12-30  Michael Litvinov <litvinov.m@i.ua>

	* po/ru.po: Updated

2011-12-30  Fabrizio Gennari <fabrizio.ge@tiscali.it>

	* src/raster/raster.c, src/raster/raster.h: Make a member static

2011-12-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated for updated ru.po

2011-12-29  Michael Litvinov <litvinov.m@i.ua>

	* po/ru.po: Updated

2011-12-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/it.po, po/translations-status.txt: Updated.

2011-12-29  Kajtar Zsolt <soci@c64.rulez.org>

	* src/drive/drive-sound.c: Fix of the warning fixes ;)

2011-12-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.pdf, doc/vice.hlp, doc/vice.txt, doc/vice.guide,
	doc/vice.chm, configure.in, ChangeLog, src/version.h,
	src/arch/win32/vice-version.bat, src/monitor/mon_lex.c, po/es.po,
	po/ko.po, po/fr.po, po/da.po, po/tr.po, po/sv.po, po/de.po, po/hu.po,
	po/ru.po, po/nl.po, po/pl.po, po/it.po: VICE 2.3.13

2011-12-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resacia.rc, src/arch/win32/resautostart.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64_256k.rc,
	src/arch/win32/resgeoram.rc, src/arch/win32/reside64.rc,
